/*###############################################################

	CoreSuiteAE.h
	
	Event handlers for the Core Suite, including specifically
	the following events: "count", "make", "duplicate", "close",
	"delete", "move" and "save".
	
	MacTelnet 3.0,  1998-2000 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __CORESUITEAE__
#define __CORESUITEAE__

// Mac includes
#ifndef __APPLEEVENTS__
#	include <AppleEvents.h>
#endif
#ifndef __MACTYPES__
#	include <MacTypes.h>
#endif



//
// public methods
//

pascal OSErr
	CoreSuiteAE_Close						(const AppleEvent*		inAppleEventPtr,
											 AppleEvent*			outReplyAppleEventPtr, 
											 long					inData);

pascal OSErr
	CoreSuiteAE_CreateElement				(const AppleEvent*		inAppleEventPtr,
											 AppleEvent*			outReplyAppleEventPtr, 
											 long					inData);

pascal OSErr
	CoreSuiteAE_CountElements				(const AppleEvent*		inAppleEventPtr,
											 AppleEvent*			outReplyAppleEventPtr, 
											 unsigned long			inData);

// THE INSTALLED COUNTING PROCEDURE, PART OF THE "whose" IMPLEMENTATION REQUIREMENTS
pascal OSErr
	CoreSuiteAE_CountElementsOfContainer	(DescType				inTypeOfCountedElements,
											 DescType				inContainerClass,
											 const AEDesc*			inContainerTokenDescriptor,
											 long*					outCount);

pascal OSErr
	CoreSuiteAE_Delete						(const AppleEvent*		inAppleEventPtr,
											 AppleEvent*			outReplyAppleEventPtr, 
											 long					inData);

pascal OSErr
	CoreSuiteAE_Duplicate					(const AppleEvent*		inAppleEventPtr,
											 AppleEvent*			outReplyAppleEventPtr, 
											 long					inData);

pascal OSErr
	CoreSuiteAE_Move						(const AppleEvent*		inAppleEventPtr,
											 AppleEvent*			outReplyAppleEventPtr, 
											 long					inData);

pascal OSErr
	CoreSuiteAE_Save						(const AppleEvent*		inAppleEventPtr,
											 AppleEvent*			outReplyAppleEventPtr, 
											 long					inData);

#endif