/*###############################################################

	GenesisAE.h
	
	This internal module can create tokens that evolve into
	more refined types.  This allows you to use a basic objects
	data to construct the most refined possible version of it
	(assuming there is any object type that inherits from the
	base type of your object).
	
	MacTelnet 3.0,  1998-2000 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#include "UniversalDefines.h"

#ifndef __GENESISAE__
#define __GENESISAE__

// Mac includes
#include <AppleEvents.h>
#include <MacTypes.h>

// MacTelnet includes
#include "ObjectClassesAE.h"



//
// public methods
//

OSErr
	GenesisAE_CreateTokenFromObjectData			(DescType const		inClassTypeFromTerminology,
												 TelnetTokenPtr		inoutClassStructurePtr,
												 AEDesc*			inoutNewClassAEDescPtr,
												 DescType*			outFinalClassTypeFromTerminologyOrNull);

OSErr
	GenesisAE_CreateTokenFromObjectSpecifier	(AEDesc const*		inFromWhat,
												 TelnetTokenPtr		outTokenDataPtr);

// USE THIS TO DETERMINE IF AN UNKNOWN CLASS TYPE CAN BE PROMOTED TO A SIMPLER (PARENT) CLASS TYPE
Boolean
	GenesisAE_FirstClassIs						(DescType const		inUnknownClassTypeFromTerminology,
												 DescType const		inMinimumClassTypeFromTerminology);

#endif