/*###############################################################

	HiddenAE.h
	
	Implements Telnet Suite events that are NOT in Telnets
	Dictionary.  These events are used by Telnet Help to perform
	tasks for the user (for example, displaying a dialog box).
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#include "UniversalDefines.h"

#ifndef __HIDDENAE__
#define __HIDDENAE__

// Mac includes
#include <AppleEvents.h>
#include <MacTypes.h>



//
// public methods
//

pascal OSErr
	HiddenAE_HandleConsoleWriteLine		(const AppleEvent*		inAppleEventPtr,
										 AppleEvent*			outReplyAppleEventPtr,
										 UInt32					inData);

pascal OSErr
	HiddenAE_HandleDisplayDialog		(const AppleEvent*		inAppleEventPtr,
										 AppleEvent*			outReplyAppleEventPtr,
										 UInt32					inData);

#endif