/*###############################################################

	InstallAE.h
	
	Lists routines for the overall initialization, destruction
	and management of MacTelnets Apple Events.  You can use the
	routines listed here to install event handlers, and to help
	fire off Apple Events back to Telnet itself (useful to allow
	recordability).
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#include "UniversalDefines.h"

#ifndef __INSTALLAE__
#define __INSTALLAE__

// Mac includes
#include <AppleEvents.h>
#include <MacTypes.h>



//
// public methods
//

Boolean
	InstallAE_Init							(void);

void
	InstallAE_Done							(void);

OSErr
	InstallAE_CreateRecordableAppleEvent	(DescType const			inEventClass,
											 DescType const			inEventID,
											 AppleEvent*			outAppleEventPtr);

AEAddressDesc*
	InstallAE_GetSelfAddress				(void);

#endif