/*###############################################################

	RequiredAE.h
	
	Implements the required suite of Apple Events: that is, the
	open application, open documents, print documents,
	quit and appearance switch events.
	
	Telnet 3.0,  1998-1999 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1992 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#include "UniversalDefines.h"

#ifndef __REQUIREDAE__
#define __REQUIREDAE__

// Mac includes
#ifndef __APPLEEVENTS__
#	include <AppleEvents.h>
#endif
#ifndef __TYPES__
#	include <Types.h>
#endif



//
// public methods
//

pascal OSErr
	RequiredAE_HandleAppearanceSwitch					(const AppleEvent*	inAppleEventPtr,
														 AppleEvent*		outReplyAppleEventPtr,
														 UInt32				inData);

pascal OSErr
	RequiredAE_HandleApplicationOpen					(const AppleEvent*	inAppleEventPtr,
														 AppleEvent*		outReplyAppleEventPtr,
														 UInt32				inData);

pascal OSErr
	RequiredAE_HandleApplicationPreferences				(const AppleEvent*	inAppleEventPtr,
														 AppleEvent*		outReplyAppleEventPtr,
														 UInt32				inData);

pascal OSErr
	RequiredAE_HandleApplicationReopen					(const AppleEvent*	inAppleEventPtr,
														 AppleEvent*		outReplyAppleEventPtr,
														 UInt32				inData);

pascal OSErr
	RequiredAE_HandleApplicationQuit					(const AppleEvent*	inAppleEventPtr,
														 AppleEvent*		outReplyAppleEventPtr,
														 UInt32				inData);

pascal OSErr
	RequiredAE_HandleOpenDocuments						(const AppleEvent*	inAppleEventPtr,
														 AppleEvent*		outReplyAppleEventPtr,
														 UInt32				inData);

pascal OSErr
	RequiredAE_HandlePrintDocuments						(const AppleEvent*	inAppleEventPtr,
														 AppleEvent*		outReplyAppleEventPtr,
														 UInt32				inData);

// temp - these are MacTelnet Suite event handlers that will move elsewhere
pascal OSErr
	AppleEvents_HandleAlert								(const AppleEvent*	inAppleEventPtr,
														 AppleEvent*		outReplyAppleEventPtr,
														 UInt32				inData);

pascal OSErr
	AppleEvents_HandleCopySelectedText					(const AppleEvent*	inAppleEventPtr,
														 AppleEvent*		outReplyAppleEventPtr,
														 UInt32				inData);

pascal OSErr
	AppleEvents_HandleLaunchFind						(const AppleEvent*	inAppleEventPtr,
														 AppleEvent*		outReplyAppleEventPtr,
														 UInt32				inData);

#endif