/*###############################################################

	FTPInterpreter.h
	
	This file helps to interpret the file transfer protocol.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __FTPINTERPRETER__
#define __FTPINTERPRETER__

enum
{
	QMARK			= 1,
	BANG			= 2,
	ACCT			= 3,
	ASCII			= 4,
	BELL			= 5,
	BGET			= 6,
	BINARY			= 7,
	BPUT			= 8,
	BYE				= 9,
	CD				= 10,
	CLOSE			= 11,
	DELT			= 12,
	DEBUG			= 13,
	DIR				= 14,
	GET				= 15,
	GLOB			= 16,
	HASH			= 17,
	HELP			= 18,
	INTERACTIVE		= 19,
	LCD				= 20,
	LDIR			= 21,
	LLS				= 22,
	LS				= 23,
	MACB			= 24,
	MDELETE			= 25,
	MDIR			= 26,
	MGET			= 27,
	MKDIR			= 28,
	MLS				= 29,
	MODE			= 30,
	MPUT			= 31,
	NONINTERACTIVE	= 32,
	OPEN			= 33,
	PROMPT			= 34,
	PUT				= 35,
	PWD				= 36,
	QUIT			= 37,
	QUOTE			= 38,
	RECV			= 39,
	REMOTEHELP		= 40,
	RENAME			= 41,
	RM				= 42,
	RMDIR			= 43,
	SEND			= 44,
	SENDPORT		= 45,
	SLASHFLIP		= 46,
	STATUS			= 47,
	STRUCT			= 48,
	TYPE			= 49,
	USER			= 50,
	VERBOSE			= 51
};

#endif