/*###############################################################

	FTPLog.h
	
	The new FTP log management system in Telnet 3.0.  Using a
	mere eight functions, this header file provides as much
	access to the FTP log as the Telnet legacy code needs, but
	in a much more intelligent manner.  The result is fast,
	compact and readable code.  There is also more freedom to
	change the log implementation - as long as you keep the
	interface below, you can implement the log differently in
	the future, if you wish.
	
	Telnet 3.0,  1998-2000 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1992 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __FTPLOG__
#define __FTPLOG__

// Mac includes
#ifndef __MACTYPES__
#	include <MacTypes.h>
#endif
#ifndef __MACWINDOWS__
#	include <MacWindows.h>
#endif



/*###############################################################
	INITIALIZING AND FINISHING WITH THE FTP ACTIVITY LOG
###############################################################*/

// CALL THIS ROUTINE ONCE, BEFORE ANY OTHER FTP LOG ROUTINE
void
	FTPLog_Init					(void);

// CALL THIS ROUTINE AFTER YOU ARE PERMANENTLY DONE WITH THE FTP LOG
void
	FTPLog_Done					(void);

/*###############################################################
	MANIPULATING THE FTP LOG WINDOW
###############################################################*/

WindowRef
	FTPLog_GetWindow			(void);

Boolean
	FTPLog_IsVisible			(void);

void
	FTPLog_SetVisible			(Boolean	inIsVisible);

/*###############################################################
	WRITING MESSAGES TO THE FTP ACTIVITY LOG
###############################################################*/

void
	FTPLog_WriteHorizontalRule	(void);

void
	FTPLog_WriteLine			(char*		inString);

void
	FTPLog_WriteString			(char*		inString);

#endif