/*###############################################################

	NetBackground.h
	
	This file lists methods for FTP session management (the FTP
	server).  This is under continuous development.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __NETBACKGROUND__
#define __NETBACKGROUND__

#include <MacTypes.h>

long	Sfread		(short		pnum,
					 char*		buf,
					 long		nwant);
long	Sfwrite		(short		pnum,
					 void*		buf,
					 long		nsrc);

void	ftpd		(short		code,
					 short		curcon);

void	rftpd		(short		code,
					 short		ftpdataport);

void	Sftpstat	(long*		byt);
void	Sftpname	(char*		s);

UInt32	Sftphost	(void);
void	Sftpuser	(char*		user);
Boolean	Scheckpass	(char*		us,
					 char*		ps);
Boolean	Scompass	(char*		ps,
					 char*		en);
void	Sencompass	(char*		ps,
					 char*		en);
void	NewFTPServerMode	(FTPServerMode		inOldMode,
							 FTPServerMode		inNewMode);

void	FTPLogUserLoggingIn		(void);

#endif
