/*###############################################################

	Assistant.h
	
	Implements Assistant windows, which can display a series of
	panels to guide the user through a task.  You can only show
	a single Assistant at once.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#include "UniversalDefines.h"

#ifndef __ASSISTANT__
#define __ASSISTANT__

// Mac includes
#include <Events.h>
#include <MacTypes.h>

// MacTelnet includes
#include "Panel.h"



//
// public methods
//

void
	Assistant_Init					(StringPtr			inAssistantTitle);

void
	Assistant_Done					(void);

void
	Assistant_Display				(void);

void
	Assistant_HandleContentClick	(EventRecord*		inoutEventPtr);

Boolean
	Assistant_HandleKeyDown			(EventRecord*		inoutEventPtr);

void
	Assistant_InstallPanel			(PanelRef			inPanel);

#endif