/*###############################################################

	Contexts.c
	
	Contexts Library 1.0
	 1998-2001 by Kevin Grant
	
	This library is free software; you can redistribute it or
	modify it under the terms of the GNU Lesser Public License
	as published by the Free Software Foundation; either version
	2.1 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU Lesser Public License for details.

    You should have received a copy of the GNU Lesser Public
	License along with this library; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#include "UniversalDefines.h"

// library includes
#include "ContextsLib.h"
#include "ContextsLib.r"



//
// public methods
//

/**
This method returns the version of this
library.  The high 8 bits represent the
major version number.  The next 11 bits
represent the second decimal version
number.  The following 11 bits represent
the third decimal version number.  The
bottom 2 bits combine to form a number
that is equal to one of the kReleaseKind...
constants, indicating the kind of version
(final, development, alpha or beta).

(1.0)
*/
ApplicationSharedLibraryVersion
Contexts_Version	(void)
{
	return Releases_Version(CONTEXTS_LIBRARY_MAJOR_REVISION, CONTEXTS_LIBRARY_MINOR_REVISION, 0, kReleaseKindAlpha);
}// Version