/*###############################################################

	ContextualMenuBuilder.h
	
	Lists methods for handling contextual menus in Telnet 3.0.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __CONTEXTUALMENUBUILDER__
#define __CONTEXTUALMENUBUILDER__

// Mac includes
#include <MacTypes.h>
#include <MacWindows.h>
#include <Events.h>

// library includes
#include "InterfaceLib.h"

// MacTelnet includes
#include "ScreenManager.h"



//
// public methods
//

UInt32
	ContextualMenuBuilder_GetMenuHelpType	(void);

OSStatus
	ContextualMenuBuilder_HandleWindow		(WindowRef			inWhichWindow,
											 EventRecord*		inoutEventPtr,
											 SInt16 const		inWindowPart);

void
	ContextualMenuBuilder_SetMenuHelpType	(UInt32 const		inNewHelpType);

#endif