/*###############################################################

	DialogItemIndices.h
	
	Contains enumerations describing the item numbers of items
	in the new dialog boxes in the program.
	
	MacTelnet 3.0,  1998-2000 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1992 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __DIALOGITEMINDICES__
#define __DIALOGITEMINDICES__

// generic progress dialog box
enum
{
	iGenericProgressText = 1,
	iGenericProgressBar = 2
};

// About box
enum
{
	iAboutPicture = 1,
	iAboutPagedTextPane = 2
};

// Configurations dialog box
enum
{
	iConfigurationsDoneButton = 1,
	iConfigurationsRemoveButton = 2,
	iConfigurationsChangeButton = 3,
	iConfigurationsNewButton = 4,
	iConfigurationsList = 5,
	iConfigurationsDuplicateButton = 6
};

// Edit FTP Log-In Message dialog box
enum
{
	iEditFTPLogInMessageOKButton = 1,
	iEditFTPLogInMessageCancelButton = 2,
	iEditFTPLogInMessageAppleGuideButton = 3,
	iEditFTPLogInMessageMainTextField = 4,
	iEditFTPLogInMessageHelpText = 5
};

// Format dialog box
enum
{
	iFormatOKButton = 1,
	iFormatCancelButton = 2,
	iFormatAppleGuideButton = 3,
	iFormatUpdateDefaultTerminalCheckBox = 4,
	iFormatEditMenuPrimaryGroup = 5,
	iFormatEditMenuFontItemsPane = 6,
	iFormatEditFontPopUpMenu = 7,
	iFormatEditMenuFontSizeItemsPane = 8,
	iFormatEditSizeLabel = 9,
	iFormatEditSizeField = 10,
	iFormatEditSizeArrows = 11,
	iFormatEditSizePopUpMenu = 12,
	iFormatEditMenuForeColorItemsPane = 13,
	iFormatForegroundColorBox = 14,
	iFormatForegroundColorLabel = 15,
	iFormatEditMenuBackColorItemsPane = 16,
	iFormatBackgroundColorBox = 17,
	iFormatBackgroundColorLabel = 18
};

// Macro Setup dialog box
enum
{
	iMacroSetupOKButton = 1,
	iMacroSetupCancelButton = 2,
	iMacroSetupAppleGuideButton = 3,
	iMacroSetupMacroTextEquivalentsGroupBox = 4,
	iMacroSetupImportButton = 5,
	iMacroSetupExportButton = 6,
	iMacroSetupMacroTextEquivalentsDivider = 7,
	iMacroSetupFirstMacroButton = 8,
	iMacroSetupLastMacroButton = 19,
	iMacroSetupFirstMacroTextField = 20,
	iMacroSetupLastMacroTextField = 31,
	iMacroSetupActiveSetGroupBox = 32,
	iMacroSetupSet1ActiveRadioButton = 33,
	iMacroSetupSet2ActiveRadioButton = 34,
	iMacroSetupSet3ActiveRadioButton = 35,
	iMacroSetupSet4ActiveRadioButton = 36,
	iMacroSetupSet5ActiveRadioButton = 37,
	iMacroSetupSetCurrentActiveButton = 38,
	iMacroSetupMacroKeysGroupBox = 39,
	iMacroSetupMacroKeysCommandKeysRadioButton = 40,
	iMacroSetupMacroKeysFunctionKeysRadioButton = 41
};

// Map Keyboard dialog box
enum
{
	iMapKeyboardOKButton = 1,
	iMapKeyboardCancelButton = 2,
	iMapKeyboardAppleGuideButton = 3,
	iMapKeyboardInteractiveControl = 4,
	iMapKeyboardSelectMappingLabel = 5,
	iMapKeyboardTypeCharacterButton = 6,
	iMapKeyboardTypedCharacterGroupBox = 7,
	iMapKeyboardTypedCharacterText = 8,
	iMapKeyboardASCIICodeLabel = 9,
	iMapKeyboardASCIICodeField = 10,
	iMapKeyboardControlKeyCombinationLabel = 11,
	iMapKeyboardControlKeyCombinationField = 12,
	iMapKeyboardTipSecondaryGroupBox = 13,
	iMapKeyboardTipNoteIcon = 14,
	iMapKeyboardTipText = 15
};

// New Sessions dialog box
enum
{
	iNewSessionsConnectButton = 1,
	iNewSessionsCancelButton = 2,
	iNewSessionsAppleGuideButton = 3,
	iNewSessionsBottomSeparator = 4,
	iNewSessionsAddButton = 5,
	iNewSessionsFavoritesPopUpMenuBevelButton = 6,
	iNewSessionsRecentPopUpMenuBevelButton = 7,
	iNewSessionsRemoveButton = 8,
	iNewSessionsSessionInfoPrimaryGroupBox = 9,
	iNewSessionsHostNameLabel = 10,
	iNewSessionsHostNameField = 11,
	iNewSessionsPortNumberLabel = 12,
	iNewSessionsPortNumberField = 13,
	iNewSessionsDisclosureTriangle = 14,
	iNewSessionsDisclosureTriangleLabel = 15,
	iNewSessionsDisclosedContentPane = 16,
	iNewSessionsSessionInfoSeparator = 17,
	iNewSessionsWindowTitleLabel = 18,
	iNewSessionsWindowTitleField = 19,
	iNewSessionsTerminalsPopUpMenu = 20,
	iNewSessionsTerminalChoiceLittleArrows = 21,
	iNewSessionsUseProxyServerCheckBox = 22,
	iNewSessionsProxiesPopUpMenu = 23,
	iNewSessionsProxyChoiceLittleArrows = 24,
	iNewSessionsConnectionsToOpenList = 25 // will become a Finder List
};

// Proxy Server dialog box
enum
{
	iProxyServerOKButton = 1,
	iProxyServerCancelButton = 2,
	iProxyServerAppleGuideButton = 3,
	iProxyServerNameLabel = 4,
	iProxyServerNameField = 5,
	iProxyServerTabs = 6,
	iProxyServerInfoTabPane = 7,
	iProxyServerHostLabel = 8,
	iProxyServerHostField = 9,
	iProxyServerPortLabel = 10,
	iProxyServerPortField = 11,
	iProxyServerProtocolLabel = 12,
	iProxyServerProtocolPopUpMenu = 13,
	iProxyServerTipSecondaryGroupBox = 14,
	iProxyServerTipNoteIcon = 15,
	iProxyServerTipText = 16,
	iProxyServerAuthenticationTabPane = 17,
	iProxyServerAuthenticationUserNameLabel = 18,
	iProxyServerAuthenticationUserNameField = 19,
	iProxyServerAuthenticationPasswordLabel = 20,
	iProxyServerAuthenticationSecurityIcon = 21,
	iProxyServerAuthenticationPasswordSetButton = 22,
	iProxyServerDirectDomainsTabPane = 23,
	iProxyServerDirectDomainsList = 24,
	iProxyServerDirectDomainsLabel = 25,
	iProxyServerDirectDomainsField = 26,
	iProxyServerDirectDomainsNewDomainButton = 27,
	iProxyServerDirectDomainsRemoveButton = 28,
	iProxyServerDirectDomainsHelpText = 29
};

// Screen Size dialog box
enum
{
	iScreenSizeOKButton = 1,
	iScreenSizeCancelButton = 2,
	iScreenSizeAppleGuideButton = 3,
	iScreenSizeUpdateDefaultTerminalCheckBox = 4,
	iScreenSizeWidthLabel = 5,
	iScreenSizeWidthField = 6,
	iScreenSizeWidthArrows = 7,
	iScreenSizeWidthUnits = 8,
	iScreenSizeHeightLabel = 9,
	iScreenSizeHeightField = 10,
	iScreenSizeHeightArrows = 11,
	iScreenSizeHeightUnits = 12
};

// Session Favorite Editor dialog box
enum
{
	SessOK = 1,
	SessCancel = 2,
	SessTEKinhib = 3,
	SessTEK4014 = 4,
	SessTEK4105 = 5,
	SessPasteQuick = 6,
	SessPasteBlock = 7,
	SessDeleteDel = 8,
	SessDeleteBS = 9,
	SessForceSave = 10,
	SessBezerkeley = 11,
	SessLinemode = 12,
	SessTEKclear = 13,
	SessHalfDuplex = 14,
	SessAuthenticate = 15,
	SessEncrypt = 16,
	SessLocalEcho = 17,
	SessAlias = 18,
	SessHostName = 19,
	SessPort = 20,
	SessBlockSize = 21,	// for Paste Method
	SessInterrupt = 22,
	SessSuspend = 23,
	SessResume = 24,
	SessTermPopup = 25,
	SessTransTablePopup = 26,
	SessSafeItem = 27, // this is actually the Host label
	SessAliasStatText = 28,
	SessBlockSizeTE = 39, // for Network
	SessAutoCaptureFilePath = 40,
	SessAutoCaptureSetFile = 41,
	SessAutoCaptureToFile = 42
};

// Set Window Title dialog box
enum
{
	iSetWindowTitleSetTitleButton = 1,
	iSetWindowTitleCancelButton = 2,
	iSetWindowTitleAppleGuideButton = 3,
	iSetWindowTitleFieldLabelText = 4,
	iSetWindowTitleTitleField = 5
};

#endif