/*
**************************************************************************
	DialogResources.h
	
	MacTelnet 3.0
	 1998-2000 by Kevin Grant
	
	This file contains constants used to describe icons, dialogs, and
	windows.
**************************************************************************
*/

// defines resource ID range for 'WIND' resources
#define WINDOW_BASE_ID				1000

// defines resource ID range for 'DLOG', 'DITL', and 'dlgx' resources
#define	DIALOG_BASE_ID				700

// defines resource ID range for 'hdlg' resources THAT ARE NOT INSTALLED BY DEFAULT
#define DIALOG_BALLOONS_BASE_ID		2000

// defines resource ID range for icon suites ('icl8', 'ics4', etc.) NOTE THAT ICONS IN RANGE 128, 129, etc. ARE USED BY BUNDLES
#define	ICON_SUITE_BASE_ID			200

// defines resource ID range for icons ('ICON', 'cicn')
#define	COLOR_ICON_BASE_ID			128

/*
color icon resource IDs
*/
#define kColorIconPrefsFTPUsers					COLOR_ICON_BASE_ID
#define	kColorIconSecurity						(COLOR_ICON_BASE_ID + 1)
#define	kColorIconAssistantHeaderLeftEndCap		(COLOR_ICON_BASE_ID + 2)
#define	kColorIconAssistantHeaderMiddle			(COLOR_ICON_BASE_ID + 3)
#define	kColorIconAssistantHeaderRightEndCap	(COLOR_ICON_BASE_ID + 4)

/*
icon suite resource IDs
*/
#define	kIconSuitePrefsGeneral					ICON_SUITE_BASE_ID
#define	kIconSuitePrefsMacros					(kIconSuitePrefsGeneral + 1)
#define	kIconSuitePrefsConfigurations			(kIconSuitePrefsGeneral + 2)
#define	kIconSuitePrefsFTPServer				(kIconSuitePrefsGeneral + 3)
#define	kIconSuitePrefsScripts					(kIconSuitePrefsGeneral + 4)

#define kIconSuiteConnectionOpening				(ICON_SUITE_BASE_ID + 100)
#define kIconSuiteConnectionActive				(kIconSuiteConnectionOpening + 1)
#define kIconSuiteConnectionDead				(kIconSuiteConnectionOpening + 2)

#define kIconSuiteOpenConnectionFavorites		(ICON_SUITE_BASE_ID + 110)
#define kIconSuiteOpenConnectionRecent			(kIconSuiteOpenConnectionFavorites + 1)
#define kIconSuiteWindowHeaderPanelChoice		(kIconSuiteOpenConnectionFavorites + 2)

#define kIconSuiteEncryptionSecure				(ICON_SUITE_BASE_ID + 120)
#define kIconSuiteEncryptionDecrypting			(kIconSuiteEncryptionSecure + 1)
#define kIconSuiteEncryptionEncrypting			(kIconSuiteEncryptionSecure + 2)
#define kIconSuiteEncryptionInsecure			(kIconSuiteEncryptionSecure + 3)

#define kIconSuiteNotificationDisplayAlert		(ICON_SUITE_BASE_ID + 130)
#define kIconSuiteNotificationFlashIcon			(kIconSuiteNotificationDisplayAlert + 1)

#define kIconSuiteCursorShapeBlock				(ICON_SUITE_BASE_ID + 140)
#define kIconSuiteCursorShapeVerticalBar		(kIconSuiteCursorShapeBlock + 1)
#define kIconSuiteCursorShapeUnderline			(kIconSuiteCursorShapeBlock + 2)
#define kIconSuiteCursorShapeThickVerticalBar	(kIconSuiteCursorShapeBlock + 3)
#define kIconSuiteCursorShapeThickUnderline		(kIconSuiteCursorShapeBlock + 4)

#define kIconSuiteScriptsMenu					(ICON_SUITE_BASE_ID + 150)

#define kIconSuiteStarSmall						(ICON_SUITE_BASE_ID + 200)
#define kIconSuiteStarLarge						(kIconSuiteStarSmall + 1)

#define kIconSuiteAssistantArrowBack			(ICON_SUITE_BASE_ID + 250)
#define kIconSuiteAssistantArrowForward			(kIconSuiteAssistantArrowBack + 1)

/*
windows and dialogs
*/
#define kWindowIDClipboard										WINDOW_BASE_ID
#define kWindowIDCommandLine									(WINDOW_BASE_ID + 1)
#define kWindowIDPreferences									(WINDOW_BASE_ID + 2)
#define kWindowIDAssistant										(WINDOW_BASE_ID + 3)

#define kDialogIDGenericProgress								DIALOG_BASE_ID
#define kDialogIDSetWindowTitle									(DIALOG_BASE_ID + 1)
#define kDialogIDMacroSetup										(DIALOG_BASE_ID + 2)
#define kDialogIDNewSessions									(DIALOG_BASE_ID + 3)
#define kDialogIDEditFTPLogInMessage							(DIALOG_BASE_ID + 4)
#define kDialogIDGenericProgressModeless						(DIALOG_BASE_ID + 5)
#define kDialogIDAboutBox										(DIALOG_BASE_ID + 6)
#define kDialogIDFormat											(DIALOG_BASE_ID + 7)
#define kDialogIDScreenSize										(DIALOG_BASE_ID + 8)
#define kDialogIDNewSessionFavoriteName							(DIALOG_BASE_ID + 9)
#define kDialogIDProxyServerSetup								(DIALOG_BASE_ID + 10)
// WARNING -	due to internal DLOG references to the resource IDs,
//				these MUST remain in the "+11" and "+12" positions!
#define kDialogIDSessionFavoriteEditor							(DIALOG_BASE_ID + 11)
#define kDialogIDTerminalEditor									(DIALOG_BASE_ID + 12)
//
#define kDialogIDRemapKeyboard									(DIALOG_BASE_ID + 13)
// tmp
#define kDialogIDNewSessionsOld									(DIALOG_BASE_ID + 24)

/*
window and dialog balloons
*/
#define kDialogBalloonsIDMacroSetup								DIALOG_BALLOONS_BASE_ID
#define kDialogBalloonsIDNewSessions							(DIALOG_BALLOONS_BASE_ID + 1)
#define kDialogBalloonsIDSetWindowTitle							(DIALOG_BALLOONS_BASE_ID + 2)
#define kDialogBalloonsIDEditFTPLogInMessage					(DIALOG_BALLOONS_BASE_ID + 3)
#define kDialogBalloonsIDFormat									(DIALOG_BALLOONS_BASE_ID + 4)
#define kDialogBalloonsIDScreenSize								(DIALOG_BALLOONS_BASE_ID + 5)
#define kDialogBalloonsIDNewSessionFavoriteName					(DIALOG_BALLOONS_BASE_ID + 6)
#define kDialogBalloonsIDProxyServerSetup						(DIALOG_BALLOONS_BASE_ID + 7)
#define kDialogBalloonsIDSessionFavoriteEditor					(DIALOG_BALLOONS_BASE_ID + 8)
#define kDialogBalloonsIDTerminalEditor							(DIALOG_BALLOONS_BASE_ID + 9)
#define kDialogBalloonsIDRemapKeyboard							(DIALOG_BALLOONS_BASE_ID + 10)



/*================================================================================*/
/*================================================================================*/
/*	#defines for ALRT and DITL resources */

#define	MemoryLowAlert	200	// Preloaded, unpurgable alert to tell the user memory is tight

/*	#defines for the DLOG and DITL resources */

#define	DLOGOk		1
#define DLOGCancel	2

#define kItemDLOG 150

#define	FATALCANCEL_ID	160		// Fatal Cancel Alert

#define SetupDLOG		273		/*  Setup keys interface */
#define killbox			4
#define stopbox			5
#define startbox		6

#define TermPopupMenu	1004	
#define SessPopupMenu	1005

#define	FirstDLOG		1023

#define ANSIColorDLOG   	1002
#define	ANSIRed				3
#define	ANSIGreen			4
#define	ANSIYellow			5
#define	ANSIBlue			6
#define	ANSIMagenta			7
#define	ANSICyan			8
#define	ANSIRedLabel		9
#define	ANSIGreenLabel		10
#define	ANSIYellowLabel		11
#define	ANSIBlueLabel		12
#define	ANSIMagentaLabel	13
#define	ANSICyanLabel		14
#define	ANSIHelpButton		15

#define kThemeSavvyStandardGetFileDLOG		4002
#define		iThemeSavvyStandardGetFilePrompt				10
#define		iThemeSavvyStandardGetFileAppleGuideButton		11
#define kThemeSavvyStandardPutFileDLOG		4003
#define		iThemeSavvyStandardPutFileAppleGuideButton		13
#define kThemeSavvyStandardGetDirectoryDLOG	4004
#define		iThemeSavvyStandardGetDirectoryPrompt			10
#define		iThemeSavvyStandardGetDirectoryAppleGuideButton	11
#define		iThemeSavvyStandardGetDirectoryChooseButton		12

#define FTPUserDLOG			7005	/* The FTP User Config Dialog   ---------------- */
#define	FTPUcanchangeCWD		3	/* User can change WD checkbox */
#define FTPUusername			4	/* Username TE */
#define FTPUpassword			5	/* User's password */
#define	FTPUDfltDirDsply		6	/* User's default dir path display */
#define	FTPUDfltDirButton		7	/* Button to change user's default dir */