/*###############################################################

	FileUtilities.h
	
	This file lists useful methods for file and alias
	management.  The module also maintains global states for
	file transfers (if I can find an easy way to fix this
	ridiculous legacy code from NCSA Telnet, I will try).
	
	Telnet 3.0,  1998-2000 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1992 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __FILEUTILITIES__
#define __FILEUTILITIES__

// Mac includes
#ifndef __FILES__
#	include <Files.h>
#endif



// constants
typedef SInt16 FileUtilitiesDate;
enum
{
	kFileUtilitiesDateOfModification = 0,
	kFileUtilitiesDateOfCreation = 1,
	kFileUtilitiesDateOfBackup = 2
};



//
// public methods
//

/*###############################################################
	FILE, DIRECTORY AND VOLUME ROUTINES
###############################################################*/

short
	FileUtilities_ChangeDirectory					(long*				inoutDirID,
													 short*				inoutVRefNum,
													 char*				inoutPathname);

OSErr
	FileUtilities_GetAllFilesInDirectory			(FSSpec const*		inDirectorySpecPtr,
													 FSSpec*			inFileArrayStoragePtr,
													 UInt32*			inoutFileMaxCountFileActualCountPtr);

OSErr
	FileUtilities_GetTypedFilesInDirectory			(FSSpec const*		inDirectorySpecPtr,
													 OSType const		inDesiredTypeSignature,
													 OSType const		inDesiredCreatorSignature,
													 FSSpec*			inFileArrayStoragePtr,
													 UInt32*			inoutFileMaxCountFileActualCountPtr);

unsigned long
	FileUtilities_GetDirectoryDateFromFSSpec		(FSSpec const*		inFSSpecPtr,
													 FileUtilitiesDate	inWhichDate);

long
	FileUtilities_GetDirectoryIDFromFSSpec			(FSSpec const*		inFSSpecPtr);

void
	FileUtilities_GetDirectoryName					(short				inVRefNum,
													 long				inDirID,
													 Str32				outName);

OSErr
	FileUtilities_GetIndVolume						(short				inIndex,
													 short*				outVRefNum);

OSErr
	FileUtilities_GetLastModDateTime				(FSSpec*			inFSSpecPtr,
													 unsigned long*		outLastModDateTime);

char*
	FileUtilities_GetNameUsingWildcard				(char*				inWildcard,
													 CInfoPBRec*		inFInfoPtr);

OSErr
	FileUtilities_GetPathnameFromDirectoryID		(long const			inDirectoryID,
													 short const		inVolumeReferenceNumber,
													 StringPtr			outFullPathNameString);

OSErr
	FileUtilities_GetPathnameFromFSSpec				(FSSpec const*		inDirectorySpecPtr,
													 StringPtr			outFullPathNameString,
													 Boolean const		inIsDirectory);

short
	FileUtilities_GetVolumeReferenceNumberByName	(Str32				inVolumeName);

OSErr
	FileUtilities_LaunchApplicationFromFSSpec		(FSSpec*			inFSSpecPtr);

OSErr
	FileUtilities_OpenDocument						(FSSpec*			inFSSpecPtr);

OSErr
	FileUtilities_PersistentCreate					(FSSpec*			inoutFSSpecPtr,
													 OSType				inCreator,
													 OSType				inType,
													 ScriptCode			inScriptTag);

SInt32
	FileUtilities_TextToHandle						(SInt16 const		inFileRefNum,
													 Handle				inoutTextHandle);

OSErr
	FileUtilities_VolHasDesktopDB					(short				inVRefNum,
													 Boolean*			outHasDesktop);

char *firstname(char *spec, long dirID, short vRefNum, CInfoPBRec *finfo);

char *nextname(char *spec, CInfoPBRec *finfo);

#endif