/*###############################################################

	GeneralResources.h
	
	Constants describing general resources, such as resource
	types and special resource IDs.
	
	MacTelnet 3.0,  1998-2000 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __GENERALRESOURCES__
#define __GENERALRESOURCES__

// type and creator signatures
#define	kApplicationCreatorSignature			'KevG'
#define kApplicationFileTypeMacroSet			'TEXT'
#define kApplicationFileTypeSessionDescription	'CONF'

// icon family for the MacTelnet application icon
#define kNCSAIconFamilyId						128

// 'open' resource ID
#define	kNavGetFileOpenResource					128

// see AboutBox.c for important details on the following values, especially if you change them!!!
#define	kTextResourceIDAboutBox					128
#define	kPatternResourceIDAboutBox1				128
#define kAboutBoxDissolvePatternSetCount		10
#define kAboutBoxDissolvePatternCountPerSet		6

#define kSoundResourceIDAboutBoxDispose			128

#define EASTER_EGG_SOUND_RESOURCE_TYPE			'Eegg'
#define kSoundResourceIDQuadDamageBeginning		128
#define kSoundResourceIDQuadDamageFading		129
#define kSoundResourceIDQuadDamageShot			130
#define kSoundResourceIDSecretDiscovered		131

/* ----------------- Defines for translation routines -------------------------------*/
#define	MY_TRSL				'TRSL'	/* resource type for translation */
#define	TRSL_DEFAULT_TABLE	256		/* The default table */
#define	TRSL_FTP_TABLE		257		/* The MAC->ISO, ISO->MAC table for FTP */

#define	USER_TRSL			'taBL'	/* User translation tables resource type */
									/* 256 bytes of in table followed by 256 bytes of out table */

#endif