/*###############################################################

	Inspector.h
	
	A windoid that displays information about whichever non-
	floating window is frontmost.
	
	MacTelnet 3.0,  1998-2000 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __INSPECTOR__
#define __INSPECTOR__

// Mac includes
#include <MacTypes.h>
#include <MacWindows.h>

// library includes
#include "InterfaceLib.h"



//
// public methods
//

void
	Inspector_Init					(void);

void
	Inspector_Done					(void);

WindowInfoRef
	Inspector_GetWindowInfo			(void);

WindowRef
	Inspector_GetWindow				(void);

void
	Inspector_HandleContentClick	(EventRecord*			inoutEventPtr);

Boolean
	Inspector_IsVisible				(void);

void
	Inspector_SetActive				(Boolean const			inIsActive);

void
	Inspector_SetSuspended			(Boolean				inIsSuspended);

void
	Inspector_SetVisible			(Boolean				inIsVisible);

void
	Inspector_ToggleVisible			(void);

OSErr
	Inspector_Update				(GrafPtr				inDrawingPort);

#endif