/*###############################################################

	KeypadMenus.h
	
	Handles floating keypads.
	
	NOTE:	The PictureMDEFWindoid module is NOT the interface
			to handle keypads; the Keypads module should be used
			to manage them.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __KEYPADS__
#define __KEYPADS__



// constants
typedef SInt16	TelnetKeypadType;
enum
{
	kKeypadTypeControlKeys = 0,
	kKeypadTypeFunctionKeys = 1,
	kKeypadTypeVT220Keys = 2
};



//
// public methods
//

void
	Keypads_Init					(void);

void
	Keypads_Done					(void);

WindowRef
	Keypads_GetWindow				(TelnetKeypadType const		inFromKeypad);

void
	Keypads_HandleContentClick		(TelnetKeypadType const		inFromKeypad,
									 EventRecord*				inoutEventPtr);

Boolean
	Keypads_IsVisible				(TelnetKeypadType const		inFromKeypad);

void
	Keypads_SetActive				(TelnetKeypadType const		inKeypad,
									 Boolean const				inIsActive);

void
	Keypads_SetSuspended			(TelnetKeypadType const		inKeypad,
									 Boolean const				inIsBackgrounded);

void
	Keypads_SetVisibility			(TelnetKeypadType const		inKeypad,
									 Boolean const				inIsVisible);

void
	Keypads_ToggleVisibility		(TelnetKeypadType const		inKeypad);

#endif