/*
**************************************************************************
	TelnetAlertMessageText.h
	
	MacTelnet 3.0
	 1998-2000 by Kevin Grant
	
	This file contains strings that appear in the form of Note, Stop or
	Caution alerts to the user.
	
	Please try to view this file in the font Charcoal 12.
**************************************************************************
*/

/*
alert titles
*/

// appears whenever a macro export operation is attempted on an empty set of macros
#define ALERTTITLE_EXPORT_NOT_POSSIBLE \
	"No Macros Defined"

// used when the open timeout for a session expires
#define ALERTTITLE_CONNECTION_OPENING_FAILED \
	"Session Opening Timed Out"

// used if a fatal error occurs while Telnet is launching
#define ALERTTITLE_STARTUP_ERROR \
	"Startup Error"

// if Telnet is working properly, this alert title will never be used!
#define ALERTTITLE_FATAL_ERROR_OS_PROTECTION_MECHANISM \
	"Fatal Error"

// appears when the close box of a connection window is clicked, or the Disconnect/Close command is used
#define ALERTTITLE_CLOSE \
	"Close"

// appears when a script is run and encounters an error
#define ALERTTITLE_SCRIPT_ERROR \
	"Script Error"



/*
general messages
*/

#define ALERTTEXT_TOO_MANY_OPEN_CONNECTIONS \
	"Sorry, but there are too many "SESSION_PLURAL" open."

#define ALERTTEXT_TOO_MANY_OPEN_CONNECTIONS_HELP_TEXT \
	"You need to close one of the open "SESSION_PLURAL" before opening any more."

#define ALERTTEXT_DOMAIN_NAMES_WONT_WORK_HELP_TEXT \
	"If you have aborted a "SESSION_SINGULAR", you may ignore this problem."

#define ALERTTEXT_IP_ADDRESS_NOT_ATTAINABLE \
	APPLICATION_SHORT" cannot determine your computers IP address.  Perhaps you are not connected to the Internet."

// %a=(error number)
#define ALERTTEXT_DOMAIN_NAME_RESOLVER_OPEN_FAILED_BECAUSE \
	"The domain name resolver could not be opened because an error of type %a occurred."

#define ALERTTEXT_WILL_NOT_BE_ABLE_TO_OPEN_THAT_MANY_CONNECTIONS \
	"It will not be possible to open that many "SESSION_PLURAL" at once."

#define ALERTTEXT_PRINTING_FAILED \
	"The selection could not be printed."

#define ALERTTEXT_PRINTING_FAILED_HELP_TEXT \
	"Please try to print the selection again, or print a different selection."

// %a=(host name), %b=(reason for problem); see ALERTTEXT_DNR strings, below
#define ALERTTEXT_CONNECTION_OPENING_FAILED \
	"The "SESSION_SINGULAR" for %a could not be opened, because %b."

#define ALERTTEXT_DNR_GENERAL_ERROR \
	"of unexpected difficulties in looking up the name"

#define ALERTTEXT_DNR_INTERRUPTED_ERROR \
	"the name lookup was interrupted"

#define ALERTTEXT_DNR_OUT_OF_MEMORY \
	"Open Transport has run out of memory"

#define ALERTTEXT_DNR_NETWORK_UNREACHABLE \
	"the network is unreachable"

#define ALERTTEXT_DNR_TIMED_OUT \
	"the maximum waiting time has elapsed (you could try again)"

#define ALERTTEXT_DNR_CONFIGURATION_ERROR \
	"your computer does not appear to be properly configured for networking"

#define ALERTTEXT_DNR_NAME_DOES_NOT_EXIST \
	"no existing "SESSION_FAVORITES_SINGULAR", domain name, or IP address matches it"

// %a=(OS error number), %b=(internal error number)
#define ALERTTEXT_OSERR_AND_INTERNALERR_HELP_TEXT \
	"An error of type %a has occurred (internal %b)."

#define ALERTTEXT_CANT_REMOVE_DEFAULT_LIST_ITEM \
	"Sorry, you cannot remove the default item in this list."

// %a=(configuration data); see Configuration Data strings
#define ALERTTEXT_DUPLICATE_CONFIGURATION \
	"There is already %a with that name."

// %a=(plural configuration data); see Configuration Data strings
#define ALERTTEXT_DUPLICATE_CONFIGURATION_HELP_TEXT \
	"All %a must have distinct names.  Please enter a different name."

// %a=(reason); see Operation Failed Messages
#define ALERTTEXT_COMMAND_CANNOT_CONTINUE \
	"This command cannot continue because %a."

// %a=(OS error number)
#define ALERTTEXT_SCRIPT_OSERR_HELP_TEXT \
	"An error of type %a has occurred."



/*
operation failed messages (substituted into ALERTTEXT_COMMAND_CANNOT_CONTINUE, above)
*/

#define ALERTTEXT_OPFAILED_CANT_CREATE_FILE \
	"the file could not be created"

#define ALERTTEXT_OPFAILED_CANT_OPEN_FILE \
	"the file could not be opened"

#define ALERTTEXT_OPFAILED_OUT_OF_MEMORY \
	"there is not enough free memory"

#define ALERTTEXT_OPFAILED_BAD_SET \
	"the "SAVED_SET" contains a keyword that is not valid"

#define ALERTTEXT_OPFAILED_NO_PRINTER \
	"no printer could be found"



/*
status messages
*/

// %a=(host name), %b=(status, one of the three following strings)
#define ALERTTEXT_STATUS_THE_CONNECTION \
	"This "SESSION_SINGULAR" for %a is currently %b."

#define ALERTTEXT_AWAITING_DISMISSAL \
	"disconnected and awaiting dismissal"

#define ALERTTEXT_BEING_OPENED \
	"being opened"

#define ALERTTEXT_BEING_LOOKED_UP \
	"being looked up"

// %a=(name of Abort button)
#define ALERTTEXT_STATUS_HELP_TEXT \
	"To force the "SESSION_SINGULAR" to disconnect, click %a."

#define ALERTTEXT_STATUS_PRINTING_IN_PROGRESS \
	"Printing selection (-. cancels)"

// appears at startup when the font list needs rebuilding
#define ALERTTEXT_STATUS_BUILDING_FONT_LIST \
	"Saving names of available fonts"

#define ALERTTEXT_STATUS_FTP_SERVER_STARTING \
	"Starting up FTP server"

#define ALERTTEXT_STATUS_FTP_SERVER_SHUTTING_DOWN \
	"Shutting down FTP server"

#define ALERTTEXT_STATUS_BUILDING_SCRIPTS_MENU \
	"Building "MENUNAME_SCRIPTS" menu"

// %a=(host)
#define ALERTTEXT_STATUS_NOT_CONNECTED \
	"Disconnected from %a."

// %a=(host), %b=(time), %c=(date, which may be today or yesterday)
#define ALERTTEXT_STATUS_CONNECTED_SINCE \
	"Connected to %a since %b on %c."

// relative date: today
#define ALERTTEXT_STATUS_TIME_TODAY \
	"today"

// relative date: yesterday
#define ALERTTEXT_STATUS_TIME_YESTERDAY \
	"yesterday"



/*
note alerts
*/

#define ALERTTEXT_ACTIVITY_WATCH_BEGUN \
	APPLICATION_SHORT" is now watching this "SESSION_SINGULAR".  You will be notified as soon as it receives new text information."

#define ALERTTEXT_ACTIVITY_WATCH_BEGUN_HELP_TEXT \
	"The watch will be disengaged when text first appears in the "SESSION_POSSESSIVE" window."

#define ALERTTEXT_EXPORT_NOT_POSSIBLE \
	"The current set of macros is empty.  You must define at least one macro before exporting."

#define ALERTTEXT_EXPORT_NOT_POSSIBLE_HELP_TEXT \
	"To define macros for export, or to change the current macro set, select the "INAME_PREFERENCES" command from the "MENUNAME_EDIT" menu."

#define ALERTTEXT_PRERELEASE_WARNING \
	"This is not yet final-quality software.  Please download regular updates until the final version becomes available."

#define ALERTTEXT_PRERELEASE_WARNING_HELP_TEXT \
	"http://www.mactelnet.com/download/"

#define ALERTTEXT_MACRO_IMPORT_SUCCESSFUL \
	"Your macros have been imported successfully.  To view, manipulate or find out the key equivalent for a macro, use the "INAME_PREFERENCES" command in the "MENUNAME_EDIT" menu."

// %a=(dot-separated octets of an IP address)
#define ALERTTEXT_SHOW_IP_ADDRESS \
	"This computers IP address is %a."

#define ALERTTEXT_ACTIVITY_DETECTED \
	"Information has appeared in one of your watched "SESSION_SINGULAR" windows."

#define ALERTTEXT_NOTIFICATION_ALERT \
	APPLICATION_SHORT" requires your attention."



/*
caution alerts
*/

#define ALERTTEXT_CONNECTIONS_ARE_OPEN_QUIT_ANYWAY \
	"Active or still-opening "SESSION_PLURAL" will be forced to disconnect if you quit.  Do you still wish to quit?"

#define ALERTTEXT_CONNECTIONS_ARE_OPEN_CLOSE_ALL_ANYWAY \
	"Closing all "SESSION_PLURAL" will force them to disconnect, which is not recommended.  Do you still wish to close all "SESSION_PLURAL"?"

// %a=(window name)
#define ALERTTEXT_CONFIRM_CONNECTION_CLOSE \
	"The active connection in the window %a will be forced to disconnect.  Close anyway?"

#define ALERTTEXT_CONFIRM_CONNECTION_CLOSE_HELP_TEXT \
	"Unless you are having problems logging out normally, you should not click Close.  To log out normally, type logout in the terminal window."

#define ALERTTEXT_THIS_WILL_REQUIRE_CONNECTION \
	"This operation cannot be completed without a network connection.  Do you wish to continue?"

#define ALERTTEXT_THIS_WILL_REQUIRE_CONNECTION_HELP_TEXT \
	"Select "REUSABLE_BTNNAME_OK" to connect to the network, or "REUSABLE_BTNNAME_CANCEL" to stop now."

// very generic
#define ALERTTEXT_LOCATING_MENTIONED_COMMAND_HELP_TEXT \
	"Click the question-mark icon for assistance in invoking the command mentioned."

#define ALERTTEXT_IMPORT_OVERWRITE_WARNING \
	"Your active macro set will be modified.  Import anyway?"

// very generic
#define ALERTTEXT_PROCEDURE_NOT_UNDOABLE_HELP_TEXT \
	"This procedure cannot be undone."

#define ALERTTEXT_PREFERENCES_SAVED_ARE_NEWER \
	"The preferences on disk are from a newer version of "APPLICATION_SHORT".  Do you still wish to save preferences, removing the data not relevant to this version of "APPLICATION_SHORT"?"

// %a=(configuration name: user, terminal or session)
#define ALERTTEXT_CONFIRM_REMOVE_LIST_ITEM \
	"Remove %a from the list?"

// %a=(number of items selected)
#define ALERTTEXT_CONFIRM_REMOVE_MANY_LIST_ITEMS \
	"Remove the %a selected items in the list?"



/*
startup errors
*/

#define ALERTTEXT_PREFERENCES_CORRUPTED_ATTEMPT_FIX \
	"The preferences file cannot be read properly.  It might be damaged, and may be possible to repair using default settings.  Repair the preferences file?"

#define ALERTTEXT_PREFERENCES_REPAIR_FAILED \
	"The preferences file could not be repaired.  Please quit, delete the preferences file for this program and try again."

#define ALERTTEXT_VITAL_RESOURCE_MISSING \
	"A vital application resource appears to be missing or is corrupted.  Please replace the "APPLICATION_SHORT" application with a new copy."

#define ALERTTEXT_UNABLE_TO_OPEN_MACTCP \
	"Sorry, "APPLICATION_SHORT" cannot run because it was unable to start up the TCP driver."

#define ALERTTEXT_UNABLE_TO_CREATE_PREFERENCES_FILE \
	"Sorry, a preferences file could not be created for some reason."

#define ALERTTEXT_WRONG_SYSENVIRONS_VERSION \
	"Sorry, this program will not run on your computer for some reason."

#define ALERTTEXT_MAC_OS_VERSION_TOO_OLD \
	"Sorry, "APPLICATION_SHORT" cannot run without Mac OS 8 or later."

#define ALERTTEXT_MAC_ROM_TOO_OLD \
	"Sorry, "APPLICATION_SHORT" cannot run on this computer because the computer ROM is smaller than 128K."

#define ALERTTEXT_UNABLE_TO_INSTALL_APPLE_EVENT_HANDLERS \
	"Sorry, a problem occurred while trying to set up inter-application communications."

#define ALERTTEXT_UNABLE_TO_INIT_OPEN_TRANSPORT \
	"Sorry, "APPLICATION_SHORT" cannot run because Open Transport could not be set up properly."



/*
network-related errors
*/

#define ALERTTEXT_NETERROR_UNABLE_TO_GET_TCP_STATUS \
	"Sorry, "APPLICATION_SHORT" could not determine the status of TCP on this computer."

#define ALERTTEXT_NETERROR_UNABLE_TO_GET_IP_ADDRESS \
	"Sorry, "APPLICATION_SHORT" could not get an IP address from TCP."

#define ALERTTEXT_NETERROR_CANT_OPEN_SOCKET_OPEN_FAILED \
	"Sorry, "APPLICATION_SHORT" cannot open this "SESSION_SINGULAR" (a TCP socket could not be opened)."

#define ALERTTEXT_NETERROR_CANT_ABORT_CONNECTION \
	APPLICATION_SHORT" could not abort this "SESSION_SINGULAR" properly  perhaps some of your TCP settings are incorrect."

#define ALERTTEXT_NETERROR_HOST_OR_GATEWAY_HAS_STILL_NOT_RESPONDED \
	"The host or gateway %a has still not responded.  "APPLICATION_SHORT" is terminating its attempts to open this "SESSION_SINGULAR"."

#define ALERTTEXT_NETERROR_HOST_OR_GATEWAY_HAS_STILL_NOT_RESPONDED_HELP_TEXT \
	"If you want to wait longer for this "SESSION_SINGULAR" to open next time, increase the Open Timeout in General Preferences."

#define ALERTTEXT_NETERROR_FATAL_CANNOT_ALLOCATE_TCP_BUFFER \
	APPLICATION_SHORT" unexpectedly failed to allocate a TCP buffer, and must be shut down."



/*
disk-related errors
*/

#define ALERTTEXT_RESERROR_DISK_IS_FULL \
	"Sorry, there is not enough space remaining on the disk to complete this operation."



/*
memory-related errors
*/

#define ALERTTEXT_MEMERROR_CANNOT_LOAD_SET \
	"Sorry, there is not enough memory available to load the "SAVED_SET" you selected."

#define ALERTTEXT_MEMERROR_CANNOT_CREATE_RASTER_GRAPHICS_WINDOW \
	"Sorry, there is not enough memory available to open a raster graphics window at this time."

#define ALERTTEXT_MEMERROR_FATAL_OUT_OF_MEMORY \
	"There is not enough memory available to continue."



/*
OS protection mechanism messages (ideally, the user will never see these!)
*/

// %a=(error name), %b=(a sentence description of the error)
#define ALERTTEXT_OS_PROTECTION_GENERIC_MESSAGE_TEXT \
	APPLICATION_SHORT" has unexpectedly quit, due to %a.  %b"

#define ALERTTEXT_OS_PROTECTION_HELP_TEXT \
	"Please E-mail this problem to kevin@ieee.org, describing what "APPLICATION_SHORT" was doing when the error occurred."

#define ALERTTEXT_OS_PROTECTION_ERROR_NAME_ILLEGAL_ARRAY_ACCESS \
	"an illegal array access"

#define ALERTTEXT_OS_PROTECTION_ERROR_DESCRIPTION_ILLEGAL_ARRAY_ACCESS \
	"Element #%a of array %b does not exist (the array contains %c elements)."