/*
**************************************************************************
	TelnetButtonNames.h
	
	MacTelnet 3.0
	 1998-2000 by Kevin Grant
	
	This file contains strings for common terms, as well as for checkbox
	and radio button names, and other controls.
**************************************************************************
*/

/*
window titles
*/

#define CLIPBOARD_WINDOWNAME							"Clipboard: %a"
#define EDITFTPLOGINMESSAGE_WINDOWNAME					"FTP Server: Edit Log-In Message"
#define FORMAT_WINDOWNAME								"Format Terminal"
#define MACROSETUP_WINDOWNAME							"Macro Setup"
#define MAPKEYBOARD_WINDOWNAME							"Edit Default Translation Table"
#define NEWSESSIONS_WINDOWNAME							"New Sessions"
#define PREFERENCES_WINDOWNAME							"Preferences: %a"
#define PROXYSERVER_WINDOWNAME							"Proxy Server Setup"
#define SCREENSIZE_WINDOWNAME							"Terminal Screen Size"
#define SETWINDOWTITLE_WINDOWNAME						"Set Window Title"
#define TERMINALEDITOR_WINDOWNAME						"Edit Terminal Favorite"



/*
checkboxes
*/

// Options that can appear in multiple dialogs.
#define GENERIC_CBNAME_UPDATEDEFAULTTERMINAL			"Update Default Preferences"

// Options from tabs in the Preferences dialog box.
#define PREFERENCES_FTP_CBNAME_SHOWLOGATSTARTUP			"Show FTP Log at Startup"
#define PREFERENCES_FTP_CBNAME_USEMACBINARYII			"Use MacBinary II"
#define PREFERENCES_FTP_CBNAME_RESETMACBINARY			"Reset MacBinary After Each Transfer"
#define PREFERENCES_FTP_CBNAME_USEISOTRANSLATION		"Use ISO Translation For File Names"
#define PREFERENCES_GENERAL_CBNAME_SIMPLETELNET			"Simplified User Interface"
#define PREFERENCES_GENERAL_CBNAME_DONTAUTOCLOSE		"Dont Automatically Close Windows"
#define PREFERENCES_GENERAL_CBNAME_DYNAMICRESIZING		"Dynamic Window Resizing"
#define PREFERENCES_GENERAL_CBNAME_HEADERSCOLLAPSED		"Window Headers Initially Collapsed"
#define PREFERENCES_GENERAL_CBNAME_USEPICTURE			"Background Picture In Session Windows"
#define PREFERENCES_GENERAL_CBNAME_DONTDIMBACKGROUNDSCREENS	"Dont Dim Background Session Windows"
#define PREFERENCES_GENERAL_CBNAME_PUREINVERSE			"Invert Selected Text"
#define PREFERENCES_GENERAL_CBNAME_COPYSELECTEDTEXT		"Automatically Copy Selected Text"
#define PREFERENCES_GENERAL_CBNAME_AUTOMOVECURSORONDROP	"Move Cursor To Text Drop Location"
#define PREFERENCES_GENERAL_CBNAME_MENUITEMKEYS			"Menu Item Key Equivalents"
#define PREFERENCES_GENERAL_CBNAME_MAPBACKQUOTE			"Map Backquote Key to Escape Character"
#define PREFERENCES_GENERAL_CBNAME_EXPIRETICKETS		"Expire Kerberos Tickets on Last Close"
#define PREFERENCES_GENERAL_CBNAME_CURSORFLASHING		"Flashing"
#define PREFERENCES_GENERAL_CBNAME_NOTIFYOFBEEPS		"Notify of Terminal Beeps"
#define PREFERENCES_GENERAL_CBNAME_VISUALBELL			"Visual Bell (No Terminal Audio)"

// Options in Favorites editor dialog boxes.
#define PREFERENCES_SESSION_CBNAME_FORCESSAVE			"Force Save"
#define PREFERENCES_SESSION_CBNAME_BERKELEYCR			"Berkeley 4.3 CR Mode"
#define PREFERENCES_SESSION_CBNAME_LINEMODE				"Line Mode"
#define PREFERENCES_SESSION_CBNAME_PAGECLEAR			"TEK PAGE Clears Graphics Window"
#define PREFERENCES_SESSION_CBNAME_HALFDUPLEX			"Half Duplex"
#define PREFERENCES_SESSION_CBNAME_AUTHENTICATE			"Authenticate"
#define PREFERENCES_SESSION_CBNAME_ENCRYPT				"Encrypt"
#define PREFERENCES_SESSION_CBNAME_LOCALECHO			"Local Echo"
#define PREFERENCES_SESSION_CBNAME_AUTOCAPTURE			"Automatically Capture to File"
#define PREFERENCES_TERMINAL_CBNAME_ANSICOLORS			"ANSI Colors & Graphics"		
#define PREFERENCES_TERMINAL_CBNAME_XTERM				"XTerm Sequences"
#define PREFERENCES_TERMINAL_CBNAME_WRAPLINES			"Wrap Lines (No Truncate)"
#define PREFERENCES_TERMINAL_CBNAME_EMACSARROWS			"EMACS Arrow Keys"
#define PREFERENCES_TERMINAL_CBNAME_8BITS				"Use Full 8 Bits"
#define PREFERENCES_TERMINAL_CBNAME_SAVECLEAR			"Save Lines on Clear"
#define PREFERENCES_TERMINAL_CBNAME_NORMKEYPAD			"Normal Keypad Top Row"
#define PREFERENCES_TERMINAL_CBNAME_PAGEKEYS			"Dont Send Page Keys"

// This labels the Via Proxy: checkbox in the New Sessions dialog.
#define NEWSESSIONS_CBNAME_PROXIES						"Via Proxy:"



/*
group boxes
*/

#define MACROSETUP_GROUPBOXNAME_EDITMACROSET			"Edit Macro Set"
#define MACROSETUP_GROUPBOXNAME_MACROKEYS				"Macro Keys"
#define MACROSETUP_GROUPBOXNAME_ACTIVESET				"Active Set"

#define NEWSESSIONS_GROUPBOXNAME_NEWSESSION				"New Session"
#define NEWSESSIONS_GROUPBOXNAME_SELECTEDSESSION		"Selected Session"
#define NEWSESSIONS_GROUPBOXNAME_CONNECTION				"Connection"
#define NEWSESSIONS_GROUPBOXNAME_TERMINAL				"Terminal"
#define NEWSESSIONS_GROUPBOXNAME_SESSIONSTOOPEN			"Sessions to Open"

#define PREFERENCES_FTP_GROUPBOXNAME_TEXTFILES			"ASCII Text Files"
#define PREFERENCES_FTP_GROUPBOXNAME_BINARYFILES		"Binary Files"
#define PREFERENCES_GENERAL_GROUPBOXNAME_CURSOR			"Cursor"
#define PREFERENCES_GENERAL_GROUPBOXNAME_TIMEOUTS		"Timeouts (in seconds)"
#define PREFERENCES_GENERAL_GROUPBOXNAME_COPYTABLE		"Copy Using Tabs For Spaces"
#define PREFERENCES_GENERAL_GROUPBOXNAME_CAPTUREFILE	"Capture File Creator"
#define PREFERENCES_GENERAL_GROUPBOXNAME_NOTIFICATION	"Background Notification"



/*
heading buttons
*/

#define PREFERENCES_MACROS_KEYS_HEADERNAME			"Key(s)"
#define PREFERENCES_MACROS_MACRONAME_HEADERNAME		"Name"
#define PREFERENCES_MACROS_TEXT_HEADERNAME			"Equivalent"



/*
pop-up menu buttons
*/

// This labels the Edit pop-up menu in the Format dialog.
#define FORMAT_POPUPNAME_EDIT							"Edit:"

// This labels the Font pop-up menu in the Format dialog.
#define FORMAT_POPUPNAME_FONT							"Font:"

// This labels the Show pop-up menu in the Preferences dialog (Favorites panel).
#define PREFERENCES_CONFIGURATIONS_POPUPNAME_SHOW		"Show:"

// This labels the Edit Macro Set pop-up menu in the Macro Setup dialog.
#define PREFERENCES_MACROS_POPUPNAME_EDITMACROSET		"Show:"

// This labels the Terminal pop-up menu in the New Sessions dialog.
#define NEWSESSIONS_POPUPNAME_TERMINALS					"Terminal:"

// This labels the Translation Table pop-up menu in the Session Favorite Editor dialog.
#define SESSIONEDITOR_POPUPNAME_TRANSLATIONTABLE		"Translation Table:"

// This labels the Terminal pop-up menu in the Session Favorite Editor dialog.
#define SESSIONEDITOR_POPUPNAME_DEFAULTTERMINAL			"Terminal:"



/*
push buttons
*/

// button to allow user to kill a session
#define SPECIAL_BTNNAME_ABORT							"Abort"

// button to allow user to Copy something to the system clipboard
#define SPECIAL_BTNNAME_COPY							"Copy to Clipboard"

// button to allow user to continue a generic action
#define SPECIAL_BTNNAME_CONTINUE						"Continue"

// button to allow user to repair the preferences file
#define SPECIAL_BTNNAME_REPAIR							"Repair"

// button to close a session window
#define SPECIAL_BTNNAME_CLOSE							"Close"

// button to quit the program when an unrecoverable error occurs
#define SPECIAL_BTNNAME_QUIT							"Quit"

#define REUSABLE_BTNNAME_OK								"OK"
#define REUSABLE_BTNNAME_CANCEL							"Cancel"

#define MAPKEYBOARD_BTNNAME_TYPECHARACTER				"Type a Character"

#define MACROSETUP_BTNNAME_IMPORT						"Import"
#define MACROSETUP_BTNNAME_EXPORT						"Export"
#define MACROSETUP_BTNNAME_USESETABOVE					"Use Set Above"

#define NEWSESSIONS_BTNNAME_CONNECT						"Connect"
#define NEWSESSIONS_BTNNAME_ADD							"Add"
#define NEWSESSIONS_BTNNAME_REMOVE						"Remove"

#define NEWSESSIONFAVORITE_BTNNAME_CREATE				"Create"

#define PREFERENCES_CONFIGURATIONS_BTNNAME				"Favorites"
#define PREFERENCES_CONFIGURATIONS_BTNNAME_SHOWLIST			"Manage"
#define PREFERENCES_CONFIGURATIONS_BTNNAME_EDIT				"Edit"
#define PREFERENCES_CONFIGURATIONS_BTNNAME_NEW				"New"
#define PREFERENCES_CONFIGURATIONS_BTNNAME_NEWGROUP			"New Group"
#define PREFERENCES_CONFIGURATIONS_BTNNAME_REMOVE			"Remove"
#define PREFERENCES_CONFIGURATIONS_BTNNAME_DUPLICATE		"Duplicate"
#define PREFERENCES_FTP_BTNNAME							"FTP"
#define PREFERENCES_FTP_BTNNAME_FROMAPP						"From Application"
#define PREFERENCES_FTP_BTNNAME_EXAMPLEFILE					"Example File"
#define PREFERENCES_FTP_BTNNAME_EDITLOGINMESSAGE			"Edit Log-In Message"
#define PREFERENCES_FTP_BTNNAME_REGISTEREDUSERSETUP			"User Setup"
#define PREFERENCES_GENERAL_BTNNAME						"General"
#define PREFERENCES_GENERAL_BTNNAME_ANSICOLORSDEFAULT		"Set to Default Colors"
#define PREFERENCES_MACROS_BTNNAME						"Macros"
#define PREFERENCES_SCRIPTS_BTNNAME						"Scripts"

#define PROXYSETUP_BTNNAME_PASSWORDSET					"Set"
#define PROXYSETUP_BTNNAME_NEWDOMAIN					"New Domain"
#define PROXYSETUP_BTNNAME_REMOVE						"Remove"

#define SETWINDOWTITLE_BTNNAME_SETTITLE					"Set Title"



/*
radio buttons
*/

#define MACROSETUP_RBNAME_MACROKEYSCOMMANDKEYS			" + Keypad"
#define MACROSETUP_RBNAME_MACROKEYSFUNCTIONKEYS			"F1 - F12"

#define MACROSETUP_RBNAME_ACTIVESET1					"1"
#define MACROSETUP_RBNAME_ACTIVESET2					"2"
#define MACROSETUP_RBNAME_ACTIVESET3					"3"
#define MACROSETUP_RBNAME_ACTIVESET4					"4"
#define MACROSETUP_RBNAME_ACTIVESET5					"5"

#define PREFERENCES_FTP_RBNAME_MODEOFF					"Off"
#define PREFERENCES_FTP_RBNAME_MODEONANONYMOUS			"Anonymous (Unknown Users)"
#define PREFERENCES_FTP_RBNAME_MODEONWITHUSERLOGIN		"Normal (Known Users Only)"
#define PREFERENCES_GENERAL_RBNAME_METHODNONE			"Do Nothing"
#define PREFERENCES_GENERAL_RBNAME_METHODDIAMOND		"Mark the application menu"
#define PREFERENCES_GENERAL_RBNAME_METHODFLASHICON		"and flash an alert icon"
#define PREFERENCES_GENERAL_RBNAME_METHODDISPLAYALERT	"and display a message"

#define PREFERENCES_SESSION_RBNAME_OPTION				"Option"
#define PREFERENCES_SESSION_RBNAME_NONE					"None"
#define PREFERENCES_SESSION_RBNAME_VT100				"VT100"
#define PREFERENCES_SESSION_RBNAME_VT220				"VT220"



/*
tabs
*/

#define PREFERENCES_FTP_TABNAME_OPTIONS					"Options"
#define PREFERENCES_FTP_TABNAME_FILETYPES				"File Types"
#define PREFERENCES_FTP_TABNAME_SERVER					"Server"
#define PREFERENCES_GENERAL_TABNAME_OPTIONS				"Options"
#define PREFERENCES_GENERAL_TABNAME_SPECIAL				"Special"
#define PREFERENCES_GENERAL_TABNAME_COLOR				"Colors"
#define PREFERENCES_GENERAL_TABNAME_NOTIFICATION		"Notification"
#define PREFERENCES_MACROS_TABNAME_SET1					"Set 1"
#define PREFERENCES_MACROS_TABNAME_SET2					"Set 2"
#define PREFERENCES_MACROS_TABNAME_SET3					"Set 3"
#define PREFERENCES_MACROS_TABNAME_SET4					"Set 4"
#define PREFERENCES_MACROS_TABNAME_SET5					"Set 5"

#define PROXYSETUP_TABNAME_SERVERINFO					"Server Info"
#define PROXYSETUP_TABNAME_AUTHENTICATION				"Authentication"
#define PROXYSETUP_TABNAME_DIRECTDOMAINS				"Direct Domains"