/*
**************************************************************************
	TelnetFTPText.h
	
	MacTelnet 3.0
	 1998-2000 by Kevin Grant
	
	This file contains all localizable strings used by Telnets FTP
	client and server.
	
	Try to view this file in the font Monaco 10.
**************************************************************************
*/

#ifdef REZ

/*
The carriage-return, line-feed combination.  Some strings have
this key attached as a suffix.  DO NOT REMOVE THIS SUFFIX FROM SUCH
STRINGS, and do not replace it with anything.  If you do, Telnet will
not be able to interact in FTP client mode!
*/
#define CRLF "\0x0D\0x0A"



/*
FTP client feedback, used to interpret messages from remote
FTP servers.  These strings are displayed if the user opens
a new connection using the file transfer protocol.
*/

// this is actually a default string for the local FTP server, and is not used in client mode
#define FTP_SERVER_MESSAGE_LOGIN \
	"220 Mac OS computer resident FTP server, ready"CRLF

#define FTP_SERVER_MESSAGE_ERROR_PROCESSING_LIST_COMMAND \
	"451 Error in processing list command"CRLF

#define FTP_SERVER_MESSAGE_LOGOUT \
	"221 Goodbye"CRLF

// warning - the position of the < > must not change, so add in-between spaces if your localized text is shorter
#define FTP_SERVER_MESSAGE_PROGRESS \
	"200 This space intentionally left blank <   >"CRLF

#define FTP_SERVER_MESSAGE_OPENING_CONNECTION \
	"150 Opening connection"CRLF

#define FTP_SERVER_MESSAGE_TRANSFER_COMPLETE \
	"226 Transfer complete"CRLF

#define FTP_SERVER_MESSAGE_NEW_MODE_ASCII \
	"200 Type set to A, ASCII transfer mode"CRLF

#define FTP_SERVER_MESSAGE_NEW_MODE_BINARY_I \
	"200 Type set to I, binary transfer mode"CRLF

#define FTP_SERVER_MESSAGE_COMMAND_NOT_UNDERSTOOD \
	"500 Command not understood"CRLF

#define FTP_SERVER_MESSAGE_OK \
	"200 Okay"CRLF

#define FTP_SERVER_MESSAGE_LOGIN_SUCCESSFUL \
	"230 User logged in"CRLF

#define FTP_SERVER_MESSAGE_FNF_550 \
	"550 File not found"CRLF

#define FTP_SERVER_MESSAGE_CD_ERROR \
	"501 Directory not present, syntax error, or access denied"CRLF

#define FTP_SERVER_MESSAGE_CD_SUCCESS \
	"250 Chdir okay"CRLF

#define FTP_SERVER_MESSAGE_CURRENT_DIRECTORY_OPEN_DOUBLE_QUOTE \
	"257 \""

#define FTP_SERVER_MESSAGE_CURRENT_DIRECTORY_CLOSE_DOUBLE_QUOTE \
	"\" is the current directory"CRLF

#define FTP_SERVER_MESSAGE_FNF_501 \
	"501 File not found"CRLF

#define FTP_SERVER_MESSAGE_UNIMPLEMENTED_PARAMETER_ERROR \
	"504 Parameter not accepted, not implemented"CRLF

#define FTP_SERVER_MESSAGE_STRUCTURE_FILE \
	"200 Stru F, file structure"CRLF

#define FTP_SERVER_MESSAGE_MODE_STREAM \
	"200 Mode S, stream mode"CRLF

#define FTP_SERVER_MESSAGE_NO_ALLOC_OR_ACCOUNT_REQUIRED \
	"202 Allocate and Account not required for this server"CRLF

#define FTP_SERVER_MESSAGE_CANNOT_WRITEOPEN_FILE_ERROR \
	"501 Cannot open file to write, check for valid name"CRLF

#define FTP_SERVER_MESSAGE_AUTHENTICATION_REQUIRED \
	"530 USER and PASS required to activate this server"CRLF

#define FTP_SERVER_MESSAGE_PASSWORD_REQUIRED \
	"331 Password required"CRLF

#define FTP_SERVER_MESSAGE_LOGIN_UNSUCCESSFUL \
	"530 Login failed"CRLF

#define FTP_SERVER_MESSAGE_MACB_E \
	"200 MacBinary Mode enabled"CRLF

#define FTP_SERVER_MESSAGE_MACB_D \
	"200 MacBinary Mode disabled"CRLF

#define FTP_SERVER_MESSAGE_DISK_WRITE_ERROR \
	"552 Disk write error, probably disk full"CRLF

#define FTP_SERVER_MESSAGE_HELP_LINE_1 \
	"214-FTP server is "APPLICATION_FULL" for Mac OS.  Supported commands:"CRLF

#define FTP_SERVER_MESSAGE_HELP_LINE_2 \
	"    USER  PORT  RETR  ALLO  PASS  STOR  CWD  XCWD  XPWD  LIST  NLST"CRLF

#define FTP_SERVER_MESSAGE_HELP_LINE_3 \
	"    HELP  QUIT  MODE  TYPE  STRU  ACCT  NOOP  APPE  MACB"CRLF

#define FTP_SERVER_MESSAGE_HELP_LINE_4 \
	"    >> MACB is MacBinary and must be done with TYPE I"CRLF

#define FTP_SERVER_MESSAGE_BUGS \
	"214 Direct comments and bugs to kevin@ieee.org"CRLF

#define FTP_SERVER_MESSAGE_NEW_MODE_BINARY_I_MACB_E \
	"200 Type set to I, binary transfer mode [MACBINARY ENABLED]"CRLF

#define FTP_SERVER_MESSAGE_NEW_MODE_BINARY_I_MACB_D \
	"200 Type set to I, binary transfer mode [macbinary disabled]"CRLF

#define FTP_SERVER_MESSAGE_APPEND_ERROR \
	"505 APPEND only supported in ASCII transfer mode"CRLF



/*
Affirmatives.  These can be anything you like, but should
probably be short (and preferably one word).  Any strings
you dont want to use should be left empty ("").
*/
#define FTP_AFFIRMATIVE_STRING_1		"yes"
#define FTP_AFFIRMATIVE_STRING_2		"y"
#define FTP_AFFIRMATIVE_STRING_3		"on"
#define FTP_AFFIRMATIVE_STRING_4		"active"
#define FTP_AFFIRMATIVE_STRING_5		"true"
#define FTP_AFFIRMATIVE_STRING_6		"alive"
#define FTP_AFFIRMATIVE_STRING_7		"yup"
#define FTP_AFFIRMATIVE_STRING_8		"yep"
#define FTP_AFFIRMATIVE_STRING_9		"yessir"
#define FTP_AFFIRMATIVE_STRING_10		"affirmative"
#define FTP_AFFIRMATIVE_STRING_11		"ja"
#define FTP_AFFIRMATIVE_STRING_12		"word"
#define FTP_AFFIRMATIVE_STRING_13		""

#endif