/*
**************************************************************************
	TelnetMiscellaneousText.h
	
	MacTelnet 3.0
	 1998-2001 by Kevin Grant
	
	This file contains some of the localizable strings used by MacTelnet.
	
**************************************************************************
*/

#include "TelnetVersion.h"

#ifdef REZ

/*
Commonly-used terms.  These are used in several strings, to
make them consistent and easier to localize.  By defining terms
here, you automatically define words in several other strings
that have the indicated key names substituted in them.
*/

// session configurations
#define SESSION_SINGULAR													"session"
#define A_SESSION																	"a "SESSION_SINGULAR
#define SESSION_PLURAL														"sessions"
#define SESSION_POSSESSIVE												"sessions"
#define SESSION_FAVORITES_SINGULAR							"Session Favorite"
#define SESSION_FAVORITES_PLURAL								"Session Favorites"
#define SESSION_FAVORITES_AS_TITLE								"Sessions"
#define SESSION_FAVORITE_DUPLICATE_AS_TITLE		"Duplicate "SESSION_FAVORITES_SINGULAR

// session files
#define SAVED_SET																	"session description"

// terminal configurations
#define TERMINAL_SINGULAR												"Terminal"
#define A_TERMINAL																"a terminal"
#define TERMINAL_PLURAL													"terminals"
#define TERMINAL_PLURAL_AS_TITLE								"Terminals"
#define TERMINAL_DUPLICATE_AS_TITLE							"Duplicate "TERMINAL_SINGULAR

// proxy configurations
#define PROXY_SINGULAR														"Proxy"
#define A_PROXY																		"a proxy server configuration"
#define PROXY_PLURAL															"proxy server configurations"
#define PROXY_PLURAL_AS_TITLE										"Proxies"
#define PROXY_DUPLICATE_AS_TITLE								"Duplicate "PROXY_SINGULAR

// FTP users
#define FTP_USER_SINGULAR												"FTP User"
#define FTP_USER_PLURAL														"FTP Users"
#define FTP_USER_PLURAL_AS_TITLE									"FTP Users"
#define FTP_USER_DUPLICATE_AS_TITLE							"Duplicate "FTP_USER_SINGULAR



/*
Custom file kind strings.
*/
#define KIND_RESOURCE_STRING_apnm			APPLICATION_SHORT
#define KIND_RESOURCE_STRING_TEXT				"set of macros"
#define KIND_RESOURCE_STRING_CONF			SAVED_SET
#define KIND_RESOURCE_STRING_pref				"preferences file"



/*
This information is displayed to the user in an alert window if he or she
tries to open the Preferences file directly.  Remember, this string cannot
be longer than 255 characters.

The \ means continued on next line.  Everything that is supposed to
be part of the string must be in straight double-quotes (").
*/
#define PREFERENCES_FILE_CANNOT_OPEN_MESSAGE \
	PREFERENCES_FILE_NAME"\n\nThis file contains preferences for "APPLICATION_SHORT" and cannot be opened.  " \
	"To have effect, this file must reside in MacTelnets preferences folder."



/*
This information is displayed to the user in a help balloon if he or she
points to the icon of the Preferences file.  Remember, this string cannot
be longer than 255 characters.

The \ means continued on next line.  Everything that is supposed to
be part of the string must be in straight double-quotes (").
*/
#define PREFERENCES_FILE_BALLOON_HELP_MESSAGE \
	PREFERENCES_FILE_NAME"\n\nThis file stores preferences settings for "APPLICATION_SHORT".\n\nThis icons " \
	"name cannot be changed."



/*
Important file and folder names.

WARNING: For maximum compatibility, these should be 31 characters or less.
*/

// the name of the folder that MacTelnet creates in the current users Preferences folder, to hold MacTelnets preferences
#define CONFIGURATION_DATA_APPLICATION_PREFERENCES_FOLDER_NAME \
	APPLICATION_SHORT" Preferences"

// the name of the folder that MacTelnet creates in its preferences folder, to hold the users most recently opened sessions
#define CONFIGURATION_DATA_RECENT_SESSIONS_FOLDER_NAME \
	"Recent Sessions"

// the name of the folders that MacTelnet creates in its preferences folder, to hold the users Favorites
#define CONFIGURATION_DATA_FAVORITES_FOLDER_NAME \
	"Favorites"

#define CONFIGURATION_DATA_FAVORITES_FTP_USERS_FOLDER_NAME \
	"FTP Users"

#define CONFIGURATION_DATA_FAVORITES_PROXIES_FOLDER_NAME \
	"Proxies"

#define CONFIGURATION_DATA_FAVORITES_SESSIONS_FOLDER_NAME \
	"Sessions"

#define CONFIGURATION_DATA_FAVORITES_TERMINALS_FOLDER_NAME \
	"Terminals"

#define CONFIGURATION_DATA_SCRIPTS_FOLDER_NAME \
	"Scripts Menu Items"

#define CONFIGURATION_DATA_STARTUP_ITEMS_FOLDER_NAME \
	"Startup Items"

#define MISC_MACRO_SET_1_FILE_NAME \
	APPLICATION_SHORT" Macro Set 1"

#define MISC_MACRO_SET_2_FILE_NAME \
	APPLICATION_SHORT" Macro Set 2"

#define MISC_MACRO_SET_3_FILE_NAME \
	APPLICATION_SHORT" Macro Set 3"

#define MISC_MACRO_SET_4_FILE_NAME \
	APPLICATION_SHORT" Macro Set 4"

#define MISC_MACRO_SET_5_FILE_NAME \
	APPLICATION_SHORT" Macro Set 5"

#define MISC_ABOUT_BOX_MOVIE_FILE_NAME \
	"About Box Music"

#define MISC_ABOUT_BOX_TITLE_MOVIE_FILE_NAME \
	"About Box Movie"

#define MISC_BELL_SOUND_FILE_NAME \
	"Bell"

#define MISC_CAPTURE_FILE_NAME \
	APPLICATION_SHORT" Capture File"



/*
Miscellaneous strings.
*/

// this string may appear on a terminal screen when the user uses the interrupt process key sequence
#define INTERRUPT_PROCESS_TERMINAL_FEEDBACK \
	"\n\r[Interrupt Process]\n\r"

#define MISC_NEW_SESSION_DEFAULT_NAME \
	"untitled "SESSION_SINGULAR

#define MISC_NEW_TERMINAL_DEFAULT_NAME \
	"untitled terminal"

#define MISC_WINDOW_TITLE_ADVISED_USER_NAME \
	"Use username="

#define MISC_WINDOW_TITLE_ADVISED_PASSWORD \
	", password="

#define MISC_MAC_OS_8_5_FIND_FILE_NAME \
	"Sherlock"

#define MISC_PRE_MAC_OS_8_5_FIND_FILE_NAME \
	"Find File"

#define MISC_PICK_NEW_COLOR_PROMPT \
	"Please select a new color."

#define MISC_TRANSLATION_TABLE_TYPE_NONE \
	"None"

#define MISC_FTP_LOG_NAME \
	"FTP Log"

#define MISC_MACRO_FILE_DEFAULT_NAME \
	APPLICATION_SHORT" Macros"

#define MISC_PRINTOUT_SESSION_NAME_STRING \
	"Session Name:"

#define MISC_SESSION_FILE_DEFAULT_NAME \
	APPLICATION_SHORT" Session"

#define MISC_WINDOID_NAME_SESSION_INSPECTOR \
	"Session Inspector"

#define MISC_WINDOID_NAME_KEYPAD \
	"VT220 Keypad"

#define MISC_WINDOID_NAME_FUNCTION \
	"Function Keys"

#define MISC_WINDOID_NAME_CONTROL_KEYS \
	"Control Keys"



/*
Navigation Services dialog strings.  These are the window titles and
prompts of all file dialog boxes that MacTelnet ever displays.
*/

#define NAVIGATION_SERVICES_DIALOG_TITLE_EXAMPLE_BINARY_FILE \
	"Example Binary File"

#define NAVIGATION_SERVICES_DIALOG_PROMPT_EXAMPLE_BINARY_FILE \
	"Select a file whose type and creator you wish to copy."

#define NAVIGATION_SERVICES_DIALOG_TITLE_TEXT_EDITING_APPLICATION \
	"Text Editing Application"

#define NAVIGATION_SERVICES_DIALOG_PROMPT_TEXT_EDITING_APPLICATION \
	"Select an application that will be able to open the file."

#define NAVIGATION_SERVICES_DIALOG_TITLE_SELECT_DEFAULT_DIRECTORY \
	"Select Default Directory"

#define NAVIGATION_SERVICES_DIALOG_PROMPT_SELECT_DEFAULT_DIRECTORY \
	"Please choose a directory."

#define NAVIGATION_SERVICES_DIALOG_TITLE_EXPORT_MACROS \
	"Export Macros"

#define NAVIGATION_SERVICES_DIALOG_PROMPT_EXPORT_MACROS \
	"Enter a name for a text file to contain your macros."

#define NAVIGATION_SERVICES_DIALOG_TITLE_IMPORT_MACROS \
	"Import Macros"

#define NAVIGATION_SERVICES_DIALOG_PROMPT_IMPORT_MACROS \
	"Select a file to import macros from."

#define NAVIGATION_SERVICES_DIALOG_TITLE_SAVE_SESSION_DESCRIPTION \
	"Save Session Description"

#define NAVIGATION_SERVICES_DIALOG_PROMPT_SAVE_SESSION_DESCRIPTION \
	"Enter a name for the file to contain your settings."

#define NAVIGATION_SERVICES_DIALOG_TITLE_LOAD_SESSION_DESCRIPTION \
	"Load Session Description"

#define NAVIGATION_SERVICES_DIALOG_PROMPT_LOAD_SESSION_DESCRIPTION \
	"Select a "SAVED_SET" to open."

#define NAVIGATION_SERVICES_DIALOG_TITLE_SAVE_CAPTURED_TEXT \
	"Save Captured Text"

#define NAVIGATION_SERVICES_DIALOG_PROMPT_SAVE_CAPTURED_TEXT \
	"Enter a name for a text file to contain the captured text."

// %a=(the name of an application program)
#define NAVIGATION_SERVICES_DIALOG_TITLE_LOCATE_APPLICATION \
	"Locate %a"

// %a=(the name of an application program)
#define NAVIGATION_SERVICES_DIALOG_PROMPT_LOCATE_APPLICATION \
	"Please locate the %a application before continuing."



/*
Help text strings.  These are displayed in the small system font, in
dialog boxes or floating windows.

MacTelnet automatically sizes dialog box help items, so the text
you write will never be truncated as long as it does not exceed 255
characters (after substitution of indicated common terms).  Other
surrounding components in any dialog box will automatically be
moved or resized appropriately to make room for whatever you
write here.
*/

#define HELPTEXT_EDITFTPLOGINMESSAGE_DIALOG \
	"The standard text 220- will prefix each line when displayed to remote users.  Note that most terminals have a standard width of 80 characters, so no line should be that long."

#define HELPTEXT_FORMAT_DIALOG_FRONTMOST_WINDOW \
	"Changes affect only the frontmost session window."

#define HELPTEXT_PREFERENCES_CONFIGURATIONS_SESSIONS \
	"Use "SESSION_FAVORITES_PLURAL" to save information about "SESSION_PLURAL" you use frequently, such as " \
	"the host name, default terminal configuration, key mappings, TEK graphics mode, and other options."

#define HELPTEXT_PREFERENCES_CONFIGURATIONS_TERMINALS \
	"Use terminal configurations to change the terminal emulation type (VT100 or VT220), or to preserve your " \
	"favorite font, color and screen dimension settings."

#define HELPTEXT_PREFERENCES_CONFIGURATIONS_PROXIES \
	"Use a proxy configuration when you are accessing the Internet from an internal network (usually " \
	"behind a firewall) that does not allow direct access to certain domains from your location."

#define HELPTEXT_PREFERENCES_CONFIGURATIONS_FTP_USERS \
	"To manage an FTP server that can only be accessed by your preferred users, " \
	"add new entries to this list for each user you want to allow."

#define HELPTEXT_PREFERENCES_GENERAL_NOTIFICATION_TELNET_MAY_NEED_YOUR_ATTENTION \
	APPLICATION_SHORT" may need to get your attention when it is not the frontmost application.  To avoid " \
	"immediate interruption of your work in other applications, you can choose a more moderate notification " \
	"mechanism, or none whatsoever."

#define HELPTEXT_PREFERENCES_FTP_SERVER_ANONYMOUS_MODE_SECURITY_RISK \
	"This is a security risk to your computer."

#define HELPTEXT_PREFERENCES_FTP_SERVER_HOW_TO_DEFINE_USERS \
	"Use the "PREFERENCES_CONFIGURATIONS_BTNNAME" panel to define known users of your FTP server."

#define HELPTEXT_COMMAND_LINE_DEFAULT \
	"Type a line and press Return.  URLs are handled locally, anything else is sent to the frontmost session."

#define HELPTEXT_PROXYSETUP_SERVERINFO_TIP \
	"Tip: You can use AppleScript to dynamically change proxy server settings.  " \
	"In some environments, this may be necessary - check with your system " \
	"administrator for more information."

#define HELPTEXT_PROXYSETUP_DIRECTDOMAINS_DESCRIPTION \
	"Some domains, usually those inside the firewall of an internal network, are " \
	"possible to access directly, instead of through a proxy server.  If there are " \
	"any domains you would like to access directly, add them to the list below."

#define HELPTEXT_TERMINALEDITOR_ANSWERBACK \
	"Enter an answer-back message indicating the type of terminal you want the " \
	"remote host to think you are using."

#define HELPTEXT_MAPKEYBOARD \
	"To remap a key, click a key in the keyboard view, and then either type the " \
	"appropriate character or specify the ASCII code to use.  Function key mappings " \
	"for F1-F12 will not work if you are currently using these keys for macros."



/*
Dialog text strings.  These are miscellaneous, short strings that
are displayed in various places (usually as labels) in dialogs.

MacTelnet automatically sizes dialog box text items, so the text
you write will never be truncated.  Other surrounding components
in any dialog box will automatically be moved or resized
appropriately to make room for whatever you write here.
*/

// this string labels the title text field in the Set Window Title dialog box
#define DIALOGTEXT_SETWINDOWTITLE_LABEL \
	"New Title:"

// this string labels the font size information in the new Format dialog box
#define DIALOGTEXT_FORMAT_SIZE_LABEL \
	"Size:"

// this string appears after a color box in the new Format dialog box
#define DIALOGTEXT_FORMAT_COLOR_LABEL_FOREGROUND \
	"Foreground Color"

// this string appears after a color box in the new Format dialog box
#define DIALOGTEXT_FORMAT_COLOR_LABEL_BACKGROUND \
	"Background Color"

// this string labels the top-left text field in the New Sessions dialog box, representing the host name
#define DIALOGTEXT_NEWSESSIONS_HOST_LABEL \
	"Host:"

// this string labels the top-right text field in the New Sessions dialog box, representing the port number
#define DIALOGTEXT_NEWSESSIONS_PORT_LABEL \
	"Port:"

// this string labels the disclosure triangle in the New Sessions dialog box, when it is pointing to the right
#define DIALOGTEXT_NEWSESSIONS_SHOWDETAILS \
	"Show Details"

// this string labels the disclosure triangle in the New Sessions dialog box, when it is turned downward
#define DIALOGTEXT_NEWSESSIONS_HIDEDETAILS \
	"Hide Details"

// this string labels the window title field in the New Sessions dialog box
#define DIALOGTEXT_NEWSESSIONS_TITLE_LABEL \
	"Window Title:"

// this string appears in the Special tab under General Preferences
#define DIALOGTEXT_PREFERENCES_GENERAL_CURSOR_SHAPE \
	"Shape:"

// this string appears in the Special tab under General Preferences
#define DIALOGTEXT_PREFERENCES_GENERAL_TIMEOUT_OPEN \
	"Open"

// this string appears in the Special tab under General Preferences
#define DIALOGTEXT_PREFERENCES_GENERAL_TIMEOUT_SEND \
	"Send"

// this string appears in the Special tab under General Preferences
#define DIALOGTEXT_PREFERENCES_GENERAL_COPY_TABLE_THRESHOLD \
	"One tab equals"

// this string appears in the Special tab under General Preferences
#define DIALOGTEXT_PREFERENCES_GENERAL_COPY_TABLE_THRESHOLD_UNITS \
	"spaces"

// ANSI color labels used in the Colors tab under General Preferences
#define DIALOGTEXT_PREFERENCES_GENERAL_ANSI_HEADER \
	"ANSI Colors"

#define DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_HEADER \
	"Normal"

#define DIALOGTEXT_PREFERENCES_GENERAL_ANSI_EMPHASIZED_HEADER \
	"Emphasized"

#define DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_BLACK \
	"Black"

#define DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_RED \
	"Red"

#define DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_GREEN \
	"Green"

#define DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_YELLOW \
	"Yellow"

#define DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_BLUE \
	"Blue"

#define DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_MAGENTA \
	"Magenta"

#define DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_CYAN \
	"Cyan"

#define DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_WHITE \
	"White"

// this string appears in the Notification tab under General Preferences
#define DIALOGTEXT_PREFERENCES_GENERAL_NOTIFICATION_IF_TELNET_NEEDS_YOUR_ATTENTION \
	"If "APPLICATION_SHORT" needs your attention, it should:"

// this string labels the Name field in the Proxy Server Setup dialog box
#define DIALOGTEXT_PROXYSERVER_NAME_LABEL \
	"Name:"

// this string labels the Server Info Host field in the Proxy Server Setup dialog box
#define DIALOGTEXT_PROXYSERVER_SERVERHOST_LABEL \
	"Name or IP Address:"

// this string labels the Server Info Port field in the Proxy Server Setup dialog box
#define DIALOGTEXT_PROXYSERVER_PORTNUMBER_LABEL \
	"Port Number:"

// this string labels the Server Info Protocol field in the Proxy Server Setup dialog box
#define DIALOGTEXT_PROXYSERVER_PROTOCOL_LABEL \
	"Protocol:"

// this string labels the Authentication User Name field in the Proxy Server Setup dialog box
#define DIALOGTEXT_PROXYSERVER_AUTHENTICATIONNAME_LABEL \
	"User Name:"

// this string labels the Authentication Password field in the Proxy Server Setup dialog box
#define DIALOGTEXT_PROXYSERVER_AUTHENTICATIONPASSWORD_LABEL \
	"Password:"

// this string labels the Direct Domains entry field in the Proxy Server Setup dialog box
#define DIALOGTEXT_PROXYSERVER_DIRECTDOMAIN_LABEL \
	"Domain Name:"

// part of the Terminal Screen Size dialog box
#define DIALOGTEXT_SCREENSIZE_WIDTH_LABEL \
	"Width:"

// part of the Terminal Screen Size dialog box
#define DIALOGTEXT_SCREENSIZE_HEIGHT_LABEL \
	"Height:"

// part of the Terminal Screen Size dialog box
#define DIALOGTEXT_SCREENSIZE_WIDTH_UNITS \
	"columns"

// part of the Terminal Screen Size dialog box
#define DIALOGTEXT_SCREENSIZE_HEIGHT_UNITS \
	"rows"

// Terminal editor strings
#define DIALOGTEXT_PREFERENCES_TERMINAL_TERMINALNAME \
	"Terminal Name:"

#define DIALOGTEXT_PREFERENCES_TERMINAL_UNTITLED \
	"untitled"

#define DIALOGTEXT_PREFERENCES_TERMINAL_EMACSMETA \
	"EMACS Meta Key:"

#define DIALOGTEXT_PREFERENCES_TERMINAL_EMULATION \
	"Emulation:"

#define DIALOGTEXT_PREFERENCES_TERMINAL_PERCEIVEDEMULATOR \
	"Perceived Emulator:"

#define DIALOGTEXT_PREFERENCES_TERMINAL_VT100 \
	"vt100"

#define DIALOGTEXT_PREFERENCES_TERMINAL_WINDOWAPPEARANCE \
	"Window Appearance:"

#define DIALOGTEXT_PREFERENCES_TERMINAL_FONT \
	"Font:"

#define DIALOGTEXT_PREFERENCES_TERMINAL_9 \
	"9"

#define DIALOGTEXT_PREFERENCES_TERMINAL_SCREEN \
	"Screen:"

#define DIALOGTEXT_PREFERENCES_TERMINAL_80 \
	"80"

#define DIALOGTEXT_PREFERENCES_TERMINAL_BY \
	"by"

#define DIALOGTEXT_PREFERENCES_TERMINAL_24 \
	"24"

#define DIALOGTEXT_PREFERENCES_TERMINAL_SCROLLBACK \
	"Scrollback:"

#define DIALOGTEXT_PREFERENCES_TERMINAL_200 \
	"200"

#define DIALOGTEXT_PREFERENCES_TERMINAL_NORMBOLDBLINK \
	"Normal, Bold, Blinking"

#define DIALOGTEXT_PREFERENCES_TERMINAL_FOREGROUND \
	"Foreground:"

#define DIALOGTEXT_PREFERENCES_TERMINAL_BACKGROUND \
	"Background:"



/*
Clipboard strings.  See  TelnetLocalization.h if you need to
alter the position of the units for your language (for example,
"bytes 30" instead of "30 bytes").
*/

// %a=(data type, see the 3 following strings), %b=(approximate or not, see below), %c=(size), %d=(units)
// Note that %b and %c are directly touching, with no space between them.
#define CLIPBOARD_CONTENTS_SUBSTITUTION_STRING \
	"The Clipboard contains %a (%b%c %d)."

#define CLIPBOARD_CONTENTS_DATA_TYPE_TEXT \
	"a text selection"

#define CLIPBOARD_CONTENTS_DATA_TYPE_PICTURE \
	"a picture"

#define CLIPBOARD_CONTENTS_DATA_TYPE_UNSUPPORTED \
	"information that "APPLICATION_SHORT" does not know how to display"

#define CLIPBOARD_CONTENTS_APPROXIMATION_STATEMENT_WITH_TRAILING_SPACE \
	"about "

#define CLIPBOARD_CONTENTS_EMPTY_STRING \
	"The Clipboard is currently empty."

// ??=(scaling percentage)
#define CLIPBOARD_CONTENTS_SCALING_AMOUNT_SUBSTITUTION_STRING \
	"Displayed at ??% of its actual size."

#define CLIPBOARD_SIZE_UNIT_BYTES_SINGULAR \
	"byte"

#define CLIPBOARD_SIZE_UNIT_BYTES_PLURAL \
	"bytes"

#define CLIPBOARD_SIZE_UNIT_KILOBYTES \
	"K"

#define CLIPBOARD_SIZE_UNIT_MEGABYTES \
	"MB"



/*
Splash screen strings.  You can make these whatever you like,
limited by the space required to render them in the specified
font face on the splash screen.

Do not specify a font face that is not installed by default with
your localized version of the Mac OS, because then users may
not see the text rendered correctly.
*/

#define SPLASH_SCREEN_FONT_FAMILY_NAME \
	"Techno"

#define SPLASH_SCREEN_RANDOM_STRING_1 \
	"Think different."

#define SPLASH_SCREEN_RANDOM_STRING_2 \
	"Sorry, we dont do Windows."

#define SPLASH_SCREEN_RANDOM_STRING_3 \
	"Exclusively for Macintosh."

#define SPLASH_SCREEN_RANDOM_STRING_4 \
	"Macs back, baby."

#define SPLASH_SCREEN_RANDOM_STRING_5 \
	"Not available in Aqua (yet)."

#define SPLASH_SCREEN_RANDOM_STRING_6 \
	"by Kevin Grant"

#define SPLASH_SCREEN_RANDOM_STRING_7 \
	"Also includes an FTP server."

#define SPLASH_SCREEN_RANDOM_STRING_8 \
	"The ultimate telnet program."



/*
About Box Credits

This is a continuous stream of text that can be as long as
you want it to be.  Sophisticated instructions can be
embedded into the text, giving you control over how the
slide show will lay out each page of text and how long it
will wait between pages of text.

Note that "\n" refers to a new-line; you cant directly put
return characters in the string, so these are present to
represent them.

The following macros can be used:

ABOUT_BOX_PAGE_END
	Insert this after each page of text.  This tells the
	About Box what belongs in a single slide, and when to
	pause.

ABOUT_BOX_PAUSE_1_SECOND
ABOUT_BOX_PAUSE_2_SECONDS
. . .
ABOUT_BOX_PAUSE_9_SECONDS
ABOUT_BOX_PAUSE_DEFAULT
	Insert this *immediately following ABOUT_BOX_PAGE_END*
	if you want to override the default delay for the page
	of text that is ending.  If your content is very short
	or very long, you will most likely want to choose a
	more reasonable delay period in seconds (from 1 to 9).
	ABOUT_BOX_PAUSE_DEFAULT is included for completeness,
	but is not strictly necessary (you can just omit a
	pause specification to get the default delay).

ABOUT_BOX_COLUMN_END
	Insert this after each run of text on a page that
	represents a column *except* for the last one (just
	use a page break in that case).  MacTelnet will split
	the slide show region into equal-width columns based
	on how many columns end up being defined for a given
	page.  Each new column of text starts at the top of
	the slide show area.  All columns for the same page
	are rendered at once, and each column can have its
	own independent text justification if you wish.

ABOUT_BOX_ALIGN_LEFT
ABOUT_BOX_ALIGN_RIGHT
ABOUT_BOX_ALIGN_CENTER
	By default each column of text is center-aligned; to
	change this to flush-left or flush-right, insert the
	appropriate one of these *immediately following
	ABOUT_BOX_PAGE_END or ABOUT_BOX_COLUMN_END*, whichever
	applies.  ABOUT_BOX_ALIGN_CENTER is included for
	completeness but is not strictly necessary (you can
	just omit an alignment specification to get the
	default justification).
*/

#define ABOUT_BOX_PANEL_TEXT \
		"\n" \
		"Expose yourself to the best things humans have done\n" \
		"and then try to bring those things into what you are doing.\n" \
		"-- Steve Jobs\n" \
	ABOUT_BOX_PAGE_END \
	ABOUT_BOX_PAUSE_7_SECONDS \
		"\n" \
		APPLICATION_FULL"\n" \
		"\n" \
		"1998-2003 Kevin M. Grant\n2001-2003 Ian W. Anderson\n" \
		"1986-1994 Univ. of Illinois Board of Trustees\n" \
	ABOUT_BOX_PAGE_END \
	ABOUT_BOX_PAUSE_3_SECONDS \
		"\n" \
		"Originally from the\n" \
		"National Center for Supercomputing Applications,\n" \
		"University of Illinois in Urbana-Champaign.\n" \
		"\n" \
		APPLICATION_SHORT" is no longer an NCSA product.\n" \
	ABOUT_BOX_PAGE_END \
	ABOUT_BOX_PAUSE_8_SECONDS \
		"\n" \
		"\n" \
		"Kevin Grant\n" \
		"\n" \
		"Jim Browne\n" \
		"Scott Bulmahn\n" \
		"Jim Logan\n" \
		"Tim Krauskopf\n" \
		"Gaige Paulsen\n" \
		ABOUT_BOX_COLUMN_END \
		"Contributors\n" \
		"\n" \
		"\n" \
		"\n" \
		"Aaron Contorer\n" \
		"Dave Whittington\n" \
		"Alco Blom\n" \
		"Carl Bell\n" \
		"Bernt Budde\n" \
		ABOUT_BOX_COLUMN_END \
		"\n" \
		"\n" \
		"Ian Anderson\n" \
		"\n" \
		"Basil Duval\n" \
		"Pascal Maes\n" \
		"Clint Popetz\n" \
		"Marc Tamsky\n" \
		"Rick Watson\n" \
	ABOUT_BOX_PAGE_END \
	ABOUT_BOX_PAUSE_8_SECONDS \
		"Music Bad Bad Boy\n" \
		"Composers\n" \
		"\n" \
		"Robin L. Klein\n" \
		"Scott P. Schreer\n" \
		ABOUT_BOX_COLUMN_END \
		"\n" \
		"2001 FreePlay Music, Inc.\n" \
		"Used with permission.\n" \
		"\n" \
		"See www.FreePlayMusic.com\n" \
		"to browse CDs and for details\n" \
		"on music licensing.\n" \
	ABOUT_BOX_PAGE_END \
	ABOUT_BOX_PAUSE_8_SECONDS \
		"\n" \
		"Special thanks to all of the users who have\n" \
		"provided feedback throughout this project!\n" \
		"\n" \
		"Your efforts have made a difference.\n" \
	ABOUT_BOX_PAGE_END \
	ABOUT_BOX_PAUSE_5_SECONDS \
		"\n" \
		"You can download updates\n" \
		"and find out more information on "APPLICATION_SHORT"\n" \
		"at www.MacTelnet.com.\n" \
	ABOUT_BOX_PAGE_END \
	ABOUT_BOX_PAUSE_5_SECONDS \
		"\n" \
		"This program is free software; you can redistribute it or\n" \
		"modify it under the terms of the GNU General Public License\n" \
		"as published by the Free Software Foundation; either version\n" \
		"2 of the License, or (at your option) any later version.\n" \
	ABOUT_BOX_PAGE_END \
	ABOUT_BOX_PAUSE_7_SECONDS \
		"\n" \
		"This program is distributed in the hope that it will be\n" \
		"useful, but WITHOUT ANY WARRANTY; without even the implied\n" \
		"warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n" \
		"PURPOSE.  See the GNU General Public License for details.\n" \
	ABOUT_BOX_PAGE_END \
	ABOUT_BOX_PAUSE_7_SECONDS \
		"\n" \
		"You should have received a copy\n" \
		"of the GNU General Public License\n" \
		"along with this program; if not,\n" \
		"write to:\n" \
		ABOUT_BOX_COLUMN_END \
		ABOUT_BOX_ALIGN_LEFT \
		"\n" \
		"\n" \
		"\n" \
		"\n" \
		"Free Software Foundation, Inc.\n" \
		"59 Temple Place, Suite 330\n" \
		"Boston, MA  02111-1307\n" \
		"USA\n" \
	ABOUT_BOX_PAGE_END \
	ABOUT_BOX_PAUSE_4_SECONDS \
	ABOUT_BOX_PAGE_END \
	ABOUT_BOX_PAUSE_DEFAULT



/*
Command line command and argument names.  These strings will only
appear in the command line windoid, nowhere else.  By changing command
and argument names, you change what the user must type in order to use
the respective command.

Please localize these new strings only if you know how they are localized on
a UNIX distribution in another language.  Your average UNIX user will expect
to find the standard form of these commands.

WARNING:	Do not make any of these names longer than 32 characters.
						Do not make any description longer than 200 characters.
*/

// These are help arguments, which apply to ANY command and automatically
// open Telnet Help in search mode to look for more on the command that the
// argument was used with.  If you dont need one of these, make it blank ("").
#define COMMAND_LINE_ARGUMENT_NAME_HELP_1						"-h"
#define COMMAND_LINE_ARGUMENT_NAME_HELP_2						"-help"
#define COMMAND_LINE_ARGUMENT_NAME_HELP_3						"--help"
#define COMMAND_LINE_ARGUMENT_NAME_HELP_4						"help"

#define COMMAND_LINE_COMMAND_NAME_help								"help"
#define		COMMAND_DESCRIPTION_help \
	"Automatically uses "HELP_SYSTEM_NAME" to perform a search using given keywords."

#define COMMAND_LINE_COMMAND_NAME_lynx								"lynx"
#define		COMMAND_DESCRIPTION_lynx \
	"Launches your preferred web browser."

#define COMMAND_LINE_COMMAND_NAME_telnet							"telnet"
#define COMMAND_LINE_COMMAND_ALIAS_1_telnet						"rlogin"
#define COMMAND_LINE_COMMAND_ALIAS_2_telnet						"open"
#define		COMMAND_DESCRIPTION_telnet \
	"Opens a connection using the TELNET protocol."

#define COMMAND_LINE_COMMAND_NAME_ftp								"ftp"
#define		COMMAND_DESCRIPTION_ftp \
	"Opens a connection using the file transfer protocol."



/*
Command line strings.  These strings will only appear in the command line
windoid, nowhere else.  By changing command names, you change what the
user must type in order to use the respective command.
*/

// a template for command description display; %a=(command name), %b=(command description string)
#define COMMAND_NAME_AND_DESCRIPTION_DISPLAY_TEMPLATE \
	"%a - %b"

#define COMMAND_DESCRIPTION_UNKNOWN \
	APPLICATION_SHORT" will send this text to the frontmost session window."

// %a=(argument name)
#define COMMAND_ARGUMENT_UNKNOWN \
	"Warning: The %a command does not recognize this argument."


#endif