/*###############################################################

	MacLook.h
	
	User interface utilities and miscellaneous other functions.
	This will be organized one day...
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __MACLOOK__
#define __MACLOOK__

// Mac includes
#include <MacWindows.h>
#include "ScreenManager.h"



// RETURNS THE RECTANGLE OF THE DEVICE CONTAINING THE LARGEST PART OF THE GIVEN WINDOW
void
	MacLook_GetWindowDeviceGrayRect		(WindowRef const	inWindow,
										 Rect*				outRectPtr);

void
	MacLook_GetWindowRegionBounds		(WindowRef const	inWindow,
										 WindowRegionCode	inWindowRegionCode,
										 Rect*				outRectPtr);

void
	MacLook_InvalidateControlRectangle	(ControlRef const	inControl);

void
	MacLook_InvalidatePortRectangle		(WindowRef const	inWindow);

void
	MacLook_InvalidateRectangle			(WindowRef const	inWindow,
										 Rect const*		inRectPtr);

void
	MacLook_InvalidateRegion			(WindowRef const	inWindow,
										 RgnHandle const	inRegion);

void
	MacLook_ValidateControlRectangle	(ControlRef const	inControl);

void
	MacLook_ValidatePortRectangle		(WindowRef const	inWindow);

void
	MacLook_ValidateRectangle			(WindowRef const	inWindow,
										 Rect const*		inRectPtr);

void
	MacLook_ValidateRegion				(WindowRef const	inWindow,
										 RgnHandle const	inRegion);

short detachGraphics(short dnum);
short getgraphcurs(void);
void setgraphcurs(void);
void unsetgraphcurs(void);
short VGalive(short dnum);
void destroyGraphics(short dnum);
void TekEnable(short vg);
void TekDisable(short vg);

void		MacLook_SetUpKeys			(TelnetScreenID const		inScreenID);

#endif