/*###############################################################

	NetEvents.h
	
	These routines apply to network events.  Like OS events,
	MacTelnet manages network events through the use of a queue
	and a post-and-get paradigm.  This module has been re-done
	in version 3.0 to support Open Transport natively.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#include "UniversalDefines.h"

#ifndef __NETEVENTS__
#define __NETEVENTS__

// Mac includes
#include <OpenTransport.h>

// MacTelnet includes
#include "ScreenManager.h"



//
// public methods
//

void
	NetEvents_FlushNetworkForConnection				(ConnectionDataPtr	inConnectionDataPtr);

pascal void
	NetEvents_HandleAsynchronousOpenTransportEvent	(void*				inContextPtr,
													 OTEventCode		inCode,
													 OTResult			inResult,
													 void*				inInetSvcRef);

void
	NetEvents_Init									(void);

Boolean
	NetEvents_IsFileTransferInProgress				(void);

short
	NetEvents_Post									(short				inEventClass,
													 short				inWhat,
													 short				inData1,
													 long				inData2);

short
	NetEvents_PostProvisionally						(short				inEventClass,
													 short				inWhat,
													 short				inData1,
													 long				inData2);

void
	NetEvents_Service								(void);

short
	NetEvents_SetBlockSize							(SInt16				inNewSize,
													 ConnectionDataPtr	inConnectionDataPtr);

void
	pasteText										(short				scrn);

#endif