/*###############################################################

	PreferenceResources.h
	
	Constants describing preference resources, such as standard
	resource types, file names, and resource IDs.
	
	MacTelnet 3.0,  1998-2000 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1992 UofI Board of Trustees.

###############################################################*/

// file type and creator of the settings file
#define	kPreferencesFileCreatorSignature	'kEVg'
#define	kPreferencesFileType				'pref'

// resource types of preference resources, either in the
// preferences file (custom) or in the application file (defaults)
#define	APPLICATIONPREFS_RESTYPE			'APRF'
#define	FTPSERVERPREFS_RESTYPE				'FPRF'
#define SESSIONRECENTS_RESTYPE				'RecS'
#define	SESSIONPREFS_RESTYPE				'SPRF'
#define	TERMINALPREFS_RESTYPE				'TPRF'
#define	PROXYPREFS_RESTYPE					'PRF'
#define	FTPUSERPREFS_RESTYPE				'FTPu'
#define	WINDOWPREFS_RESTYPE					'WPRF'

// default names (no spaces!)
#define SESSIONPREFS_DEFAULTNAME			"Default"
#define TERMINALPREFS_DEFAULTNAME			"Default"
#define PROXYPREFS_DEFAULTNAME				"Default"

// ...DEFAULTID names are resource IDs of preference defaults
// in the application resource file.
#define	APPLICATIONPREFS_DEFAULTID			128
#define SESSIONPREFS_DEFAULTID				128
#define	TERMINALPREFS_DEFAULTID				128
#define	PROXYPREFS_DEFAULTID	 			128
#define	FTPSERVERPREFS_DEFAULTID 			128
#define	WINDOWPREFS_DEFAULTID				128
#define ANSICOLORS_DEFAULTID				9999
// ...ID names are the preferences as the user modified them,
// in the preferences resource file.  For sessions and terminals,
// resource names correspond to session and terminal names, and
// new resource IDs are indexed from the default one.
#define	APPLICATIONPREFS_ID					128
#define	FTPSERVERPREFS_ID 					128
#define	LOCALIZATIONPREFS_ID				128
#define	WINDOWPREFS_ID						128
#define ANSICOLORS_ID						12000

// this is used to store the FTP servers log-in message in a 'TEXT' resource
#define FTPSERVERPREFS_LOGINMESSAGEID		200

// IDs of resources that get copied into the preferences file
// (with a different ID)
#define	PREFERENCES_FILE_INFO_STR_ID		12345