/*###############################################################

	PreferencesDialog.h
	
	Implements the MacTelnet 3.0 panel-based preferences dialog.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#include "UniversalDefines.h"

#ifndef __PREFERENCESDIALOG__
#define __PREFERENCESDIALOG__

// Mac includes
#include <Events.h>
#include <MacTypes.h>

// MacTelnet includes
#include "Panel.h"



//
// public methods
//

void
	PreferencesDialog_Init					(void);

void
	PreferencesDialog_Done					(void);

void
	PreferencesDialog_Display				(void);

void
	PreferencesDialog_Remove				(void);

void
	PreferencesDialog_CalculateTabPane		(PanelRef			inPanel,
											 Point*				outTabPaneTopLeft,
											 Point*				outTabPaneWidthHeight);

void
	PreferencesDialog_HandleContentClick	(EventRecord*		inoutEventPtr);

Boolean
	PreferencesDialog_HandleKeyDown			(EventRecord*		inoutEventPtr);

void
	PreferencesDialog_InstallPanel			(PanelRef			inPanel);

#endif