/*
**************************************************************************
	InterfaceLibAppResources.r
	
	Interface Library 1.0
	 1998-2001 by Kevin Grant
	
	This file contains resource descriptions for resources required by
	the Interface Library alone.  You should #include this file in one
	of your applications Rez input files.
**************************************************************************
*/

#include "Appearance.r"
#include "Controls.r"
#include "ControlDefinitions.r"
#include "Dialogs.r"
#include "Icons.r"
#include "MacTypes.r"
#include "MacWindows.r"
#include "InterfaceLib.h"
#include "SpacingConstants.r"

/* controls */

/*
A standard help button.  This control has a fixed size, and an icon
that gets its image from the system software.
*/
resource 'CNTL' (kIDAppleGuideButton, "Help Button", purgeable)
{
	{ 0, 0, BUTTON_HT, 21/* width */ },
	0,
	visible,
	kHelpIconResource, // may be changed programmatically to use a 32-bit icon
	kControlBehaviorPushbutton | kControlContentIconSuiteRes,
	kControlBevelButtonNormalBevelProc,
	0,
	""
};

/*
A standard sort-ascending button.  This control has an icon
that gets its image from the system software.
*/
resource 'CNTL' (kInterfaceLibControlFinderListHeadingSortOrderReversalButton, "Sort Order Reversal Button", purgeable)
{
	{ 0, 0, 0, 0 }, // auto-sized, auto-positioned button
	0,
	visible,
	kInterfaceLibIconIDSortAscending, // may be changed programmatically to use a 32-bit icon
	kControlBehaviorPushbutton | kControlContentIconSuiteRes,
	kControlBevelButtonSmallBevelProc,
	0,
	""
};

/*
A standard Finder List column heading placard (used for columns
that are not sortable).
*/
resource 'CNTL' (kInterfaceLibControlFinderListHeadingPlacard, "Finder List Column Heading Placard", purgeable)
{
	{ 0, 0, 0, 0 }, // auto-sized, auto-positioned button
	0,
	visible,
	0,
	0,
	kControlWindowHeaderProc,
	0,
	""
};

/*
A standard Finder List column heading button (used for sortable
columns, to specify the sorting method).
*/
resource 'CNTL' (kInterfaceLibControlFinderListHeadingBevelButton, "Finder List Column Heading Button", purgeable)
{
	{ 0, 0, 0, 0 }, // auto-sized, auto-positioned button
	0,
	visible,
	0,
	kControlBehaviorToggles,
	kControlBevelButtonSmallBevelProc,
	0,
	""
};

/*
The vertical scroll bar used for Finder Lists.
*/
resource 'CNTL' (kInterfaceLibControlFinderListScrollBarV, "Finder List Vertical Scroll Bar", purgeable)
{
	{ 0, 0, 0, 0 }, // auto-sized, auto-positioned button
	0,
	visible,
	0,
	0,
	kControlScrollBarLiveProc,
	0,
	""
};

/*
The user pane that encompasses the components of a Finder List.
*/
resource 'CNTL' (kInterfaceLibControlFinderListEncompassingUserPane, "Finder List Encompassing User Pane", purgeable)
{
	{ 0, 0, 0, 0 }, // auto-sized, auto-positioned button
	kControlGetsFocusOnClick |
	kControlHandlesTracking |
	kControlSupportsEmbedding |
	kControlSupportsFocus |
	kControlSupportsLiveFeedback, // control feature bits
	visible,
	0,
	0,
	kControlUserPaneProc,
	0,
	""
};

/*
The user pane that draws the content region of a Finder List.
*/
resource 'CNTL' (kInterfaceLibControlFinderListContentUserPane, "Finder List Content User Pane", purgeable)
{
	{ 0, 0, 0, 0 }, // auto-sized, auto-positioned button
	kControlHandlesTracking |
	kControlSupportsEmbedding |
	kControlSupportsLiveFeedback |
	kControlWantsActivate |
	kControlWantsIdle,
	visible,
	0,
	0,
	kControlUserPaneProc,
	0,
	""
};

/* string resources */

resource 'STR#' (32000, "Button Strings", purgeable)
{
	{
		/*1*/"Yes",
		/*2*/"No",
		/*3*/"Dont Save",
		/*4*/"Save",
		/*5*/"OK",
		/*6*/"Cancel",
		/*7*/"Quit",
		/*8*/"Continue"
	}
};

resource 'STR#' (32001, "Miscellaneous Strings", purgeable)
{
	{
		/*1*/"The command could not be completed, because an error of type %a occurred.",
		/*2*/"Click %a to shut down this program instantly.  Click %b to ignore the error (not recommended for some types of errors).", // help text
	}
};

/* color cursor resources */

data 'crsr' (1, purgeable) {
	$"8001 0000 0060 0000 0092 0000 0000 0000"            /* ....`......... */
	$"0000 0000 C600 2800 1000 1000 1000 1000"            /* .....(......... */
	$"1000 1000 1000 1000 1000 1000 2800 C600"            /* ............(.. */
	$"0000 0000 C600 6B00 1400 1800 1800 1800"            /* .....k......... */
	$"1800 1800 1800 1800 1800 1800 2800 D600"            /* ............(.. */
	$"6300 0000 0003 0003 0000 0000 0000 0000"            /* c............... */
	$"0000 0000 8004 0000 0000 0010 0010 0000"            /* ............... */
	$"0000 0000 0000 0048 0000 0048 0000 0000"            /* .......H...H.... */
	$"0002 0001 0002 0000 0000 0000 00D2 0000"            /* ............... */
	$"0000 A028 0000 1885 0000 0210 0000 0240"            /* ..(..........@ */
	$"0000 0240 0000 0240 0000 0240 0000 0240"            /* ...@...@...@...@ */
	$"0000 0240 0000 0240 0000 0240 0000 0240"            /* ...@...@...@...@ */
	$"0000 0880 0000 A128 0000 1405 0000 0000"            /* .....(........ */
	$"0000 0000 0000 0000 0003 0000 FFFF FFFF"            /* ............ */
	$"FFFF 0001 8888 8888 8888 0002 0000 0000"            /* ........ */
	$"0000 0003 0000 0000 0000"                           /* .......... */
};

data 'crsr' (3, purgeable) {
	$"8001 0000 0060 0000 0092 0000 0000 0000"            /* ....`......... */
	$"0000 0000 0000 07C0 0460 0460 0460 7C7C"            /* ........`.`.`|| */
	$"4386 4286 4386 7C7E 3C7E 0460 0460 07E0"            /* CBC|~<~.`.`. */
	$"03E0 0000 0000 07C0 07E0 07E0 07E0 7FFC"            /* .......... */
	$"7C7E 7C7E 7C7E 7FFE 3FFE 07E0 07E0 07E0"            /* |~|~|~.?... */
	$"03E0 0000 0007 0007 0000 0000 0000 0000"            /* ............... */
	$"0000 0000 8004 0000 0000 0010 0010 0000"            /* ............... */
	$"0000 0000 0000 0048 0000 0048 0000 0000"            /* .......H...H.... */
	$"0002 0001 0002 0000 0000 0000 00D2 0000"            /* ............... */
	$"0000 0000 0000 003F F000 0030 3400 0030"            /* .......?..04..0 */
	$"3400 0030 3400 3FF0 3FF0 300F C034 300C"            /* 4..04.??0.40. */
	$"C034 300F C034 3FF0 3FF4 0570 3554 0030"            /* 40.4??.p5T.0 */
	$"3400 0030 3400 003F F400 0005 5400 0000"            /* 4..04..?...T... */
	$"0000 0000 0000 0000 0002 0000 FFFF FFFF"            /* ............ */
	$"FFFF 0001 8888 8888 8888 0003 0000 0000"            /* ........ */
	$"0000"                                               /* .. */
};

data 'crsr' (4, purgeable) {
	$"8001 0000 0060 0000 0092 0000 0000 0000"            /* ....`......... */
	$"0000 0000 3F00 3F00 3F00 3F00 4080 8440"            /* ....?.?.?.?.@@ */
	$"8440 8460 9C60 8040 8040 4080 3F00 3F00"            /* @``@@@?.?. */
	$"3F00 3F00 3F00 3F00 3F00 3F00 7F80 FFC0"            /* ?.?.?.?.?.?.. */
	$"FFC0 FFE0 FFE0 FFC0 FFC0 7F80 3F00 3F00"            /* .?.?. */
	$"3F00 3F00 0008 0005 0000 0000 0000 0000"            /* ?.?............. */
	$"0000 0000 8004 0000 0000 0010 0010 0000"            /* ............... */
	$"0000 0000 0000 0048 0000 0048 0000 0000"            /* .......H...H.... */
	$"0002 0001 0002 0000 0000 0000 00D2 0000"            /* ............... */
	$"0000 0FFF 0000 0FFF 0000 0FFF 0000 0FFF"            /* ............ */
	$"0000 3001 C000 C175 7000 C575 B000 C575"            /* ..0..up.u.u */
	$"BC00 C7F5 BC00 C555 B000 D556 B000 36AA"            /* ..U.V.6 */
	$"C000 0FFF 0000 0FFF 0000 0FFF 0000 0FFF"            /* ........... */
	$"0000 0000 0000 0000 0003 0000 FFFF FFFF"            /* ............ */
	$"FFFF 0001 DDDD DDDD DDDD 0002 8888 8888"            /* .... */
	$"8888 0003 0000 0000 0000"                           /* ........ */
};

data 'crsr' (153) {
	$"8001 0000 0060 0000 0092 0000 0000 0000"            /* ....`......... */
	$"0000 0000 0000 40FC 6086 70F6 7886 7CFE"            /* ......@`px| */
	$"7E86 7FD6 7F86 7CFE 6C7E 4600 0600 0300"            /* ~..|l~F..... */
	$"0300 0000 C1FC E1FE F1FF F9FF FDFF FFFF"            /* .... */
	$"FFFF FFFF FFFF FFFF FEFF EF7F CF00 0780"            /* ... */
	$"0780 0380 0001 0001 0000 0000 0000 0000"            /* .............. */
	$"0000 0000 8004 0000 0000 0010 0010 0000"            /* ............... */
	$"0000 0000 0000 0048 0000 0048 0000 0000"            /* .......H...H.... */
	$"0002 0001 0002 0000 0000 0000 00D2 0000"            /* ............... */
	$"0000 0000 0000 3000 FFF0 3C00 C07C 3F00"            /* ......0.<.|?. */
	$"FFBC 3FC0 C5BC 3FF0 FFFC 3FFC C5BC 3FFF"            /* ?ż??ż? */
	$"F7BC 3FFF DABC 3FF0 FFFC 3CF0 3FFC 303C"            /* ?ڼ?<?0< */
	$"0000 003C 0000 000F 0000 000F 0000 0000"            /* ...<............ */
	$"0000 0000 0000 0000 0003 0000 FFFF FFFF"            /* ............ */
	$"FFFF 0001 DDDD DDDD DDDD 0002 8888 8888"            /* .... */
	$"8888 0003 0000 0000 0000"                           /* ........ */
};

data 'crsr' (154) {
	$"8001 0000 0060 0000 0092 0000 0000 0000"            /* ....`......... */
	$"0000 0000 0180 1A70 2648 264A 124D 1249"            /* ......p&H&J.M.I */
	$"6809 9801 8802 4002 2152 2154 1154 0808"            /* hƘ..@.!R!T.T.. */
	$"0428 07D8 0180 1BF0 3FF8 3FFA 1FFF 1FFF"            /* .(...??.. */
	$"6FFF FFFF FFFE 7FFE 3FFE 3FFC 1FFC 0FF8"            /* o.??.. */
	$"07F8 07D8 0000 0007 0000 0000 0000 0000"            /* .............. */
	$"0000 0000 8008 0000 0000 0010 0010 0000"            /* ............... */
	$"0000 0000 0000 0048 0000 0048 0000 0000"            /* .......H...H.... */
	$"0004 0001 0004 0000 0000 0000 0112 0000"            /* ................ */
	$"0000 0000 000F F000 0000 000F F0F2 2FFF"            /* .........../ */
	$"0000 00F2 2FF2 3F22 F000 00F2 3FF2 3F23"            /* .../?"..??# */
	$"F0F0 000F 23F2 3F23 FF2F 000F 23F2 3F23"            /* ..#?#/..#?# */
	$"F23F 0FF0 F211 1113 F23F F23F F211 1111"            /* ?....??... */
	$"113F F213 F211 1111 13F0 0F21 3111 1111"            /* .?......!1... */
	$"13F0 00F2 111F 1F1F 13F0 00F2 111F 3F3F"            /* ..........?? */
	$"3F00 000F 211F 3F3F 3F00 0000 F211 3133"            /* ?...!.???....13 */
	$"F000 0000 0F33 33F3 F000 0000 0FFF FF0F"            /* ....33..... */
	$"F000 0000 0000 0000 0004 0000 FFFF FFFF"            /* ........... */
	$"FFFF 0001 DDDD DDDD DDDD 0002 EEEE EEEE"            /* .... */
	$"EEEE 0003 BBBB BBBB BBBB 000F 0000 0000"            /* ........ */
	$"0000"                                               /* .. */
};

data 'crsr' (155) {
	$"8001 0000 0060 0000 0092 0000 0000 0000"            /* ....`......... */
	$"0000 0000 0000 0000 0000 0180 0E70 124C"            /* ............p.L */
	$"100A 7802 4802 4002 2152 2154 1154 0808"            /* ..x.H.@.!R!T.T.. */
	$"0428 07D8 0000 0000 0000 0180 0FF0 1FFC"            /* .(.......... */
	$"1FFE 7FFE 7FFE 7FFE 3FFE 3FFC 1FFC 0FF8"            /* ....??.. */
	$"07F8 07D8 0000 0007 0000 0000 0000 0000"            /* .............. */
	$"0000 0000 8008 0000 0000 0010 0010 0000"            /* ............... */
	$"0000 0000 0000 0048 0000 0048 0000 0000"            /* .......H...H.... */
	$"0004 0001 0004 0000 0000 0000 0112 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 000F F000"            /* ............... */
	$"0000 0000 FFF3 3FFF 0000 000F 33F3 1F33"            /* ....?....3.3 */
	$"FF00 000F 3212 2231 F3F0 0FFF F222 2222"            /* ...2."1.""" */
	$"21F0 0F33 F222 2222 21F0 0F32 1222 2222"            /* !.3"""!.2.""" */
	$"21F0 00F3 222F 2F2F 21F0 00F3 222F 1F1F"            /* !."///!."/.. */
	$"1F00 000F 322F 1F1F 1F00 0000 F322 1211"            /* ....2/......".. */
	$"F000 0000 0F11 11F1 F000 0000 0FFF FF0F"            /* ........... */
	$"F000 0000 0000 0000 0004 0000 FFFF FFFF"            /* ........... */
	$"FFFF 0001 BBBB BBBB BBBB 0002 DDDD DDDD"            /* .... */
	$"DDDD 0003 EEEE EEEE EEEE 000F 0000 0000"            /* ........ */
	$"0000"                                               /* .. */
};

data 'crsr' (156) {
	$"8001 0000 0060 0000 0092 0000 0000 0000"            /* ....`......... */
	$"0000 0000 0600 0900 0900 0900 09C0 0930"            /* .........0 */
	$"692C 980A 8802 4002 2152 2154 1154 0808"            /* i,..@.!R!T.T.. */
	$"0428 07D8 0600 0F00 0F00 0F00 0FC0 0FF0"            /* .(........... */
	$"6FFC FFFE FFFE 7FFE 3FFE 3FFC 1FFC 0FF8"            /* o.??.. */
	$"07F8 07D8 0000 0005 0000 0000 0000 0000"            /* .............. */
	$"0000 0000 8008 0000 0000 0010 0010 0000"            /* ............... */
	$"0000 0000 0000 0048 0000 0048 0000 0000"            /* .......H...H.... */
	$"0004 0001 0004 0000 0000 0000 0112 0000"            /* ................ */
	$"0000 0000 0FF0 0000 0000 0000 F33F 0000"            /* ...........?.. */
	$"0000 0000 F32F 0000 0000 0000 F32F 0000"            /* ..../....../.. */
	$"0000 0000 F32F FF00 0000 0000 F32F 33FF"            /* ..../...../3 */
	$"0000 0FF0 F32F 32F3 FF00 F33F F321 1112"            /* .../2.?!.. */
	$"F3F0 F312 F311 1111 12F0 0F31 2111 1111"            /* ......1!... */
	$"12F0 00F3 111F 1F1F 12F0 00F3 111F 2F2F"            /* ..........// */
	$"2F00 000F 311F 2F2F 2F00 0000 F311 2122"            /* /...1.///....!" */
	$"F000 0000 0F22 22F2 F000 0000 0FFF FF0F"            /* ....""..... */
	$"F000 0000 0000 0000 0004 0000 FFFF FFFF"            /* ........... */
	$"FFFF 0001 DDDD DDDD DDDD 0002 BBBB BBBB"            /* .... */
	$"BBBB 0003 EEEE EEEE EEEE 000F 0000 0000"            /* ........ */
	$"0000"                                               /* .. */
};

/* monochrome cursor resources */

data 'CURS' (2/*, sysheap*/) {
	$"0400 0400 0400 0400 0400 FFE0 0400 0400"            /* .............. */
	$"0400 0400 0400 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0005 0005"                                          /* .... */
};

data 'CURS' (150, purgeable, preload) {
	$"0000 403C 6066 7066 780C 7C18 7E18 7F00"            /* ..@<`fpfx.|.~... */
	$"7F98 7C18 6C00 4600 0600 0300 0300 0000"            /* .|.l.F......... */
	$"C07E E0FF F0FF F8FF FCFF FE3E FF3C FFBC"            /* ~>< */
	$"FFFC FFFC FE3C EF00 CF00 0780 0780 0380"            /* <..... */
	$"0001 0001"                                          /* .... */
};

data 'CURS' (151, purgeable, preload) {
	$"0000 4018 6018 707E 787E 7C18 7E18 7F00"            /* ..@.`.p~x~|.~... */
	$"7F80 7C00 6C00 4600 0600 0300 0300 0000"            /* .|.l.F......... */
	$"C03C E03C F0FF F8FF FCFF FEFF FF3C FFBC"            /* <<< */
	$"FFC0 FFC0 FE00 EF00 CF00 0780 0780 0380"            /* ...... */
	$"0001 0001"                                          /* .... */
};

data 'CURS' (152, purgeable, preload) {
	$"0000 4038 6038 7044 7892 7C9B 7E82 7F44"            /* ..@8`8pDx|~.D */
	$"7FB8 7C38 6C00 4600 0600 0300 0300 0000"            /* .|8l.F......... */
	$"C07C E07C F07C F8FE FDFF FFFF FFFF FFFE"            /* ||| */
	$"FFFC FFFC FE7C EF00 CF00 0780 0780 0380"            /* |..... */
	$"0001 0001"                                          /* .... */
};

data 'CURS' (154, purgeable, preload) {
	$"0180 1A70 2648 264A 124D 1249 6809 9801"            /* ..p&H&J.M.IhƘ. */
	$"8802 4002 2152 2154 1154 0808 0428 07D8"            /* .@.!R!T.T...(. */
	$"0180 1BF0 3FF8 3FFA 1FFF 1FFF 6FFF FFFF"            /* ..??..o */
	$"FFFE 7FFE 3FFE 3FFC 1FFC 0FF8 07F8 07D8"            /* .??.... */
	$"0000 0007"                                          /* .... */
};

data 'CURS' (155, purgeable, preload) {
	$"0000 0000 0000 0180 0E70 124C 100A 7802"            /* ........p.L..x. */
	$"4802 4002 2152 2154 1154 0808 0428 07D8"            /* H.@.!R!T.T...(. */
	$"0000 0000 0000 0180 0FF0 1FFC 1FFE 7FFE"            /* ........... */
	$"7FFE 7FFE 3FFE 3FFC 1FFC 0FF8 07F8 07D8"            /* ..??.... */
	$"0000 0007"                                          /* .... */
};

data 'CURS' (156, purgeable, preload) {
	$"0600 0900 0900 0900 09C0 0930 692C 980A"            /* .....0i,. */
	$"8802 4002 2152 2154 1154 0808 0428 07D8"            /* .@.!R!T.T...(. */
	$"0600 0F00 0F00 0F00 0FC0 0FF0 6FFC FFFE"            /* ..........o */
	$"FFFE 7FFE 3FFE 3FFC 1FFC 0FF8 07F8 07D8"            /* .??.... */
	$"0000 0005"                                          /* .... */
};

data 'CURS' (256, purgeable, preload) {
	$"0000 0000 0FE0 0FE0 0FE0 0FE0 0FE0 0FE0"            /* .......... */
	$"0FE0 0FE0 0FE0 0FE0 0FE0 0FE0 0000 0000"            /* .......... */
	$"0000 0000 0FE0 0820 0820 0820 0820 0820"            /* ...... . . . .  */
	$"0820 0820 0820 0820 0820 0FE0 0000 0000"            /* . . . . . ..... */
	$"0007 000A"                                          /* .... */
};

/* icons */

data 'ics8' (kInterfaceLibIconIDSortAscending, "Sort Ascending") {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 00FC FB00 0000 0000 0000"            /* .............. */
	$"0000 0000 0000 00F7 F700 0000 0000 0000"            /* .............. */
	$"0000 0000 0000 FCFD FDFF 0000 0000 0000"            /* ............ */
	$"0000 0000 0000 F7F7 F7F7 0000 0000 0000"            /* ............ */
	$"0000 0000 00FC FDFE FEFE FF00 0000 0000"            /* .......... */
	$"0000 0000 00F7 F7F7 F7F7 F700 0000 0000"            /* .......... */
	$"0000 0000 FCFD FEFE FEFE FEFF 0000 0000"            /* ........ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};

data 'ics8' (kInterfaceLibIconIDSortDescending, "Sort Descending") {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 FCFD FEFE FEFE FEFF 0000 0000"            /* ........ */
	$"0000 0000 00F7 F7F7 F7F7 F700 0000 0000"            /* .......... */
	$"0000 0000 00FC FDFE FEFE FF00 0000 0000"            /* .......... */
	$"0000 0000 0000 F7F7 F7F7 0000 0000 0000"            /* ............ */
	$"0000 0000 0000 FCFD FDFF 0000 0000 0000"            /* ............ */
	$"0000 0000 0000 00F7 F700 0000 0000 0000"            /* .............. */
	$"0000 0000 0000 00FC FB00 0000 0000 0000"            /* .............. */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};

data 'ics#' (kInterfaceLibIconIDSortAscending) {
	$"0000 0000 0000 0000 0180 0000 03C0 0000"            /* .............. */
	$"07E0 0000 0FF0 0000 0000 0000 0000 0000"            /* .............. */
	$"0000 0000 0000 0000 0180 0180 03C0 03C0"            /* ............ */
	$"07E0 07E0 0FF0 0000 0000 0000 0000 0000"            /* ............. */
};

data 'ics#' (kInterfaceLibIconIDSortDescending) {
	$"0000 0000 0000 0000 0FF0 0000 07E0 0000"            /* .............. */
	$"03C0 0000 0180 0000 0000 0000 0000 0000"            /* .............. */
	$"0000 0000 0000 0000 0FF0 07E0 07E0 03C0"            /* ............ */
	$"03C0 0180 0180 0000 0000 0000 0000 0000"            /* ............. */
};



/*
*******************************************
	STANDARD ALERT DIALOG BOX
*******************************************
*/

#define	DIALOG_WD		INTERFACELIB_ALERT_DIALOG_WD
#define	DIALOG_HT		140 // the height is completely arbitrary; it is determined programmatically

/* icon size (square) */
#define INTERFACELIB_ALERT_ICON_WIDTH		32

/* miscellaneous control offsets */
#define INTERFACELIB_ALERT_TEXT_LEFT		(INTERFACELIB_ALERT_ICON_LEFT + INTERFACELIB_ALERT_ICON_WIDTH + 23)
#define INTERFACELIB_ALERT_TEXT_RIGHT		(DIALOG_WD - HSP_TEXT_AND_DIALOG)

resource 'DLOG' (kInterfaceLibAlertDialogID, "Standard Alert", purgeable, preload)
{
	{ 0, 0, DIALOG_HT, DIALOG_WD },
	kWindowMovableAlertProc,
	invisible,
	0, // close box
	0,
	kInterfaceLibAlertDialogID,
	"",
	alertPositionParentWindow
};

resource 'DLOG' (kInterfaceLibNonmovableAlertDialogID, "Nonmovable Standard Alert", purgeable)
{
	{ 0, 0, DIALOG_HT, DIALOG_WD },
	kWindowAlertProc,
	invisible,
	0, // close box
	0,
	kInterfaceLibAlertDialogID, // still uses the same DITL as a movable alert
	"",
	alertPositionParentWindow
};

resource 'dlgx' (kInterfaceLibAlertDialogID)
{
	versionZero
	{
		kDialogFlagsUseThemeBackground		|
		kDialogFlagsUseControlHierarchy		|
		kDialogFlagsHandleMovableModal		|
		kDialogFlagsUseThemeControls
	}
};

resource 'dlgx' (kInterfaceLibNonmovableAlertDialogID)
{
	versionZero
	{
		kDialogFlagsUseThemeBackground		|
		kDialogFlagsUseControlHierarchy		|
		kDialogFlagsUseThemeControls
	}
};

resource 'DITL' (kInterfaceLibAlertDialogID, "Standard Alert", purgeable, preload)
{
	{
		// 1
		{ 0, 0, -1, -1 }, // auto-sized, auto-positioned button
		Control { enabled, kInterfaceLibControlButtonNormal },
		
		// 2
		{ 0, 0, -1, -1 }, // auto-sized, auto-positioned button
		Control { enabled, kInterfaceLibControlButtonNormal },
		
		// 3
		{ 0, INTERFACELIB_ALERT_TEXT_LEFT, -1, -1 },
		Control { disabled, kInterfaceLibControlAlertText }, // the dialog text
		
		// 4
		{ 0, INTERFACELIB_ALERT_TEXT_LEFT, -1, -1 },
		Control { disabled, kInterfaceLibControlAlertText }, // the help text
		
		// 5
		{ 0, INTERFACELIB_ALERT_TEXT_LEFT, -1, -1 },
		Control { enabled, kInterfaceLibControlButtonNormal },
		
		// 6
		{ 0, 0, -1, -1 }, // auto-sized, auto-positioned button
		Control { enabled, kIDAppleGuideButton },
		
		// 7
		{ 0, INTERFACELIB_ALERT_TEXT_LEFT, -1, -1 },
		Control { disabled, kInterfaceLibControlAlertText }, // the title text
		
		// 8
		{ 0, 0, -1, -1 },
		HelpItem { disabled, HMScanhdlg { 0 } }
	}
};

resource 'dftb' (kInterfaceLibAlertDialogID, "Standard Alert")
{
	versionZero
	{
		{
			skipItem { }, // 1
			skipItem { }, // 2
			skipItem { }, // 3
			dataItem // 4
			{
				kDialogFontUseFontMask | kDialogFontUseSizeMask, // flags determine what data isn't ignored
				kThemeSmallSystemFont, // font
				10, // font size
				0, // font style
				0, // text mode
				0, // justification
				0, 0, 0, // RGB forecolor
				0, 0, 0, // RGB backcolor
				"" // font name
			},
			skipItem { }, // 5
			skipItem { }, // 6
			dataItem // 7
			{
				kDialogFontUseFontMask | kDialogFontUseSizeMask, // flags determine what data isn't ignored
				kThemeSystemFont, // font
				14, // font size (see "Localization.c" for further references to this font size)
				0, // font style
				0, // text mode
				0, // justification
				0, 0, 0, // RGB forecolor
				0, 0, 0, // RGB backcolor
				"" // font name
			},
			skipItem { } // 8
		}
	};
};

/* basic alert button */
resource 'CNTL' (kInterfaceLibControlButtonNormal, "Generic Alert Button", purgeable)
{
	{ 0, 0, 0, 0 }, // auto-sized and auto-positioned button
	0,
	visible,
	0,
	0,
	kControlPushButtonProc,
	0,
	""
};

/* alert text */
resource 'CNTL' (kInterfaceLibControlAlertText, "Alert Text", purgeable)
{
	{ 0, 0, 0, (INTERFACELIB_ALERT_TEXT_RIGHT - INTERFACELIB_ALERT_TEXT_LEFT) }, // vertically auto-sized text
	0,
	visible,
	0,
	0,
	kControlStaticTextProc,
	0,
	""
};

/* a standard alert stop icon */
resource 'CNTL' (kInterfaceLibControlAlertIconStop, "Stop Icon", purgeable)
{
	{ 0, 0, INTERFACELIB_ALERT_ICON_WIDTH, INTERFACELIB_ALERT_ICON_WIDTH },
	0, // icon ID
	visible,
	0,
	0,
	kControlIconNoTrackProc,
	0,
	""
};

/* a standard alert note icon */
resource 'CNTL' (kInterfaceLibControlAlertIconNote, "Note Icon", purgeable)
{
	{ 0, 0, INTERFACELIB_ALERT_ICON_WIDTH, INTERFACELIB_ALERT_ICON_WIDTH },
	1, // icon ID
	visible,
	0,
	0,
	kControlIconNoTrackProc,
	0,
	""
};

/* a standard alert caution icon */
resource 'CNTL' (kInterfaceLibControlAlertIconCaution, "Caution Icon", purgeable)
{
	{ 0, 0, INTERFACELIB_ALERT_ICON_WIDTH, INTERFACELIB_ALERT_ICON_WIDTH },
	2, // icon ID
	visible,
	0,
	0,
	kControlIconNoTrackProc,
	0,
	""
};