/*
**************************************************************************
	Telnet.r
	
	MacTelnet 3.0
	 1998-2001 by Kevin Grant
	
	This file contains all resource data not found in other specialized
	.r files.
**************************************************************************
*/

#include "Appearance.r"
#include "Balloons.r"
#include "Controls.r"
#include "ControlDefinitions.r"
#include "Dialogs.r"
#include "FileTypesAndCreators.r"
#include "Finder.r"
#include "MacTypes.r"
#include "MacWindows.r"
#include "Processes.r"

#include "ControlResources.h"
#include "DialogResources.h"
#include "GeneralResources.h"
#include "MenuResources.h"
#include "PreferenceResources.h"

#include "SpacingConstants.r"
#include "TelnetMenuItemNames.h"
#include "TelnetMiscellaneousText.h"
#include "TelnetVersion.h"



/*
Carbon applications will be considered Classic under OS X without this resource!
*/
//data 'carb' (0) { $"0000 0000" /* .... */ };


/*
text resource - used for the About box
*/
type 'TEXT' { string; };
#define ABOUT_BOX_PAGE_END				"^"
#define ABOUT_BOX_PAUSE_DEFAULT			""
#define ABOUT_BOX_PAUSE_1_SECOND		"1"
#define ABOUT_BOX_PAUSE_2_SECONDS		"2"
#define ABOUT_BOX_PAUSE_3_SECONDS		"3"
#define ABOUT_BOX_PAUSE_4_SECONDS		"4"
#define ABOUT_BOX_PAUSE_5_SECONDS		"5"
#define ABOUT_BOX_PAUSE_6_SECONDS		"6"
#define ABOUT_BOX_PAUSE_7_SECONDS		"7"
#define ABOUT_BOX_PAUSE_8_SECONDS		"8"
#define ABOUT_BOX_PAUSE_9_SECONDS		"9"
#define ABOUT_BOX_COLUMN_END			"`"
#define ABOUT_BOX_ALIGN_LEFT			""
#define ABOUT_BOX_ALIGN_RIGHT			""
resource 'TEXT' (kTextResourceIDAboutBox, "About Box Panels: "ABOUT_BOX_PAGE_END" separates panels; optional following digit specifies delay in seconds; "ABOUT_BOX_COLUMN_END" separates columns in a panel")
{
	ABOUT_BOX_PANEL_TEXT
};


/*
temporary - any older dialogs that use color boxes need a Rez-dependent control
*/
resource 'CNTL' (kIDRezDITLColorBox, "Rez-DITL Color Box", purgeable)
{
	{ 0, 0, 18, 48 },
	kControlWantsActivate |
	kControlHandlesTracking, // control feature bits
	visible,
	0,
	0,
	kControlUserPaneProc,
	0,
	""
};


/*
temporary - to allow old dialogs that have been Appearance-ized to use small text
*/

resource 'dftb' (FTPUserDLOG, "FTP User Preferences (old): Font Auxiliary Info")
{
	versionZero
	{
		{
			skipItem { }, // 1
			skipItem { }, // 2
			skipItem { }, // 3
			skipItem { }, // 4
			skipItem { }, // 5
			dataItem // 6
			{
				kDialogFontUseFontMask | kDialogFontUseSizeMask, // flags determine what data isn't ignored
				kThemeSmallSystemFont, // font
				10, // font size
				0, // font style
				0, // text mode
				0, // justification
				0, 0, 0, // RGB forecolor
				0, 0, 0, // RGB backcolor
				"" // font name
			},
			dataItem // 7
			{
				kDialogFontUseFontMask | kDialogFontUseSizeMask | kDialogFontUseFaceMask, // flags determine what data isn't ignored
				kThemeSmallSystemFont, // font
				10, // font size
				0x01/* bold */, // font style
				0, // text mode
				0, // justification
				0, 0, 0, // RGB forecolor
				0, 0, 0, // RGB backcolor
				"" // font name
			},
			skipItem { }, // 8
			skipItem { }, // 9
			skipItem { } // 10
		}
	};
};

resource 'dftb' (273, "Set Keys: Font Auxiliary Info")
{
	versionZero
	{
		{
			skipItem { }, // 1
			skipItem { }, // 2
			dataItem // 3
			{
				kDialogFontUseFontMask | kDialogFontUseSizeMask, // flags determine what data isn't ignored
				kThemeSmallSystemFont, // font
				10, // font size
				0, // font style
				0, // text mode
				0, // justification
				0, 0, 0, // RGB forecolor
				0, 0, 0, // RGB backcolor
				"" // font name
			},
			skipItem { }, // 4
			skipItem { }, // 5
			skipItem { }, // 6
			skipItem { }, // 7
			skipItem { }, // 8
			skipItem { } // 9
		}
	};
};

resource 'dftb' (4002, "ThemeSavvyStandardGetFile")
{
	versionZero
	{
		{
			skipItem { }, // 1
			skipItem { }, // 2
			skipItem { }, // 3
			skipItem { }, // 4
			skipItem { }, // 5
			skipItem { }, // 6
			skipItem { }, // 7
			skipItem { }, // 8
			skipItem { }, // 9 - the first nine items are standard system items
			dataItem // 10
			{
				kDialogFontUseFontMask | kDialogFontUseSizeMask, // flags determine what data isn't ignored
				kThemeSmallSystemFont, // font
				10, // font size
				0, // font style
				0, // text mode
				0, // justification
				0, 0, 0, // RGB forecolor
				0, 0, 0, // RGB backcolor
				"" // font name
			},
			skipItem { }, // 11
			skipItem { } // 12
		}
	};
};

resource 'dftb' (4003, "ThemeSavvyStandardPutFile")
{
	versionZero
	{
		{
			skipItem { }, // 1
			skipItem { }, // 2
			skipItem { }, // 3
			skipItem { }, // 4
			skipItem { }, // 5
			skipItem { }, // 6
			skipItem { }, // 7
			skipItem { }, // 8
			skipItem { }, // 9
			skipItem { }, // 10
			dataItem // 11
			{
				kDialogFontUseFontMask | kDialogFontUseSizeMask, // flags determine what data isn't ignored
				kThemeSmallSystemFont, // font
				10, // font size
				0, // font style
				0, // text mode
				0, // justification
				0, 0, 0, // RGB forecolor
				0, 0, 0, // RGB backcolor
				"" // font name
			},
			skipItem { }, // 12 - the first twelve items are standard system items
			skipItem { }, // 13
			skipItem { } // 14
		}
	};
};

resource 'dftb' (4004, "ThemeSavvyStandardGetDirectory")
{
	versionZero
	{
		{
			skipItem { }, // 1
			skipItem { }, // 2
			skipItem { }, // 3
			skipItem { }, // 4
			skipItem { }, // 5
			skipItem { }, // 6
			skipItem { }, // 7
			skipItem { }, // 8
			skipItem { }, // 9 - the first nine items are standard system items
			dataItem // 10
			{
				kDialogFontUseFontMask | kDialogFontUseSizeMask, // flags determine what data isn't ignored
				kThemeSmallSystemFont, // font
				10, // font size
				0, // font style
				0, // text mode
				0, // justification
				0, 0, 0, // RGB forecolor
				0, 0, 0, // RGB backcolor
				"" // font name
			},
			skipItem { }, // 11
			skipItem { } // 12
		}
	};
};

/*
custom resources that let the Finder better manage MacTelnet 3.0 files
*/

// old NCSA files

type 'NCSA' as 'STR ';
resource 'NCSA' (128, "Owner resource")
{
	"1986-1992 by NCSA"
};

resource 'open' (129) // permits old NCSA Telnet 2.x files to be dragged onto MacTelnet 3.0
{
	'NCSA',
	{
		kApplicationFileTypeSessionDescription; kApplicationFileTypeMacroSet
	}
};

// application files

type kApplicationCreatorSignature as 'STR ';
resource kApplicationCreatorSignature (0, "Owner resource")
{
	"1998-2003 by Kevin Grant"
};

type kPreferencesFileCreatorSignature as 'STR ';
resource kPreferencesFileCreatorSignature (0, "Owner resource")
{
	"1998-2003 by Kevin Grant"
};

resource 'open' (128)
{
	kApplicationCreatorSignature,
	{
		kApplicationFileTypeSessionDescription; kApplicationFileTypeMacroSet
	}
};

resource 'FREF' (128, purgeable)
{
	'APPL',
	0, // see 'BNDL' for this ID
	""
};

resource 'FREF' (129, purgeable)
{
	kPreferencesFileType,
	0, // see 'BNDL' for this ID
	""
};

resource 'FREF' (130, purgeable)
{
	'shlb',
	3, // see 'BNDL' for this ID
	""
};

resource 'FREF' (131, purgeable)
{
	kApplicationFileTypeSessionDescription,
	1, // see 'BNDL' for this ID
	""
};

resource 'FREF' (133, purgeable)
{
	kApplicationFileTypeMacroSet,
	2, // see 'BNDL' for this ID
	""
};

resource 'BNDL' (18371, purgeable)
{
	kApplicationCreatorSignature,
	0, // owner resource ID for the above signature
	{
		'ICN#',
		{
			0, 128,
			1, 131,
			2, 133,
			3, 130
		},
		'FREF',
		{
			0, 128,
			1, 131,
			2, 133,
			3, 130
		}
	}
};

resource 'BNDL' (18372, purgeable)
{
	kPreferencesFileCreatorSignature,
	0, // owner resource ID for the above signature
	{
		'ICN#',
		{
			0, 129
		},
		'FREF',
		{
			0, 129
		}
	}
};

resource 'kind' (128)
{
	kApplicationCreatorSignature,
	REGION_CODE,
	{
		ftApplicationName, KIND_RESOURCE_STRING_apnm;
		kApplicationFileTypeMacroSet, KIND_RESOURCE_STRING_TEXT;
		kApplicationFileTypeSessionDescription, KIND_RESOURCE_STRING_CONF
	}
};

resource 'kind' (129)
{
	kPreferencesFileCreatorSignature,
	REGION_CODE,
	{
		ftApplicationName, KIND_RESOURCE_STRING_apnm;
		kPreferencesFileType, KIND_RESOURCE_STRING_pref
	}
};

/*
de-Rezed stuff
*/

/* default preferences */

data WINDOWPREFS_RESTYPE (WINDOWPREFS_DEFAULTID, "Factory Defaults") {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000"                           /* .......... */
};

data APPLICATIONPREFS_RESTYPE (APPLICATIONPREFS_DEFAULTID, "Factory Defaults") {
	$"0002 0000 0004 0000 0000 0004 7474 7874"            /* ............ttxt */
	$"0001 0101 0000 000F 0000 002D 0019 0000"            /* ...........-.... */
	$"0000 0000 0001 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000"                      /* ............ */
};

data FTPSERVERPREFS_RESTYPE (FTPSERVERPREFS_DEFAULTID, "Factory Defaults") {
	$"0000 0000 3F3F 3F3F 4249 4E41 7474 7874"            /* ....????BINAttxt */
	$"0001 0100 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
};

data SESSIONPREFS_RESTYPE (SESSIONPREFS_DEFAULTID, SESSIONPREFS_DEFAULTNAME) {
	$"0001 0017 FFFF 0001 0078 0000 0000 0000"            /* .......x...... */
	$"0100 0000 0101 001D 1311 0B2D 2D44 6566"            /* ...........--Def */
	$"6175 6C74 2D2D 6E61 6C00 0000 0000 0000"            /* ault--nal....... */
	$"0000 0000 0000 0000 0004 4E04 4E6F 6E65"            /* ..........N.None */
	$"4D75 6C74 696E 6174 696F 6E61 6C00 0000"            /* Multinational... */
	$"0000 0000 0000 0000 0000 146E 146E 6F77"            /* ...........n.now */
	$"6865 7265 2E6C 6F6F 7062 6163 6B2E 6564"            /* here.loopback.ed */
	$"7563 6100 0000 0000 0000 0000 0000 0000"            /* uca............. */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0001 0000"            /* ................ */
	$"0200 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000"                                /* ........ */
};

data TERMINALPREFS_RESTYPE (TERMINALPREFS_DEFAULTID, TERMINALPREFS_DEFAULTNAME) {
	$"0001 0000 0000 0000 FFFF FFFF FFFF FFFF"            /* ........ */
	$"FFFF FFFF 1818 2222 CDCD 0000 0000 0000"            /* ..""...... */
	$"FFFF FFFF FFFF 0000 0050 0018 000C 00C8"            /* ...P..... */
	$"0101 0100 0001 0101 064D 6F6E 6163 6F20"            /* .........Monaco  */
	$"4D6F 6E6F 7420 4F72 6E61 6D65 6E74 7300"            /* Monot Ornaments. */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 FFFF"            /* .............. */
	$"FFFF FFFF 0000 0000 0556 5431 3030 0000"            /* .....VT100.. */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 FFFF 0000 0000 0000 0000"            /* .............. */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 FFFF FFFF FFFF 0000 0000"            /* .......... */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000"                 /* .............. */
};

/* other junk */

data 'ALRT' (200, "Low Memory Alert", preload) {
	$"0050 0050 00BB 01EA 00C8 5555 B00A"                 /* .P.P...UU. */
};

data 'DITL' (200, "Low Memory Alert", preload) {
	$"0002 0000 0000 0049 014A 005F 018E 0402"            /* .......I.J._... */
	$"4F4B 0000 0000 000A 004B 003C 0181 887C"            /* OK.......K.<.| */
	$"5468 6973 2070 726F 6772 616D 2069 7320"            /* This program is  */
	$"7275 6E6E 696E 6720 6461 6E67 6572 6F75"            /* running dangerou */
	$"736C 7920 6C6F 7720 6F6E 206D 656D 6F72"            /* sly low on memor */
	$"792E 2020 506C 6561 7365 2063 6C6F 7365"            /* y.  Please close */
	$"2073 6F6D 6520 7769 6E64 6F77 732C 206F"            /*  some windows, o */
	$"7220 7175 6974 2061 7320 736F 6F6E 2061"            /* r quit as soon a */
	$"7320 706F 7373 6962 6C65 2074 6F20 6176"            /* s possible to av */
	$"6F69 6420 6120 6372 6173 682E 0000 0000"            /* oid a crash..... */
	$"000A 0014 002A 0034 A002 0002"                      /* .....*.4... */
};

data 'DITL' (273, "Set Keys", purgeable) {
	$"0008 0000 0000 00B3 00AC 00C9 00F0 0402"            /* ............ */
	$"4F4B 0000 0000 00B3 005C 00C9 00A0 0406"            /* OK......\.... */
	$"4361 6E63 656C 0000 0000 0070 000A 00A7"            /* Cancel.....p... */
	$"00FB 0893 546F 2073 6574 2061 206B 6579"            /* ..To set a key */
	$"2073 6571 7565 6E63 652C 2073 656C 6563"            /*  sequence, selec */
	$"7420 7468 6520 7465 7874 2069 6E20 7468"            /* t the text in th */
	$"6520 6669 656C 6420 6E65 7874 2074 6F20"            /* e field next to  */
	$"6974 7320 6163 7469 6F6E 2061 6E64 2074"            /* its action and t */
	$"6865 6E20 7479 7065 2074 6865 206B 6579"            /* hen type the key */
	$"2073 6571 7565 6E63 6520 6F6E 2074 6865"            /*  sequence on the */
	$"206B 6579 626F 6172 642E 2020 426C 616E"            /*  keyboard.  Blan */
	$"6B20 656E 7472 6965 7320 6172 6520 6469"            /* k entries are di */
	$"7361 626C 6564 2E00 0000 0000 0014 0012"            /* sabled.......... */
	$"0024 0030 1000 0000 0000 0032 0012 0042"            /* .$.0.......2...B */
	$"0030 1000 0000 0000 0050 0012 0060 0030"            /* .0.......P...`.0 */
	$"1000 0000 0000 0014 003D 0024 00F1 0814"            /* .........=.$... */
	$"496E 7465 7272 7570 7473 2061 2050 726F"            /* Interrupts a Pro */
	$"6365 7373 0000 0000 0032 003D 0042 00F1"            /* cess.....2.=.B. */
	$"080F 5375 7370 656E 6473 204F 7574 7075"            /* ..Suspends Outpu */
	$"7400 0000 0000 0050 003D 0060 00F1 080E"            /* t......P.=.`... */
	$"5265 7375 6D65 7320 4F75 7470 7574"                 /* Resumes Output */
};

data 'DITL' (4002, "ThemeSavvyStandardGetFile", purgeable) {
	$"000B 0000 0000 0111 0111 0127 0169 0404"            /* ...........'.i.. */
	$"4F70 656E 0000 0000 0111 00AD 0127 0105"            /* Open........'.. */
	$"0406 4361 6E63 656C 0000 0000 0000 02BB"            /* ..Cancel....... */
	$"0050 02CD 0406 4869 6464 656E 0000 0000"            /* .P...Hidden.... */
	$"0006 00FC 001A 016F 0000 0000 0000 001F"            /* ......o........ */
	$"0111 0035 0169 0405 456A 6563 7400 0000"            /* ...5.i..Eject... */
	$"0000 0041 0111 0057 0169 0407 4465 736B"            /* ...A...W.i..Desk */
	$"746F 7000 0000 0000 001F 000C 00E7 0105"            /* top............ */
	$"0000 0000 0000 0006 001B 001A 00F5 0000"            /* ............... */
	$"0000 0000 0104 000C 0105 0169 C002 000B"            /* ...........i... */
	$"0000 0000 00EE 000C 00FE 0168 8815 506C"            /* .........h.Pl */
	$"6561 7365 2073 656C 6563 7420 6120 6669"            /* ease select a fi */
	$"6C65 2EE0 0000 0000 0111 000C 0127 0022"            /* le..........'." */
	$"0702 2EE0 0000 0000 0105 000D 0106 016A"            /* .............j */
	$"C002 0403"                                          /* ... */
};

data 'DITL' (4003, "ThemeSavvyStandardPutFile", purgeable) {
	$"000E 0000 0000 00DB 0111 00F1 0169 0404"            /* ...........i.. */
	$"5361 7665 0000 0000 00DB 00AD 00F1 0105"            /* Save......... */
	$"0406 4361 6E63 656C 0000 0000 0000 02BB"            /* ..Cancel....... */
	$"0050 02CD 0406 4869 6464 656E 0000 0000"            /* .P...Hidden.... */
	$"0006 00FC 001A 016F 0000 0000 0000 001F"            /* ......o........ */
	$"0111 0035 0169 0405 456A 6563 7400 0000"            /* ...5.i..Eject... */
	$"0000 0041 0111 0057 0169 0407 4465 736B"            /* ...A...W.i..Desk */
	$"746F 7000 0000 0000 001F 000C 008D 0105"            /* top............ */
	$"0000 0000 0000 0006 001B 001A 00F5 0000"            /* ............... */
	$"0000 0000 00CE 000C 00CF 0169 C002 000B"            /* .........i... */
	$"0000 0000 009B 0061 00AB 010F 1009 4564"            /* ......a....Ed */
	$"6974 2054 6578 740B 0000 0000 00B8 000C"            /* it Text........ */
	$"00C8 0168 8820 506C 6561 7365 2074 7970"            /* ..h Please typ */
	$"6520 6120 6E61 6D65 2066 6F72 2074 6865"            /* e a name for the */
	$"2066 696C 652E 0000 0000 0099 0119 00AD"            /*  file......... */
	$"0169 0000 0000 0000 00DB 000C 00F1 0022"            /* .i..........." */
	$"0702 2EE0 0000 0000 009B 000C 00AB 005A"            /* ............Z */
	$"8805 4E61 6D65 3A00 0000 0000 00CF 000C"            /* .Name:........ */
	$"00D0 0169 C002 0403"                                /* ..i... */
};

data 'DITL' (4004, "ThemeSavvyStandardGetDirectory", purgeable) {
	$"000C 0000 0000 00DB 00AD 00F1 0105 0404"            /* ............. */
	$"4F70 656E 0000 0000 00DB 0049 00F1 00A1"            /* Open......I.. */
	$"0406 4361 6E63 656C 0000 0000 0000 02BB"            /* ..Cancel....... */
	$"0050 02CD 0406 4869 6464 656E 0000 0000"            /* .P...Hidden.... */
	$"0006 00FC 001A 016F 0000 0000 0000 001F"            /* ......o........ */
	$"0111 0035 0169 0405 456A 6563 7400 0000"            /* ...5.i..Eject... */
	$"0000 003F 0111 0055 0169 0407 4465 736B"            /* ...?...U.i..Desk */
	$"746F 7000 0000 0000 001F 000C 00B1 0105"            /* top............ */
	$"0000 0000 0000 0006 001B 001A 00F5 0000"            /* ............... */
	$"0000 0000 00CE 000C 00CF 0169 C002 000B"            /* .........i... */
	$"0000 0000 00B8 000C 00C8 0168 8815 506C"            /* .........h.Pl */
	$"6561 7365 2073 656C 6563 7420 6120 6669"            /* ease select a fi */
	$"6C65 2EE0 0000 0000 00DB 000C 00F1 0022"            /* le.........." */
	$"0702 2EE0 0000 0000 00DB 0111 00F1 0169"            /* ............i */
	$"0406 4368 6F6F 7365 0000 0000 00CF 000C"            /* ..Choose....... */
	$"00D0 0169 C002 0403"                                /* ..i... */
};

data 'DITL' (7005, "FTP User Config", purgeable) {
	$"0009 0000 0000 0087 017C 009D 01C0 0402"            /* .......|.... */
	$"4F4B 0000 0000 0087 012E 009D 0172 0406"            /* OK.........r.. */
	$"4361 6E63 656C 0000 0000 0064 00A2 007A"            /* Cancel.....d..z */
	$"01C0 0525 5573 6572 2043 616E 2043 6861"            /* ..%User Can Cha */
	$"6E67 6520 546F 2048 6967 6865 7220 4469"            /* nge To Higher Di */
	$"7265 6374 6F72 6965 7300 0000 0000 000B"            /* rectories....... */
	$"00A2 001B 0124 1000 0000 0000 002B 00A2"            /* ....$.......+. */
	$"003B 0124 1000 0000 0000 004D 00E2 005D"            /* .;.$.......M..] */
	$"01C0 8800 0000 0000 0049 00A2 005D 00DC"            /* .......I..]. */
	$"0404 5365 74C9 0000 0000 000B 000C 001B"            /* ..Set.......... */
	$"0099 880C 4C6F 672D 496E 204E 616D 653A"            /* ..Log-In Name: */
	$"0000 0000 002B 000C 003B 0099 8809 5061"            /* .....+...;.Pa */
	$"7373 776F 7264 3A00 0000 0000 004B 000C"            /* ssword:......K.. */
	$"005B 0099 8812 4465 6661 756C 7420 4469"            /* .[..Default Di */
	$"7265 6374 6F72 793A"                                /* rectory: */
};

data 'DITL' (1023, "Opening Dialog", purgeable, preload) {
	$"0002 0000 0000 0000 0000 00C9 0192 4002"            /* ............@. */
	$"03FF 0000 0000 FE0C 0129 FE20 01DA 0000"            /* .......) ... */
	$"0000 0000 FE0C 0177 FE1B 01BA 0800"                 /* ......w.... */
};

data 'dlgx' (129) {
	$"0000 0000 0005"                                     /* ...... */
};

data 'dlgx' (273) {
	$"0000 0000 0007"                                     /* ...... */
};

data 'dlgx' (4002) {
	$"0000 0000 000F"                                     /* ...... */
};

data 'dlgx' (4003) {
	$"0000 0000 000F"                                     /* ..... */
};

data 'dlgx' (4004) {
	$"0000 0000 000F"                                     /* ..... */
};

data 'dlgx' (7005) {
	$"0000 0000 000F"                                     /* ...... */
};

data 'DLOG' (273, "Set Keys", purgeable) {
	$"0048 001D 0124 0121 0413 0000 0000 0000"            /* .H...$.!........ */
	$"0000 0111 1553 7065 6369 616C 204B 6579"            /* .....Special Key */
	$"2053 6571 7565 6E63 6573 A80A"                      /*  Sequences. */
};

data 'DLOG' (4002, "ThemeSavvyStandardGetFile", purgeable) {
	$"0000 0000 0133 0175 0413 0000 0000 0000"            /* .....3.u........ */
	$"0000 0FA2 00"                                       /* .... */
};

data 'DLOG' (4003, "ThemeSavvyStandardPutFile", purgeable) {
	$"0000 0000 00FD 0175 0413 0000 0000 0000"            /* ......u........ */
	$"0000 0FA3 00"                                       /* .... */
};

data 'DLOG' (4004, "ThemeSavvyStandardGetDirectory", purgeable) {
	$"0000 0000 00FD 0175 0413 0000 0000 0000"            /* ......u........ */
	$"0000 0FA4 00"                                       /* .... */
};

data 'DLOG' (7005, "FTP User Config", purgeable) {
	$"004C 0082 00F3 024C 0413 0000 0000 0000"            /* .L...L........ */
	$"0000 1B5D 2146 5450 2053 6572 7665 723A"            /* ...]!FTP Server: */
	$"2052 6567 6973 7465 7265 6420 5573 6572"            /*  Registered User */
	$"2053 6574 7570 A80A"                                /*  Setup. */
};

data 'DLOG' (1023, "Opening Dialog", purgeable, preload) {
	$"0044 0056 010D 01E8 0411 0000 0000 0000"            /* .D.V.......... */
	$"0000 03FF 0053 300A"                                /* ....S0. */
};

resource 'hfdr' (PREFERENCES_FILE_INFO_STR_ID, purgeable)
{
	HelpMgrVersion,
	0,
	0,
	0,
	{
		HMStringItem
		{
			PREFERENCES_FILE_BALLOON_HELP_MESSAGE
		}
	}
};

/*
CONTROL KEYS AND VT220 KEY PALETTES

These key palettes depend upon rectangles being
properly defined, in 'PRCT' resources, for the
outline of each keys hot rectangle.

The next four 'PRCT' resource definitions all
cumulatively depend on constants defined starting
with those below.
*/

type 'PRCT'
{
	array RectArray
	{
		rect;
	};
};

// generic key layout helper constants: widths and heights apply to square grid only
#define VSP_FIRST_ROW			4
#define HSP_KEYS				10
#define VSP_KEYS				8
#define KEY_BOUNDS_WIDTH		28
#define KEY_BOUNDS_HEIGHT		28
#define HSP_KEYPAD_SECTIONS		(KEY_BOUNDS_WIDTH + HSP_KEYS)
#define KEY_FIRST_COL_LEFT		5
#define KEY_SECOND_COL_LEFT		(KEY_FIRST_COL_LEFT + KEY_BOUNDS_WIDTH + HSP_KEYS)
#define KEY_THIRD_COL_LEFT		(KEY_SECOND_COL_LEFT + KEY_BOUNDS_WIDTH + HSP_KEYS)
#define KEY_FOURTH_COL_LEFT		(KEY_THIRD_COL_LEFT + KEY_BOUNDS_WIDTH + HSP_KEYPAD_SECTIONS + HSP_KEYS)
#define KEY_FIFTH_COL_LEFT		(KEY_FOURTH_COL_LEFT + KEY_BOUNDS_WIDTH + HSP_KEYS)
#define KEY_SIXTH_COL_LEFT		(KEY_FIFTH_COL_LEFT + KEY_BOUNDS_WIDTH + HSP_KEYS)
#define KEY_SEVENTH_COL_LEFT	(KEY_SIXTH_COL_LEFT + KEY_BOUNDS_WIDTH + HSP_KEYS)
#define KEY_EIGHTH_COL_LEFT		(KEY_SEVENTH_COL_LEFT + KEY_BOUNDS_WIDTH + HSP_KEYS)
#define KEY_FIRST_ROW_TOP		VSP_FIRST_ROW
#define KEY_SECOND_ROW_TOP		(KEY_FIRST_ROW_TOP + KEY_BOUNDS_HEIGHT + VSP_KEYS)
#define KEY_THIRD_ROW_TOP		(KEY_SECOND_ROW_TOP + KEY_BOUNDS_HEIGHT + VSP_KEYS)
#define KEY_FOURTH_ROW_TOP		(KEY_THIRD_ROW_TOP + KEY_BOUNDS_HEIGHT + VSP_KEYS)
#define KEY_FIFTH_ROW_TOP		(KEY_FOURTH_ROW_TOP + KEY_BOUNDS_HEIGHT + VSP_KEYS)
#define KEY_HIGHLIGHT_WIDTH		(KEY_BOUNDS_WIDTH - 2)
#define KEY_HIGHLIGHT_HEIGHT	(KEY_BOUNDS_HEIGHT - 2)
#define KEY_HIGHLIGHT_OFFSET_H	1
#define KEY_HIGHLIGHT_OFFSET_V	1

resource 'PRCT' (kMDEFMenuIDKeypad)
{
	{
		// in top-left-bottom-right order
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 1
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 2
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 3
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 4
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 5
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 6
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 7
		{
			KEY_FIFTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIFTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 8
		{
			KEY_FIFTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIFTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 9
		{
			KEY_FIFTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIFTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 10
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 11
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 12
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 13
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 14
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 15
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 16
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 17
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 18
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 19
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 20
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 21
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 22
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 23
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 24
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 25
		{
			// elongated key, occupies two rows
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIFTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 26
		{
			// elongated key, occupies two columns
			KEY_FIFTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIFTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 27
		{
			KEY_FIFTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIFTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		} // 28
	}
};

// recalculate the final columns, since the Function menu has no key sections
#define KEY_FOURTH_COL_LEFT		(KEY_THIRD_COL_LEFT + KEY_BOUNDS_WIDTH + HSP_KEYS)
#define KEY_FIFTH_COL_LEFT		(KEY_FOURTH_COL_LEFT + KEY_BOUNDS_WIDTH + HSP_KEYS)

resource 'PRCT' (kMDEFMenuIDFunction)
{
	{
		// in top-left-bottom-right order
		/*
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 1
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 2
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 3
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 4
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 5
		*/
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 6
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 7
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 8
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 9
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 10
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 11
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 12
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 13
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 14
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 15
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 16
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 17
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 18
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 19
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		} // 20
	}
};

// Control Keys menu
resource 'PRCT' (kMDEFMenuIDControlKeys)
{
	{
		// in top-left-bottom-right order
		//---------------------------- row 1
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 1
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 2
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 3
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 4
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 5
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 6
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 7
		{
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_EIGHTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FIRST_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_EIGHTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 8
		//---------------------------- row 2
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 9
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 10
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 11
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 12
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 13
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 14
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 15
		{
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_EIGHTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_SECOND_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_EIGHTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 16
		//---------------------------- row 3
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 17
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 18
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 19
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 20
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 21
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 22
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 23
		{
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_EIGHTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_THIRD_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_EIGHTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 24
		//---------------------------- row 4
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIRST_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 25
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SECOND_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 26
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_THIRD_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 27
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FOURTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 28
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_FIFTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 29
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SIXTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 30
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_SEVENTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		}, // 31
		{
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V,
			KEY_EIGHTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H,
			KEY_FOURTH_ROW_TOP + KEY_HIGHLIGHT_OFFSET_V + KEY_HIGHLIGHT_HEIGHT,
			KEY_EIGHTH_COL_LEFT + KEY_HIGHLIGHT_OFFSET_H + KEY_HIGHLIGHT_WIDTH
		} // 32
	}
};

data 'taBL' (128, "US ASCII") {
	// to Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"4141 4345 4E4F 5561 6161 6161 6163 6565"            /* AACENOUaaaaaacee */
	$"6565 6969 6969 6E6F 6F6F 6F6F 7575 7575"            /* eeiiiinooooouuuu */
	$"2B6F 634C 536F 5053 5243 2260 2223 414F"            /* +ocLSoPSRC"`"#AO */
	$"3823 3C3E 5975 6453 5070 5361 6F4F 616F"            /* 8#<>YudSPpSaoOao */
	$"3F69 2D56 663D 643C 3E2E 2041 414F 4F6F"            /* ?i-Vf=d<>. AAOOo */
	$"2D2D 2222 6060 2F6F 793D 2020 2020 2020"            /* --""``/oy=       */
	$"2020 2020 2020 2020 2020 2020 2020 2020"            /*                  */
	$"2020 2020 2020 2020 2020 2020 2020 2020"            /*                  */
	// from Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"4141 4345 4E4F 5561 6161 6161 6163 6565"            /* AACENOUaaaaaacee */
	$"6565 6969 6969 6E6F 6F6F 6F6F 7575 7575"            /* eeiiiinooooouuuu */
	$"2B6F 634C 536F 5053 5243 5427 2223 414F"            /* +ocLSoPSRCT'"#AO */
	$"3823 3C3E 5975 6453 5070 5361 6F4F 616F"            /* 8#<>YudSPpSaoOao */
	$"3F21 2D56 663D 643C 3E2E 2041 414F 4F6F"            /* ?!-Vf=d<>. AAOOo */
	$"2D2D 2222 2727 2F6F 7959 2F6F 3C3E 6666"            /* --""''/oyY/o<>ff */
	$"2B2E 2722 2541 4541 4545 4949 4949 4F4F"            /* +.'"%AEAEEIIIIOO */
	$"204F 5555 5569 5E7E 2D5E 2E6F 2C22 2C5E"            /*  OUUUi^~-^.o,",^ */
};

data 'taBL' (129, "ISO 8859-1") {
	// to Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"8081 8283 8485 8687 8889 8A8B 8C8D 8E8F"            /*  */
	$"9091 9293 9495 9697 9899 9A9B 9C9D 209F"            /*   */
	$"CAC1 A2A3 DBB4 CFA4 ACA9 BBC7 C2D0 A8F8"            /* ۴ϤШ */
	$"A1B1 D3D2 ABB5 A6E1 FCD5 BCC8 B9B8 B2C0"            /* ҫռȹ */
	$"CBE7 E5CC 8081 AE82 E983 E6E8 EDEA EBEC"            /* ̀ */
	$"DC84 F1EE EFCD 85D7 AFF4 F2F3 86A0 DEA7"            /* ܄ͅׯާ */
	$"8887 898B 8A8C BE8D 8F8E 9091 9392 9495"            /*  */
	$"DD96 9897 999B 9AD6 BF9D 9C9E 9FE0 DFD8"            /* ݖֿ */
	// from Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"C4C5 C7C9 D1D6 DCE1 E0E2 E4E3 E5E7 E9E8"            /*  */
	$"EAEB EDEC EEEF F1F3 F2F4 F6F5 FAF9 FBFC"            /*  */
	$"DDB0 A2A3 A720 B6DF AEA9 20B4 A820 C6D8"            /* ݰ ߮   */
	$"20B1 BE20 A5B5 2020 BDBC 20AA BA20 E6F8"            /*        */
	$"BFA1 AC20 2020 20AB BB20 A0C0 C3D5 20A6"            /*        */
	$"AD20 B3B2 20B9 F7D7 FF20 20A4 D0F0 DEFE"            /*      */
	$"FDB7 2020 20C2 CAC1 CBC8 CDCE CFCC D3D4"            /*     */
	$"20D2 DADB D920 2020 AF20 2020 B820 2020"            /*            */
};

data 'taBL' (130, "ISO 8859-2", purgeable) {
	// to Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"A5AA E266 E3C9 A0A0 C35F E1DC E5E8 EB8F"            /* fɠ_ */
	$"C6D4 D5D2 D3A5 D0D1 5FAA E4DD E6E9 EC90"            /* ӥ_ */
	$"CA84 FFFC 24BB E5A4 ACE1 E5E8 8F2D EBFB"            /* ʄ$夬- */
	$"A188 2CB8 27BC E6FF 2CE4 E6E9 90AC ECFD"            /* ,',鐬 */
	$"D9E7 81E7 80BD 8C8C 8983 A296 9DEA B191"            /* 瀽걑 */
	$"91C1 C5EE EFCC 85D7 DBF1 F2F4 86F8 E8A7"            /* ̅ */
	$"DA87 8287 8ABE 8D8D 8B8E AB98 9E92 B493"            /* ڇ */
	$"93C4 CB97 99CE 9AD6 DEF3 9CF5 9FF9 E9AC"            /* ˗Κ */
	// from Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"C4C2 E2C9 A1D6 DCE1 B1C8 E4E8 C6E6 E9AC"            /* ɡ */
	$"BCCF EDEF CCEC CBF3 EBF4 F6F5 FACC ECFC"            /*  */
	$"2BB0 CA4C A72A A7DF 5263 99EA A85F 67CD"            /* +L*Rc_g */
	$"EDCE 3C3E EE4B F05F B3A5 B5A5 B5C5 E5D2"            /* <>K_ */
	$"F2D1 2D5F F1D2 5F22 225F A0F2 D5D5 F5D4"            /* -__""_ */
	$"2D2D 2222 2727 F7D7 F4C0 E0D8 2727 F8D8"            /* --""'''' */
	$"F8A9 2722 B9A6 B6C1 ABBB CDAE BEDB D3D4"            /* '"ͮ */
	$"FBD9 DAF9 DBFB D9F9 DDFD 6BAF A3BF 47B7"            /* kG */
};

data 'taBL' (140, "PC 850") {
	// to Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"829F 8E89 8A88 8C8D 9091 8F95 9493 8081"            /*  */
	$"83BE AE99 9A98 9E9D D885 86BF A3AF D7C4"            /* ؅ */
	$"8792 979C 9684 BBBC C0A8 C2B8 B9C1 C7C8"            /* ¸ */
	$"FDFE FFC6 F7E7 E5CB A9BD A5B0 B7A2 B4E3"            /* ˩ */
	$"E4FA F9F6 CEFB 8BCC B3AD C5C3 BAAA C9DB"            /* ̳ú */
	$"DDDC E6E8 E9F5 EAEB ECF0 E2D9 D4CF EDD1"            /*  */
	$"EEA7 EFF1 9BCD B5DF DEF2 F3F4 E0A0 F8AB"            /* ͵ */
	$"D0B1 B6B2 A6A4 D6FC A1AC E1D5 D2D3 DACA"            /* б */
	// from Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"8E8F 8090 A599 9AA0 8583 84C6 8687 828A"            /* Ɔ */
	$"8889 A18D 8C8B A4A2 9593 94E4 A397 9681"            /* 䣗 */
	$"EDF8 BD9C F5BA F4E1 A9B8 CDEF FEC9 929D"            /* ᩸ɒ */
	$"BBF1 F3C8 BEE6 F2BC ABAC CCA6 A7B9 919B"            /* Ⱦ򼫬̦ */
	$"A8AA ACCB 9FCA B3AE AFCE FFB7 C7E5 C4DD"            /* ˟ʳ */
	$"F0DF FCFD DCFB F69E 98DB FECF D1D0 E8E7"            /*  */
	$"ECFA DABF C0B6 D2B5 B3D4 D6D7 D8DE E0E2"            /* ڿҵ */
	$"D9E3 E9EA EBD5 C3B4 EEC2 C1C5 F7B0 B1B2"            /* ô */
};

data 'taBL' (141, "NeXTStep") {
	// to Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"CACB E7E5 CC80 8182 E983 E6E8 EDEA EBEC"            /* ̀ */
	$"2084 F1EE EFCD 85F4 F2F3 8620 20B5 20D6"            /*  ͅ    */
	$"A9C1 A2A3 DAB4 C4A4 DB20 D2C7 DCDD DEDF"            /* ڴĤ  */
	$"A8D0 A0E0 E120 A6A5 E2E3 D3C8 C9E4 C2C0"            /* Р  */
	$"20D4 ABF6 F7F8 F9FA AC20 FBFC 20FD FEFF"            /*  ԫ   */
	$"D1B1 2020 2088 8789 8B8A 8C8D 8F8E 9091"            /* ѱ    */
	$"93AE 92BB 9495 2096 20AF CEBC 9897 999B"            /*   μ */
	$"9ABE 9D9C 9EF5 9F20 20BF CFA7 20D8 2020"            /*   ϧ    */
	// from Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"8586 8789 9196 9AD6 D5D7 D9D8 DADB DDDC"            /*  */
	$"DEDF E2E0 E4E5 E7ED ECEE F0EF F3F2 F4F6"            /*  */
	$"B220 A2A3 A7B7 B6FB B0A0 20C2 C820 E1E9"            /*     */
	$"20D1 2020 A59D 2020 2020 20E3 EB20 F1F9"            /*           */
	$"BFA1 BE20 A620 20AB BBBC 8081 8495 EAFA"            /*     */
	$"B1D0 AABA C120 9F20 FD20 A4A8 ACAD AEAF"            /* Ъ    */
	$"B3B4 B8B9 BD83 8A82 8B88 8D8E 8F8C 9394"            /*  */
	$"2092 9899 97F5 C3C4 C5C6 C7CA CBCD CECF"            /*   */
};

data 'taBL' (142, "DEC Multinational") {
	// to Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"8081 8283 8485 8687 8889 8A8B 8C8D 8E8F"            /*  */
	$"9091 9293 9495 9697 9899 9A9B 9C9D 9E9F"            /*  */
	$"A0C1 A2A3 A4B4 A6A4 DBA9 BBC7 ACAD AEAF"            /* ۩Ǭ */
	$"A1B1 B2B3 B4B5 A6E1 B8F5 BCC8 BCBD BEC0"            /* ȼ */
	$"CBE7 E5CC 8081 AE82 E983 E6E8 EDEA EBEC"            /* ̀ */
	$"D084 F1EE EFCD 85CE AFF4 F2F3 86D9 DEA7"            /* Єͅίާ */
	$"8887 898B 8A8C BE8D 8F8E 9091 9392 9495"            /*  */
	$"F096 9897 999B 9ACF BF9D 9C9E 9FD8 FEFF"            /* 𖘗Ͽ */
	// from Mac Roman
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"C4C5 C7C9 D1D6 DCE1 E0E2 E4E3 E5E7 E9E8"            /*  */
	$"EAEB EDEC EEEF F1F3 F2F4 F6F5 FAF9 FBFC"            /*  */
	$"20B0 A2A3 A720 B6DF 20A9 2020 2020 C6D8"            /*         */
	$"20B1 2020 A5B5 2020 2020 20AA BA20 E6F8"            /*           */
	$"BFA1 2020 2020 20AB BB20 20C0 C3D5 D7F7"            /*         */
	$"2020 2020 2020 2020 FDDD 20A8 2020 2020"            /*               */
	$"20B7 2020 20C2 CAC1 CBC8 CDCE CFCC D3D4"            /*      */
	$"20D2 DADB D9B9 2020 2020 2020 2020 2020"            /*  ٹ           */
};

data 'TMPL' (128, "PRCT", purgeable) {
	$"052A 2A2A 2A2A 4C53 5442 0641 2052 6563"            /* .*****LSTB.A Rec */
	$"7452 4543 5405 2A2A 2A2A 2A4C 5354 45"              /* tRECT.*****LSTE */
};

data 'TMPL' (129, "TLOC", purgeable) {
	$"0756 6572 7369 6F6E 4457 5244 1D54 6578"            /* .VersionDWRD.Tex */
	$"7420 5265 6164 7320 4672 6F6D 2052 6967"            /* t Reads From Rig */
	$"6874 2054 6F20 4C65 6674 4242 4954 1D54"            /* ht To LeftBBIT.T */
	$"6578 7420 5265 6164 7320 4672 6F6D 2042"            /* ext Reads From B */
	$"6F74 746F 6D20 546F 2054 6F70 4242 4954"            /* ottom To TopBBIT */
	$"1A55 6E69 7473 2047 6F20 4265 666F 7265"            /* .Units Go Before */
	$"2051 7561 6E74 6974 6965 7342 4249 5408"            /*  QuantitiesBBIT. */
	$"5265 7365 7276 6564 4242 4954 0852 6573"            /* ReservedBBIT.Res */
	$"6572 7665 6442 4249 5408 5265 7365 7276"            /* ervedBBIT.Reserv */
	$"6564 4242 4954 0852 6573 6572 7665 6442"            /* edBBIT.ReservedB */
	$"4249 5408 5265 7365 7276 6564 4242 4954"            /* BIT.ReservedBBIT */
};

data 'TRSL' (256, "No Translation", preload) {
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"8081 8283 8485 8687 8889 8A8B 8C8D 8E8F"            /*  */
	$"9091 9293 9495 9697 9899 9A9B 9C9D 9E9F"            /*  */
	$"A0A1 A2A3 A4A5 A6A7 A8A9 AAAB ACAD AEAF"            /*  */
	$"B0B1 B2B3 B4B5 B6B7 B8B9 BABB BCBD BEBF"            /*  */
	$"C0C1 C2C3 C4C5 C6C7 C8C9 CACB CCCD CECF"            /*  */
	$"D0D1 D2D3 D4D5 D6D7 D8D9 DADB DCDD DEDF"            /*  */
	$"E0E1 E2E3 E4E5 E6E7 E8E9 EAEB ECED EEEF"            /*  */
	$"F0F1 F2F3 F4F5 F6F7 F8F9 FAFB FCFD FEFF"            /*  */
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"8081 8283 8485 8687 8889 8A8B 8C8D 8E8F"            /*  */
	$"9091 9293 9495 9697 9899 9A9B 9C9D 9E9F"            /*  */
	$"A0A1 A2A3 A4A5 A6A7 A8A9 AAAB ACAD AEAF"            /*  */
	$"B0B1 B2B3 B4B5 B6B7 B8B9 BABB BCBD BEBF"            /*  */
	$"C0C1 C2C3 C4C5 C6C7 C8C9 CACB CCCD CECF"            /*  */
	$"D0D1 D2D3 D4D5 D6D7 D8D9 DADB DCDD DEDF"            /*  */
	$"E0E1 E2E3 E4E5 E6E7 E8E9 EAEB ECED EEEF"            /*  */
	$"F0F1 F2F3 F4F5 F6F7 F8F9 FAFB FCFD FEFF"            /*  */
};

data 'TRSL' (257, "FTP ISO->MAC & MAC->ISO", preload) {
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"A5AA ADB0 B3B7 BABD C3C5 C9D1 D4D9 DAB6"            /* ڶ */
	$"C6CE E2E3 E4F0 F6F7 F9FA FBFD FEFF F5C4"            /*  */
	$"CAC1 A2A3 DBB4 CFA4 ACA9 BBC7 C2D0 A8F8"            /* ۴ϤШ */
	$"A1B1 D3D2 ABB5 A6E1 FCD5 BCC8 B9B8 B2C0"            /* ҫռȹ */
	$"CBE7 E5CC 8081 AE82 E983 E6E8 EDEA EBEC"            /* ̀ */
	$"DC84 F1EE EFCD 85D7 AFF4 F2F3 86A0 DEA7"            /* ܄ͅׯާ */
	$"8887 898B 8A8C BE8D 8F8E 9091 9392 9495"            /*  */
	$"DD96 9897 999B 9AD6 BF9D 9C9E 9FE0 DFD8"            /* ݖֿ */
	$"0001 0203 0405 0607 0809 0A0B 0C0D 0E0F"            /* .............. */
	$"1011 1213 1415 1617 1819 1A1B 1C1D 1E1F"            /* ................ */
	$"2021 2223 2425 2627 2829 2A2B 2C2D 2E2F"            /*  !"#$%&'()*+,-./ */
	$"3031 3233 3435 3637 3839 3A3B 3C3D 3E3F"            /* 0123456789:;<=>? */
	$"4041 4243 4445 4647 4849 4A4B 4C4D 4E4F"            /* @ABCDEFGHIJKLMNO */
	$"5051 5253 5455 5657 5859 5A5B 5C5D 5E5F"            /* PQRSTUVWXYZ[\]^_ */
	$"6061 6263 6465 6667 6869 6A6B 6C6D 6E6F"            /* `abcdefghijklmno */
	$"7071 7273 7475 7677 7879 7A7B 7C7D 7E7F"            /* pqrstuvwxyz{|}~. */
	$"C4C5 C7C9 D1D6 DCE1 E0E2 E4E3 E5E7 E9E8"            /*  */
	$"EAEB EDEC EEEF F1F3 F2F4 F6F5 FAF9 FBFC"            /*  */
	$"DDB0 A2A3 A780 B6DF AEA9 81B4 A882 C6D8"            /* ݰ߮ */
	$"83B1 BE84 A5B5 8F85 BDBC 86AA BA87 E6F8"            /*  */
	$"BFA1 AC88 9F89 90AB BB8A A0C0 C3D5 91A6"            /* Ց */
	$"AD8B B3B2 8CB9 F7D7 FF8D 8EA4 D0F0 DEFE"            /*  */
	$"FDB7 9293 94C2 CAC1 CBC8 CDCE CFCC D3D4"            /*  */
	$"95D2 DADB D99E 9697 AF98 999A B89B 9C9D"            /* ٞ */
};
