/*
**************************************************************************
	TelnetAE.r
	
	MacTelnet 3.0
	 1998-2001 by Kevin Grant
	
	This file defines scripting-related resources, such as Telnets
	Dictionary.  Note that Element arrays should match the same forms
	supported in "GetObjectAE.c".
**************************************************************************
*/

#include "AEObjects.r"
#include "AERegistry.r"
#include "AEUserTermTypes.r"
#include "AppleEvents.r"
#include "ASRegistry.r"
#include "Script.r"
#include "TelnetDictionaryText.h"
#include "TelnetMenuItemNames.h"
#include "TelnetMiscellaneousText.h"
#include "TelnetVersion.h"
#include "Terminology.h"

// conveniences for commonly-needed constructs
#define __THREE_Reserved__		reserved, reserved, reserved
#define __FOUR_Reserved__		reserved, reserved, reserved, reserved
#define __FIVE_Reserved__		reserved, reserved, reserved, reserved, reserved
#define __SIX_Reserved__		reserved, reserved, reserved, reserved, reserved, reserved
#define __SEVEN_Reserved__		reserved, reserved, reserved, reserved, reserved, reserved, reserved
#define __EIGHT_Reserved__		reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved
#define __TWELVE_Reserved__		reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved
#define __NO_DIRECT_PARAMETER__	noDirectParam, "", directParamOptional, singleItem, notEnumerated, changesState, __TWELVE_Reserved__
#define __NO_REPLY__			noReply, "", replyOptional, singleItem, notEnumerated, notTightBindingFunction, __TWELVE_Reserved__
#define thePluralVersion "",{"",kAESpecialClassProperties,cType,"",reserved,singleItem,notEnumerated,readOnly,__EIGHT_Reserved__,noApostrophe,notFeminine,notMasculine,plural},{}



/*
scripting user terminology resources
*/

#define USER_TERMINOLOGY_SCRIPT_ID		MAC_OS_REGION
resource kAETerminologyExtension (USER_TERMINOLOGY_SCRIPT_ID, purgeable)
{
	1,	// major version
	0,	// minor version
	english,
	USER_TERMINOLOGY_SCRIPT_ID,
	{
		// SUITE 1 ######################################################
		// Dont put anything here; this just lists the Required Suite in
		// MacTelnets Dictionary, indicating that all the Required event
		// classes are implemented.
		""/* let AppleScript provide a name */, SUITE_DESCRIPTION_REQUIRED,
		kAERequiredSuite,
		1, // level
		1, // version
		{ // array Events
		},
		{ // array Classes
		},
		{ // array ComparisonOps
		},
		{ // array Enumerations
		},
		
		// SUITE 2 ######################################################
		SUITE_NAME_STANDARD, SUITE_DESCRIPTION_STANDARD,
		kTelnetPartialAECoreSuite,
		1, // level
		1, // version
		{ // array Events
			// 1
			EVENT_NAME_CLOSE, EVENT_DESCRIPTION_CLOSE,
			kAECoreSuite,
			kAEClose,
			__NO_REPLY__,
			kTelnetPartialCoreParmTypeCloseDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_CLOSE,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsReference,
				notDirectParamIsTarget,
				__EIGHT_Reserved__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_CLOSE_SAVING_IN,
				kTelnetPartialCoreParameterKeyCloseSavingInFile,
				kTelnetPartialCoreParmTypeCloseSavingInFile,
				EVENT_PARAM_DESCRIPTION_CLOSE_SAVING_IN,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_RESERVED__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			},
			
			// 2
			EVENT_NAME_COUNT, EVENT_DESCRIPTION_COUNT,
			kAECoreSuite,
			kAECountElements,
			kTelnetPartialCoreReturnTypeCountElements,
			EVENT_RESULT_DESCRIPTION_COUNT,
				replyRequired,
				singleItem,
				notEnumerated,
				notTightBindingFunction,
				enumsAreConstants,
				enumListCanRepeat,
				replyIsValue,
				__FIVE_RESERVED__,
				verbEvent,
				__THREE_RESERVED__,
			kTelnetPartialCoreParmTypeCountElementsDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_COUNT,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsReference,
				notDirectParamIsTarget,
				__EIGHT_Reserved__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_COUNT_EACH,
				kTelnetPartialCoreParameterKeyCountElementsEach,
				kTelnetPartialCoreParmTypeCountElementsEach,
				EVENT_PARAM_DESCRIPTION_COUNT_EACH,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_RESERVED__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			},
			
			// 2
			EVENT_NAME_DATASIZE, EVENT_DESCRIPTION_DATASIZE,
			kAECoreSuite,
			kAEGetDataSize,
			kTelnetPartialCoreReturnTypeGetDataSize,
			EVENT_RESULT_DESCRIPTION_DATASIZE,
				replyRequired,
				singleItem,
				notEnumerated,
				notTightBindingFunction,
				enumsAreConstants,
				enumListCanRepeat,
				replyIsValue,
				__FIVE_RESERVED__,
				verbEvent,
				__THREE_RESERVED__,
			kTelnetPartialCoreParmTypeGetDataSizeDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_DATASIZE,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsReference,
				notDirectParamIsTarget,
				__EIGHT_Reserved__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_DATASIZE_AS,
				kTelnetPartialCoreParameterKeyGetDataSizeAs,
				kTelnetPartialCoreParmTypeGetDataSizeAs,
				EVENT_PARAM_DESCRIPTION_DATASIZE_AS,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_RESERVED__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			},
			
			// 3
			EVENT_NAME_DELETE, EVENT_DESCRIPTION_DELETE,
			kAECoreSuite,
			kAEDelete,
			__NO_REPLY__,
			kTelnetPartialCoreParmTypeDeleteDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_DELETE,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsReference,
				notDirectParamIsTarget,
				__EIGHT_Reserved__,
			{ // array OtherParams
			},
			
			// 4
			EVENT_NAME_DUPLICATE, EVENT_DESCRIPTION_DUPLICATE,
			kAECoreSuite,
			kAEClone,
			kTelnetPartialCoreReturnTypeDuplicate,
			EVENT_RESULT_DESCRIPTION_DUPLICATE,
				replyRequired,
				singleItem,
				notEnumerated,
				notTightBindingFunction,
				enumsAreConstants,
				enumListCanRepeat,
				replyIsReference,
				__FIVE_RESERVED__,
				verbEvent,
				__THREE_RESERVED__,
			kTelnetPartialCoreParmTypeDuplicateDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_DUPLICATE,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsReference,
				notDirectParamIsTarget,
				__EIGHT_RESERVED__,
			{ // array OtherParams
			},
			
			// 5
			EVENT_NAME_EXISTS, EVENT_DESCRIPTION_EXISTS,
			kAECoreSuite,
			kAEDoObjectsExist,
			kTelnetPartialCoreReturnTypeExists,
			EVENT_RESULT_DESCRIPTION_EXISTS,
				replyRequired,
				singleItem,
				notEnumerated,
				notTightBindingFunction,
				enumsAreConstants,
				enumListCanRepeat,
				replyIsValue,
				__FIVE_RESERVED__,
				verbEvent,
				__THREE_RESERVED__,
			kTelnetPartialCoreParmTypeExistsDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_EXISTS,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsReference,
				notDirectParamIsTarget,
				__EIGHT_Reserved__,
			{ // array OtherParams
			},
			
			// 6
			EVENT_NAME_GET, EVENT_DESCRIPTION_GET,
			kAECoreSuite,
			kAEGetData,
			kTelnetPartialCoreReturnTypeGetData,
			EVENT_RESULT_DESCRIPTION_GET,
				replyRequired,
				singleItem,
				notEnumerated,
				notTightBindingFunction,
				enumsAreConstants,
				enumListCanRepeat,
				replyIsValue,
				__FIVE_RESERVED__,
				verbEvent,
				__THREE_RESERVED__,
			kTelnetPartialCoreParmTypeGetDataDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_GET,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsReference,
				notDirectParamIsTarget,
				__EIGHT_Reserved__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_GET_AS,
				kTelnetPartialCoreParameterKeyGetDataAs,
				kTelnetPartialCoreParmTypeGetDataAs,
				EVENT_PARAM_DESCRIPTION_GET_AS,
					optional,
					listOfItems,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_RESERVED__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			},
			
			// 7
			EVENT_NAME_MAKE, EVENT_DESCRIPTION_MAKE,
			kAECoreSuite,
			kAECreateElement,
			kTelnetPartialCoreReturnTypeCreateElement,
			EVENT_RESULT_DESCRIPTION_MAKE,
				replyRequired,
				singleItem,
				notEnumerated,
				notTightBindingFunction,
				enumsAreConstants,
				enumListCanRepeat,
				replyIsReference,
				__FIVE_Reserved__,
				verbEvent,
				__THREE_Reserved__,
			__NO_DIRECT_PARAMETER__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_MAKE_NEW,
				kTelnetPartialCoreParameterKeyCreateElementNew,
				kTelnetPartialCoreParmTypeCreateElementNew,
				EVENT_PARAM_DESCRIPTION_MAKE_NEW,
					required,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				EVENT_PARAM_NAME_MAKE_WITH_PROPERTIES,
				kTelnetPartialCoreParameterKeyCreateElementProperties,
				kTelnetPartialCoreParmTypeCreateElementProperties,
				EVENT_PARAM_DESCRIPTION_MAKE_WITH_PROPERTIES,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			},
			
			// 8
			EVENT_NAME_PRINT, EVENT_DESCRIPTION_PRINT,
			kAECoreSuite,
			kAEPrint,
			__NO_REPLY__,
			kTelnetPartialCoreParmTypePrintDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_PRINT,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsValue,
				notDirectParamIsTarget,
				__EIGHT_RESERVED__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_PRINT_COPIES,
				kTelnetPartialCoreParameterKeyPrintCopies,
				kTelnetPartialCoreParmTypePrintCopies,
				EVENT_PARAM_DESCRIPTION_PRINT_COPIES,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			},
			
			// 9
			EVENT_NAME_SET, EVENT_DESCRIPTION_SET,
			kAECoreSuite,
			kAESetData,
			__NO_REPLY__,
			kTelnetPartialCoreParmTypeSetDataDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_SET,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsValue,
				notDirectParamIsTarget,
				__EIGHT_RESERVED__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_SET_TO,
				kTelnetPartialCoreParameterKeySetDataTo,
				kTelnetPartialCoreParmTypeSetDataTo,
				EVENT_PARAM_DESCRIPTION_SET_TO,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			}
		},
		{ // array Classes
			// 1
			CLASS_NAME_APPLICATION, kTelnetClassApplication,
			CLASS_DESCRIPTION_APPLICATION,
			{ // array Properties,
				// 1
				PROPERTY_NAME_APPLICATION_ACTIVE_MACRO_SET,
				kTelnetPropertyActiveMacroSet,
				kTelnetPTypActiveMacroSet,
				PROPERTY_DESCRIPTION_APPLICATION_ACTIVE_MACRO_SET,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsReference,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				PROPERTY_NAME_APPLICATION_CLIPBOARD,
				kTelnetPropertyClipboard,
				kTelnetPTypClipboard,
				PROPERTY_DESCRIPTION_APPLICATION_CLIPBOARD,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsReference,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				PROPERTY_NAME_APPLICATION_CURRENT_IP_ADDRESS,
				kTelnetPropertyIPAddress,
				kTelnetPTypIPAddress,
				PROPERTY_DESCRIPTION_APPLICATION_CURRENT_IP_ADDRESS,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 4
				PROPERTY_NAME_APPLICATION_FRONTMOST,
				kTelnetPropertyIsFrontmost,
				kTelnetPTypIsFrontmost,
				PROPERTY_DESCRIPTION_APPLICATION_FRONTMOST,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 5
				PROPERTY_NAME_APPLICATION_PREFERENCES,
				kTelnetPropertyPreferences,
				kTelnetPTypPreferences,
				PROPERTY_DESCRIPTION_APPLICATION_PREFERENCES,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsReference,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 6
				PROPERTY_NAME_APPLICATION_NAME,
				kTelnetPropertyProgramName,
				kTelnetPTypProgramName,
				PROPERTY_DESCRIPTION_APPLICATION_NAME,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 7
				PROPERTY_NAME_APPLICATION_SCRIPTS_MENU_ITEMS_FOLDER,
				kTelnetPropertyFolderScriptsMenuItems,
				kTelnetPTypFolderScriptsMenuItems,
				PROPERTY_DESCRIPTION_APPLICATION_SCRIPTS_MENU_ITEMS_FOLDER,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 8
				PROPERTY_NAME_APPLICATION_STARTUP_ITEMS_FOLDER,
				kTelnetPropertyFolderStartupItems,
				kTelnetPTypFolderStartupItems,
				PROPERTY_DESCRIPTION_APPLICATION_STARTUP_ITEMS_FOLDER,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 9
				PROPERTY_NAME_APPLICATION_VERSION,
				kTelnetPropertyProgramVersion,
				kTelnetPTypProgramVersion,
				PROPERTY_DESCRIPTION_APPLICATION_VERSION,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
				// 1
				kTelnetClassWindow,
				{
					formAbsolutePosition,
					formRelativePosition,
					formName,
					formRange,
					formTest
				},
				
				// 2
				kTelnetClassTerminalWindow,
				{
					formAbsolutePosition,
					formRelativePosition,
					formName,
					formRange,
					formTest
				},
				
				// 3
				kTelnetClassClipboardWindow,
				{
					formAbsolutePosition,
					formName
				},
				
				// 4
				kTelnetClassSession,
				{
					formAbsolutePosition,
					formRelativePosition,
					formName,
					formRange,
					formTest
				},
				
				// 5
				kTelnetClassConnection,
				{
					formAbsolutePosition,
					formRelativePosition,
					formName,
					formRange,
					formTest
				},
				
				// 6
				kTelnetClassMacroSet,
				{
					formAbsolutePosition,
					formName,
					formTest
				},
				
				// 7
				kTelnetClassProxyServerConfiguration,
				{
					formName,
					formTest
				}
			},
			CLASS_PLURAL_APPLICATION, kTelnetClassApplication,
			thePluralVersion,
			
			// 2
			CLASS_NAME_WINDOW, kTelnetClassWindow,
			CLASS_DESCRIPTION_WINDOW,
			{ // array Properties
				// 1
				PROPERTY_NAME_WINDOW_BOUNDS,
				kTelnetPropertyWindowBounds,
				kTelnetPTypWindowBounds,
				PROPERTY_DESCRIPTION_WINDOW_BOUNDS,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				PROPERTY_NAME_WINDOW_CLOSEABLE,
				kTelnetPropertyWindowHasCloseBox,
				kTelnetPTypWindowHasCloseBox,
				PROPERTY_DESCRIPTION_WINDOW_CLOSEABLE,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				PROPERTY_NAME_WINDOW_COLLAPSED,
				kTelnetPropertyWindowIsCollapsed,
				kTelnetPTypWindowIsCollapsed,
				PROPERTY_DESCRIPTION_WINDOW_COLLAPSED,
					reserved,
					singleItem,
					enumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 4
				PROPERTY_NAME_WINDOW_COLLAPSIBLE,
				kTelnetPropertyWindowHasCollapseBox,
				kTelnetPTypWindowHasCollapseBox,
				PROPERTY_DESCRIPTION_WINDOW_COLLAPSIBLE,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 5
				PROPERTY_NAME_WINDOW_FLOATING,
				kTelnetPropertyWindowIsFloating,
				kTelnetPTypWindowIsFloating,
				PROPERTY_DESCRIPTION_WINDOW_FLOATING,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 6
				PROPERTY_NAME_WINDOW_INDEX,
				kTelnetPropertyWindowIndexInWindowList,
				kTelnetPTypWindowIndexInWindowList,
				PROPERTY_DESCRIPTION_WINDOW_INDEX,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 7
				PROPERTY_NAME_WINDOW_MODAL,
				kTelnetPropertyWindowIsModal,
				kTelnetPTypWindowIsModal,
				PROPERTY_DESCRIPTION_WINDOW_MODAL,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 8
				PROPERTY_NAME_WINDOW_NAME,
				kTelnetPropertyWindowName,
				kTelnetPTypWindowName,
				PROPERTY_DESCRIPTION_WINDOW_NAME,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 9
				PROPERTY_NAME_WINDOW_OBSCURED,
				kTelnetPropertyWindowHidden,
				kTelnetPTypWindowHidden,
				PROPERTY_DESCRIPTION_WINDOW_OBSCURED,
					reserved,
					singleItem,
					enumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 10
				PROPERTY_NAME_WINDOW_POSITION,
				kTelnetPropertyWindowPosition,
				kTelnetPTypWindowPosition,
				PROPERTY_DESCRIPTION_WINDOW_POSITION,
					reserved,
					singleItem,
					enumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 11
				PROPERTY_NAME_WINDOW_RESIZEABLE,
				kTelnetPropertyWindowIsResizeable,
				kTelnetPTypWindowIsResizeable,
				PROPERTY_DESCRIPTION_WINDOW_RESIZEABLE,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 12
				PROPERTY_NAME_WINDOW_TITLE_BAR,
				kTelnetPropertyWindowHasTitleBar,
				kTelnetPTypWindowHasTitleBar,
				PROPERTY_DESCRIPTION_WINDOW_TITLE_BAR,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 13
				PROPERTY_NAME_WINDOW_VISIBLE,
				kTelnetPropertyWindowIsVisible,
				kTelnetPTypWindowIsVisible,
				PROPERTY_DESCRIPTION_WINDOW_VISIBLE,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 14
				PROPERTY_NAME_WINDOW_ZOOMABLE,
				kTelnetPropertyWindowIsZoomable,
				kTelnetPTypWindowIsZoomable,
				PROPERTY_DESCRIPTION_WINDOW_ZOOMABLE,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 15
				PROPERTY_NAME_WINDOW_ZOOMED,
				kTelnetPropertyWindowIsZoomed,
				kTelnetPTypWindowIsZoomed,
				PROPERTY_DESCRIPTION_WINDOW_ZOOMED,
					reserved,
					singleItem,
					enumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
			},
			CLASS_PLURAL_WINDOW, kTelnetClassWindow,
			thePluralVersion
		},
		{ // array ComparisonOps
		},
		{ // array Enumerations
		},
		
		// SUITE 3 ######################################################
		SUITE_NAME_URL, SUITE_DESCRIPTION_URL,
		kStandardURLEventClass,
		1, // level
		1, // version
		{ // array Events
			// 1
			EVENT_NAME_HANDLE_URL, EVENT_DESCRIPTION_HANDLE_URL,
			kStandardURLEventClass,
			kStandardURLEventIDGetURL,
			kStandardURLReturnTypeGetURL,
			EVENT_RESULT_DESCRIPTION_HANDLE_URL,
				replyOptional,
				singleItem,
				notEnumerated,
				notTightBindingFunction,
				enumsAreConstants,
				enumListCanRepeat,
				replyIsValue,
				__FIVE_Reserved__,
				verbEvent,
				__THREE_Reserved__,
			kStandardURLParmTypeGetURLDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_HANDLE_URL,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsValue,
				notDirectParamIsTarget,
				__EIGHT_RESERVED__,
			{ // array OtherParams
			}
		},
		{ // array Classes
		},
		{ // array ComparisonOps
		},
		{ // array Enumerations
		},
		
		// SUITE 4 ######################################################
		SUITE_NAME_APPLICATION, SUITE_DESCRIPTION_APPLICATION,
		kTelnetEventClass,
		1, // level
		1, // version
		{ // array Events
			// 1
			EVENT_NAME_NEW_CONNECTION, EVENT_DESCRIPTION_NEW_CONNECTION,
			kTelnetEventClass,
			kTelnetEventIDConnectionOpen,
			kTelnetReturnTypeConnectionOpen,
			EVENT_RESULT_DESCRIPTION_NEW_CONNECTION,
				replyOptional,
				singleItem,
				notEnumerated,
				notTightBindingFunction,
				enumsAreConstants,
				enumListCanRepeat,
				replyIsReference,
				__FIVE_Reserved__,
				verbEvent,
				__THREE_Reserved__,
			__NO_DIRECT_PARAMETER__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_NEW_CONNECTION_TO,
				kTelnetParameterKeyConnectionOpenHost,
				kTelnetParmTypeConnectionOpenHost,
				EVENT_PARAM_DESCRIPTION_NEW_CONNECTION_TO,
					required,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				EVENT_PARAM_NAME_NEW_CONNECTION_TITLE,
				kTelnetParameterKeyConnectionOpenWindowTitle,
				kTelnetParmTypeConnectionOpenWindowTitle,
				EVENT_PARAM_DESCRIPTION_NEW_CONNECTION_TITLE,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				EVENT_PARAM_NAME_NEW_CONNECTION_PORT,
				kTelnetParameterKeyConnectionOpenPortNumber,
				kTelnetParmTypeConnectionOpenPortNumber,
				EVENT_PARAM_DESCRIPTION_NEW_CONNECTION_PORT,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 4
				EVENT_PARAM_NAME_NEW_CONNECTION_PROTOCOL,
				kTelnetParameterKeyConnectionOpenProtocol,
				kTelnetParmTypeConnectionOpenProtocol,
				EVENT_PARAM_DESCRIPTION_NEW_CONNECTION_PROTOCOL,
					optional,
					singleItem,
					enumerated,
					reserved,
					enumsAreConstants,
					enumListIsExclusive,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 5
				EVENT_PARAM_NAME_NEW_CONNECTION_WAITING,
				kTelnetParameterKeyConnectionOpenTimeoutInSeconds,
				kTelnetParmTypeConnectionOpenTimeoutInSeconds,
				EVENT_PARAM_DESCRIPTION_NEW_CONNECTION_WAITING,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsReference,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 6
				EVENT_PARAM_NAME_NEW_CONNECTION_PROXYSERVER,
				kTelnetParameterKeyConnectionOpenProxyServer,
				kTelnetParmTypeConnectionOpenProxyServer,
				EVENT_PARAM_DESCRIPTION_NEW_CONNECTION_PROXYSERVER,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsReference,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			},
			
			// 2
			EVENT_NAME_COPY_SELECTED_TEXT, EVENT_DESCRIPTION_COPY_SELECTED_TEXT,
			kTelnetEventClass,
			kTelnetEventIDCopyToClipboard,
			__NO_REPLY__,
			__NO_DIRECT_PARAMETER__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_COPY_SELECTED_TEXT_TABLE,
				kTelnetParameterKeyCopyToClipboardTable,
				kTelnetParmTypeCopyToClipboardTable,
				EVENT_PARAM_DESCRIPTION_COPY_SELECTED_TEXT_TABLE,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			},
			
			// 3
			EVENT_NAME_DISPLAY_ALERT, EVENT_DESCRIPTION_DISPLAY_ALERT,
			kTelnetEventClass,
			kTelnetEventIDAlert,
			kTelnetReturnTypeAlert,
			EVENT_RESULT_DESCRIPTION_DISPLAY_ALERT,
				replyOptional,
				singleItem,
				enumerated,
				notTightBindingFunction,
				enumsAreConstants,
				enumListCanRepeat,
				replyIsValue,
				__FIVE_Reserved__,
				verbEvent,
				__THREE_Reserved__,
			kTelnetParmTypeAlertDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_DISPLAY_ALERT,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsValue,
				notDirectParamIsTarget,
				__EIGHT_RESERVED__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_DISPLAY_ALERT_SOUND,
				kTelnetParameterKeyAlertBeeps,
				kTelnetParmTypeAlertBeeps,
				EVENT_PARAM_DESCRIPTION_DISPLAY_ALERT_SOUND,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				EVENT_PARAM_NAME_DISPLAY_ALERT_BUTTONS,
				kTelnetParameterKeyAlertButtons,
				kTelnetParmTypeAlertButtons,
				EVENT_PARAM_DESCRIPTION_DISPLAY_ALERT_BUTTONS,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				EVENT_PARAM_NAME_DISPLAY_ALERT_BUTTON_KEYS,
				kTelnetParameterKeyAlertButtonKeys,
				kTelnetParmTypeAlertButtonKeys,
				EVENT_PARAM_DESCRIPTION_DISPLAY_ALERT_BUTTON_KEYS,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 4
				EVENT_PARAM_NAME_DISPLAY_ALERT_GIVING_UP,
				kTelnetParameterKeyAlertGivingUpAfter,
				kTelnetParmTypeAlertGivingUpAfter,
				EVENT_PARAM_DESCRIPTION_DISPLAY_ALERT_GIVING_UP,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 5
				EVENT_PARAM_NAME_DISPLAY_ALERT_HELP_BUTTON,
				kTelnetParameterKeyAlertHasHelpButton,
				kTelnetParmTypeAlertHasHelpButton,
				EVENT_PARAM_DESCRIPTION_DISPLAY_ALERT_HELP_BUTTON,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 6
				EVENT_PARAM_NAME_DISPLAY_ALERT_HELP_TEXT,
				kTelnetParameterKeyAlertHelpText,
				kTelnetParmTypeAlertHelpText,
				EVENT_PARAM_DESCRIPTION_DISPLAY_ALERT_HELP_TEXT,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 7
				EVENT_PARAM_NAME_DISPLAY_ALERT_WITH_TITLE,
				kTelnetParameterKeyAlertTitle,
				kTelnetParmTypeAlertTitle,
				EVENT_PARAM_DESCRIPTION_DISPLAY_ALERT_WITH_TITLE,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 8
				EVENT_PARAM_NAME_DISPLAY_ALERT_DISRUPTION,
				kTelnetParameterKeyAlertDisruptsNetwork,
				kTelnetParmTypeAlertDisruptsNetwork,
				EVENT_PARAM_DESCRIPTION_DISPLAY_ALERT_DISRUPTION,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 9
				EVENT_PARAM_NAME_DISPLAY_ALERT_SPEECH,
				kTelnetParameterKeyAlertSpeech,
				kTelnetParmTypeAlertSpeech,
				EVENT_PARAM_DESCRIPTION_DISPLAY_ALERT_SPEECH,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 10
				EVENT_PARAM_NAME_DISPLAY_ALERT_TITLE_BAR,
				kTelnetParameterKeyAlertHasTitleBar,
				kTelnetParmTypeAlertHasTitleBar,
				EVENT_PARAM_DESCRIPTION_DISPLAY_ALERT_TITLE_BAR,
					optional,
					singleItem,
					enumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 11
				EVENT_PARAM_NAME_DISPLAY_ALERT_WITH_ICON,
				kTelnetParameterKeyAlertIcon,
				kTelnetParmTypeAlertIcon,
				EVENT_PARAM_DESCRIPTION_DISPLAY_ALERT_WITH_ICON,
					optional,
					singleItem,
					enumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					notParamIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			},
			
			// 4
			"????", "????",
			kTelnetEventClass,
			'?!?!',
			__NO_REPLY__,
			__NO_DIRECT_PARAMETER__,
			{ // array OtherParams
			},
			
			// 5
			EVENT_NAME_FIND_FILES, EVENT_DESCRIPTION_FIND_FILES,
			kTelnetEventClass,
			kTelnetEventIDLaunchFind,
			__NO_REPLY__,
			__NO_DIRECT_PARAMETER__,
			{ // array OtherParams
			},
			
			// 6
			EVENT_NAME_SEND_DATA, EVENT_DESCRIPTION_SEND_DATA,
			kTelnetEventClass,
			kTelnetEventIDDataSend,
			__NO_REPLY__,
			kTelnetParmTypeDataSendDirect,
			EVENT_DIRECT_PARAM_DESCRIPTION_SEND_DATA,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsValue,
				notDirectParamIsTarget,
				__EIGHT_RESERVED__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_SEND_DATA_TO,
				kTelnetParameterKeyDataSendToConnection,
				kTelnetParmTypeDataSendToConnection,
				EVENT_PARAM_DESCRIPTION_SEND_DATA_TO,
					required,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsReference,
					paramIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				EVENT_PARAM_NAME_SEND_TIMEOUT,
				kTelnetParameterKeyDataSendTimeoutInSeconds,
				kTelnetParmTypeDataSendTimeoutInSeconds,
				EVENT_PARAM_DESCRIPTION_SEND_TIMEOUT,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					paramIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				EVENT_PARAM_NAME_SEND_LOCAL_ECHO,
				kTelnetParameterKeyDataSendWithLocalEcho,
				kTelnetParmTypeDataSendWithLocalEcho,
				EVENT_PARAM_DESCRIPTION_SEND_LOCAL_ECHO,
					optional,
					singleItem,
					enumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					paramIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 4
				EVENT_PARAM_NAME_SEND_NEWLINE,
				kTelnetParameterKeyDataSendWithNewLine,
				kTelnetParmTypeDataSendWithNewLine,
				EVENT_PARAM_DESCRIPTION_SEND_NEWLINE,
					optional,
					singleItem,
					enumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					paramIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			},
			
			// 7
			EVENT_NAME_SEND_DATA, EVENT_DESCRIPTION_SEND_DATA,
			kTelnetEventClass,
			kTelnetEventIDDataSend,
			__NO_REPLY__,
			kTelnetParmTypeDataSendDirect2,
			EVENT_DIRECT_PARAM_DESCRIPTION_SEND_DATA2,
				directParamRequired,
				singleItem,
				notEnumerated,
				changesState,
				enumsAreConstants,
				enumListCanRepeat,
				directParamIsValue,
				notDirectParamIsTarget,
				__EIGHT_RESERVED__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_SEND_DATA_TO,
				kTelnetParameterKeyDataSendToConnection,
				kTelnetParmTypeDataSendToConnection,
				EVENT_PARAM_DESCRIPTION_SEND_DATA_TO,
					required,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsReference,
					paramIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				EVENT_PARAM_NAME_SEND_TIMEOUT,
				kTelnetParameterKeyDataSendTimeoutInSeconds,
				kTelnetParmTypeDataSendTimeoutInSeconds,
				EVENT_PARAM_DESCRIPTION_SEND_TIMEOUT,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					paramIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				EVENT_PARAM_NAME_SEND_LOCAL_ECHO,
				kTelnetParameterKeyDataSendWithLocalEcho,
				kTelnetParmTypeDataSendWithLocalEcho,
				EVENT_PARAM_DESCRIPTION_SEND_LOCAL_ECHO,
					optional,
					singleItem,
					enumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					paramIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 4
				EVENT_PARAM_NAME_SEND_NEWLINE,
				kTelnetParameterKeyDataSendWithNewLine,
				kTelnetParmTypeDataSendWithNewLine,
				EVENT_PARAM_DESCRIPTION_SEND_NEWLINE,
					optional,
					singleItem,
					enumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					paramIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			},
			
			// 8
			EVENT_NAME_WAIT, EVENT_DESCRIPTION_WAIT,
			kTelnetEventClass,
			kTelnetEventIDDataWait,
			__NO_REPLY__,
			__NO_DIRECT_PARAMETER__,
			{ // array OtherParams
				// 1
				EVENT_PARAM_NAME_WAIT_FOR,
				kTelnetParameterKeyDataWaitForWhat,
				kTelnetParmTypeDataWaitForWhat,
				EVENT_PARAM_DESCRIPTION_WAIT_FOR,
					required,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsReference,
					paramIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				EVENT_PARAM_NAME_WAIT_FROM,
				kTelnetParameterKeyDataWaitFromConnection,
				kTelnetParmTypeDataWaitFromConnection,
				EVENT_PARAM_DESCRIPTION_WAIT_FROM,
					required,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsReference,
					paramIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				EVENT_PARAM_NAME_WAIT_TIMEOUT,
				kTelnetParameterKeyDataWaitTimeoutInSeconds,
				kTelnetParmTypeDataWaitTimeoutInSeconds,
				EVENT_PARAM_DESCRIPTION_WAIT_TIMEOUT,
					optional,
					singleItem,
					notEnumerated,
					reserved,
					enumsAreConstants,
					enumListCanRepeat,
					paramIsValue,
					paramIsTarget,
					__FOUR_Reserved__,
					prepositionParam,
					notFeminine,
					notMasculine,
					singular
			}
		},
		{ // array Classes
			// 1
			CLASS_NAME_APPLICATIONPREFERENCES, kTelnetClassApplicationPreferences,
			CLASS_DESCRIPTION_APPLICATIONPREFERENCES,
			{ // array Properties
				// 1
				PROPERTY_NAME_APPLICATIONPREFERENCES_CURSORSHAPE,
				kTelnetPropertyApplicationPreferencesCursorShape,
				kTelnetPTypApplicationPreferencesCursorShape,
				PROPERTY_DESCRIPTION_APPLICATIONPREFERENCES_CURSORSHAPE,
					reserved,
					singleItem,
					enumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				PROPERTY_NAME_APPLICATIONPREFERENCES_SIMPLETELNET,
				kTelnetPropertyApplicationPreferencesSimpleTelnet,
				kTelnetPTypApplicationPreferencesSimpleTelnet,
				PROPERTY_DESCRIPTION_APPLICATIONPREFERENCES_SIMPLETELNET,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				PROPERTY_NAME_APPLICATIONPREFERENCES_VISUALBELL,
				kTelnetPropertyApplicationPreferencesVisualBell,
				kTelnetPTypApplicationPreferencesVisualBell,
				PROPERTY_DESCRIPTION_APPLICATIONPREFERENCES_VISUALBELL,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 4
				PROPERTY_NAME_APPLICATIONPREFERENCES_WINDOWSTACKINGORIGIN,
				kTelnetPropertyApplicationPreferencesWindowStackingOrigin,
				kTelnetPTypApplicationPreferencesWindowStackingOrigin,
				PROPERTY_DESCRIPTION_APPLICATIONPREFERENCES_WINDOWSTACKINGORIGIN,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
			},
			
			// 2
			CLASS_NAME_CLIPBOARDWINDOW, kTelnetClassClipboardWindow,
			CLASS_DESCRIPTION_CLIPBOARDWINDOW,
			{ // array Properties
				// 1
				PROPERTY_NAME_INHERITANCE,
				kAESpecialClassPropertiesParentType,
				kTelnetClassWindow,
				PROPERTY_DESCRIPTION_INHERITANCE_FROM_WINDOW,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsReference,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				PROPERTY_NAME_CLIPBOARDWINDOW_CONTENTS,
				kTelnetPropertyClipboardWindowContents,
				typeWildCard,
				PROPERTY_DESCRIPTION_CLIPBOARDWINDOW_CONTENTS,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
			},
			
			// 3
			CLASS_NAME_CONNECTION, kTelnetClassConnection,
			CLASS_DESCRIPTION_CONNECTION,
			{ // array Properties
				// 1
				PROPERTY_NAME_CONNECTION_NAMEORIPADDRESS,
				kTelnetPropertyConnectionLocationNameOrIPAddress,
				cStringClass,
				PROPERTY_DESCRIPTION_CONNECTION_NAMEORIPADDRESS,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				PROPERTY_NAME_CONNECTION_PORT,
				kTelnetPropertyConnectionLocationPortNumber,
				typeSInt16,
				PROPERTY_DESCRIPTION_CONNECTION_PORT,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				PROPERTY_NAME_CONNECTION_PROXY,
				kTelnetPropertyConnectionProxy,
				kTelnetClassProxyServerConfiguration,
				PROPERTY_DESCRIPTION_CONNECTION_PROXY,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsReference,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 4
				PROPERTY_NAME_CONNECTION_STATUS,
				kTelnetPropertyConnectionStatus,
				kTelnetEnumeratedClassConnectionStatus,
				PROPERTY_DESCRIPTION_CONNECTION_STATUS,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
			},
			CLASS_PLURAL_CONNECTION, kTelnetClassConnection,
			thePluralVersion,
			
			// 4
			CLASS_NAME_DIALOGREPLY, kTelnetClassDialogReply,
			CLASS_DESCRIPTION_DIALOGREPLY,
			{ // array Properties
				// 1
				PROPERTY_NAME_DIALOGREPLY_BUTTONRETURNED,
				kTelnetPropertyDialogReplyButtonReturned,
				cStringClass,
				PROPERTY_DESCRIPTION_DIALOGREPLY_BUTTONRETURNED,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				
				// 2
				PROPERTY_NAME_DIALOGREPLY_GAVEUP,
				kTelnetPropertyDialogReplyGaveUp,
				typeBoolean,
				PROPERTY_DESCRIPTION_DIALOGREPLY_GAVEUP,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
			},
			CLASS_PLURAL_DIALOGREPLY, kTelnetClassDialogReply,
			thePluralVersion,
			
			// 5
			CLASS_NAME_FILECAPTURE, kTelnetClassFileCapture,
			CLASS_DESCRIPTION_FILECAPTURE,
			{ // array Properties
				// 1
				PROPERTY_NAME_FILECAPTURE_CONNECTION,
				kTelnetPropertyFileCaptureConnection,
				kTelnetPTypFileCaptureConnection,
				PROPERTY_DESCRIPTION_FILECAPTURE_CONNECTION,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsReference,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				PROPERTY_NAME_FILECAPTURE_CREATOR,
				kTelnetPropertyFileCaptureCreator,
				kTelnetPTypFileCaptureCreator,
				PROPERTY_DESCRIPTION_FILECAPTURE_CREATOR,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				PROPERTY_NAME_FILECAPTURE_FILE,
				kTelnetPropertyFileCaptureFile,
				kTelnetPTypFileCaptureFile,
				PROPERTY_DESCRIPTION_FILECAPTURE_FILE,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 4
				PROPERTY_NAME_FILECAPTURE_STATUS,
				kTelnetPropertyFileCaptureStatus,
				kTelnetPTypFileCaptureStatus,
				PROPERTY_DESCRIPTION_FILECAPTURE_STATUS,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 5
				PROPERTY_NAME_FILECAPTURE_TEXT,
				kTelnetPropertyFileCaptureText,
				kTelnetPTypFileCaptureText,
				PROPERTY_DESCRIPTION_FILECAPTURE_TEXT,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
			},
			CLASS_PLURAL_FILECAPTURE, kTelnetClassFileCapture,
			thePluralVersion,
			
			// 6
			CLASS_NAME_MACRO, kTelnetClassMacro,
			CLASS_DESCRIPTION_MACRO,
			{ // array Properties
				// 1
				PROPERTY_NAME_MACRO_KEY_EQUIVALENT,
				kTelnetPropertyMacroKeyEquivalent,
				cKeystroke,
				PROPERTY_DESCRIPTION_MACRO_KEY_EQUIVALENT,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				PROPERTY_NAME_MACRO_TEXT_STRING,
				kTelnetPropertyMacroTextString,
				cStringClass,
				PROPERTY_DESCRIPTION_MACRO_TEXT_STRING,
					reserved,
					singleItem,
					enumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
			},
			CLASS_PLURAL_MACRO, kTelnetClassMacro,
			thePluralVersion,
			
			// 7
			CLASS_NAME_MACROSET, kTelnetClassMacroSet,
			CLASS_DESCRIPTION_MACROSET,
			{ // array Properties
				// 1
				PROPERTY_NAME_MACROSET_KEY_EQUIVALENTS,
				kTelnetPropertyMacroSetKeyEquivalents,
				kTelnetEnumeratedClassMacroSetKeyEquivalents,
				PROPERTY_DESCRIPTION_MACROSET_KEY_EQUIVALENTS,
					reserved,
					singleItem,
					enumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
				// 1
				kTelnetClassMacro,
				{
					formAbsolutePosition,
					formTest
				}
			},
			CLASS_PLURAL_MACROSET, kTelnetClassMacroSet,
			thePluralVersion,
			
			// 8
			CLASS_NAME_PROXYSERVER, kTelnetClassProxyServerConfiguration,
			CLASS_DESCRIPTION_PROXYSERVER,
			{ // array Properties
				// 1
				PROPERTY_NAME_PROXYSERVER_AUTHENTICATIONTYPE,
				kTelnetPropertyProxyServerAuthenticationType,
				kTelnetEnumeratedClassProxyServerAuthenticationType,
				PROPERTY_DESCRIPTION_PROXYSERVER_AUTHENTICATIONTYPE,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				PROPERTY_NAME_PROXYSERVER_METHOD,
				kTelnetPropertyProxyServerMethod,
				kTelnetEnumeratedClassProxyServerMethod,
				PROPERTY_DESCRIPTION_PROXYSERVER_METHOD,
					reserved,
					singleItem,
					enumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				PROPERTY_NAME_PROXYSERVER_NAMEORIPADDRESS,
				kTelnetPropertyProxyServerLocationNameOrIPAddress,
				cStringClass,
				PROPERTY_DESCRIPTION_PROXYSERVER_NAMEORIPADDRESS,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 4
				PROPERTY_NAME_PROXYSERVER_PORT,
				kTelnetPropertyProxyServerLocationPortNumber,
				typeSInt16,
				PROPERTY_DESCRIPTION_PROXYSERVER_PORT,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 5
				PROPERTY_NAME_PROXYSERVER_USERNAME,
				kTelnetPropertyProxyServerUserName,
				cStringClass,
				PROPERTY_DESCRIPTION_PROXYSERVER_USERNAME,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
			},
			CLASS_PLURAL_PROXYSERVER, kTelnetClassProxyServerConfiguration,
			thePluralVersion,
			
			// 9
			CLASS_NAME_SESSION, kTelnetClassSession,
			CLASS_DESCRIPTION_SESSION,
			{ // array Properties
				// 1
				PROPERTY_NAME_SESSION_CONNECTION,
				kTelnetPropertySessionConnection,
				kTelnetClassConnection,
				PROPERTY_DESCRIPTION_SESSION_CONNECTION,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsReference,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				PROPERTY_NAME_SESSION_WINDOW,
				kTelnetPropertySessionWindow,
				kTelnetClassWindow,
				PROPERTY_DESCRIPTION_SESSION_WINDOW,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsReference,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
			},
			CLASS_PLURAL_SESSION, kTelnetClassSession,
			thePluralVersion,
			
			// 10
			CLASS_NAME_TERMINALWINDOW, kTelnetClassTerminalWindow,
			CLASS_DESCRIPTION_TERMINALWINDOW,
			{ // array Properties
				// 1
				PROPERTY_NAME_INHERITANCE,
				kAESpecialClassPropertiesParentType,
				kTelnetClassWindow,
				PROPERTY_DESCRIPTION_INHERITANCE_FROM_WINDOW,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsReference,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 2
				PROPERTY_NAME_TERMINALWINDOW_COLUMNS,
				kTelnetPropertyTerminalWindowColumns,
				kTelnetPTypTerminalWindowColumns,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_COLUMNS,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 3
				PROPERTY_NAME_TERMINALWINDOW_ROWS,
				kTelnetPropertyTerminalWindowRows,
				kTelnetPTypTerminalWindowRows,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_ROWS,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 4
				PROPERTY_NAME_TERMINALWINDOW_SCROLLBACK,
				kTelnetPropertyTerminalWindowScrollBack,
				kTelnetPTypTerminalWindowScrollBack,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_SCROLLBACK,
					reserved,
					singleItem,
					notEnumerated,
					readOnly,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 5
				PROPERTY_NAME_TERMINALWINDOW_FONT,
				kTelnetPropertyTerminalWindowFontFamilyName,
				kTelnetPTypTerminalWindowFontFamilyName,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_FONT,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 6
				PROPERTY_NAME_TERMINALWINDOW_FONT_SIZE,
				kTelnetPropertyTerminalWindowFontSize,
				kTelnetPTypTerminalWindowFontSize,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_FONT_SIZE,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 7
				PROPERTY_NAME_TERMINALWINDOW_NORMAL_TEXT_COLOR,
				kTelnetPropertyTerminalWindowFontColorText,
				typeRGBColor,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_NORMAL_TEXT_COLOR,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 8
				PROPERTY_NAME_TERMINALWINDOW_NORMAL_BACKGROUND_COLOR,
				kTelnetPropertyTerminalWindowFontColorBackground,
				typeRGBColor,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_NORMAL_BACKGROUND_COLOR,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 9
				PROPERTY_NAME_TERMINALWINDOW_FONT_BOLD,
				kTelnetPropertyTerminalWindowFontFamilyNameBold,
				kTelnetPTypTerminalWindowFontFamilyNameBold,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_FONT_BOLD,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 10
				PROPERTY_NAME_TERMINALWINDOW_FONT_SIZE_BOLD,
				kTelnetPropertyTerminalWindowFontSizeBold,
				typeSInt16,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_FONT_SIZE_BOLD,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 11
				PROPERTY_NAME_TERMINALWINDOW_BOLD_TEXT_COLOR,
				kTelnetPropertyTerminalWindowFontColorBoldText,
				typeRGBColor,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_BOLD_TEXT_COLOR,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 12
				PROPERTY_NAME_TERMINALWINDOW_BOLD_BACKGROUND_COLOR,
				kTelnetPropertyTerminalWindowFontColorBoldBackground,
				typeRGBColor,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_BOLD_BACKGROUND_COLOR,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 13
				PROPERTY_NAME_TERMINALWINDOW_BLINKING_TEXT_COLOR,
				kTelnetPropertyTerminalWindowFontColorBlinkingText,
				typeRGBColor,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_BLINKING_BACKGROUND_COLOR,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 14
				PROPERTY_NAME_TERMINALWINDOW_BLINKING_BACKGROUND_COLOR,
				kTelnetPropertyTerminalWindowFontColorBlinkingBackground,
				typeRGBColor,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_BLINKING_BACKGROUND_COLOR,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 15
				PROPERTY_NAME_TERMINALWINDOW_CONTENTS,
				kTelnetPropertyTerminalWindowContents,
				kTelnetPTypTerminalWindowContents,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_CONTENTS,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 16
				PROPERTY_NAME_TERMINALWINDOW_SCREENCONTENTS,
				kTelnetPropertyTerminalWindowScreenContents,
				kTelnetPTypTerminalWindowScreenContents,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_SCREENCONTENTS,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular,
				
				// 17
				PROPERTY_NAME_TERMINALWINDOW_SCROLLBACKCONTENTS,
				kTelnetPropertyTerminalWindowScrollbackContents,
				kTelnetPTypTerminalWindowScrollbackContents,
				PROPERTY_DESCRIPTION_TERMINALWINDOW_SCROLLBACKCONTENTS,
					reserved,
					singleItem,
					notEnumerated,
					readWrite,
					enumsAreConstants,
					enumListIsExclusive,
					propertyIsValue,
					__FIVE_Reserved__,
					noApostrophe, // specify for French
					notFeminine,
					notMasculine,
					singular
			},
			{ // array Elements
			},
			CLASS_PLURAL_TERMINALWINDOW, kTelnetClassTerminalWindow,
			thePluralVersion
		},
		{ // array ComparisonOps
		},
		{ // array Enumerations
			// 1
			kTelnetEnumeratedClassAlertIconType,
			{
				ENUM_NAME_ALERT_ICON_TYPE_NOTE,
				kTelnetEnumeratedClassAlertIconTypeNote,
				ENUM_DESCRIPTION_ALERT_ICON_TYPE_NOTE,
				
				ENUM_NAME_ALERT_ICON_TYPE_STOP,
				kTelnetEnumeratedClassAlertIconTypeStop,
				ENUM_DESCRIPTION_ALERT_ICON_TYPE_STOP,
				
				ENUM_NAME_ALERT_ICON_TYPE_CAUTION,
				kTelnetEnumeratedClassAlertIconTypeCaution,
				ENUM_DESCRIPTION_ALERT_ICON_TYPE_CAUTION
			},
			
			// 2
			kTelnetEnumeratedClassConnectionMethod,
			{
				ENUM_NAME_CONNECTION_METHOD_TELNET,
				kTelnetEnumeratedClassConnectionMethodTelnet,
				ENUM_DESCRIPTION_CONNECTION_METHOD_TELNET,
				
				ENUM_NAME_CONNECTION_METHOD_FTP,
				kTelnetEnumeratedClassConnectionMethodFTP,
				ENUM_DESCRIPTION_CONNECTION_METHOD_FTP
			},
			
			// 3
			kTelnetEnumeratedClassConnectionStatus,
			{
				ENUM_NAME_CONNECTION_STATUS_WAITING_FOR_DNR,
				kTelnetEnumeratedClassConnectionStatusWaitingForDNR,
				ENUM_DESCRIPTION_CONNECTION_STATUS_WAITING_FOR_DNR,
				
				ENUM_NAME_CONNECTION_STATUS_OPENING,
				kTelnetEnumeratedClassConnectionStatusOpening,
				ENUM_DESCRIPTION_CONNECTION_STATUS_OPENING,
				
				ENUM_NAME_CONNECTION_STATUS_ACTIVE,
				kTelnetEnumeratedClassConnectionStatusActive,
				ENUM_DESCRIPTION_CONNECTION_STATUS_ACTIVE,
				
				ENUM_NAME_CONNECTION_STATUS_CLOSED,
				kTelnetEnumeratedClassConnectionStatusDead,
				ENUM_DESCRIPTION_CONNECTION_STATUS_CLOSED,
				
				ENUM_NAME_CONNECTION_STATUS_NOT_IN_USE,
				kTelnetEnumeratedClassConnectionStatusNotInUse,
				ENUM_DESCRIPTION_CONNECTION_STATUS_NOT_IN_USE
			},
			
			// 4
			kTelnetEnumeratedClassCursorShape,
			{
				ENUM_NAME_CURSOR_SHAPE_BLOCK,
				kTelnetEnumeratedClassCursorShapeBlock,
				ENUM_DESCRIPTION_CURSOR_SHAPE_BLOCK,
				
				ENUM_NAME_CURSOR_SHAPE_UNDERSCORE,
				kTelnetEnumeratedClassCursorShapeUnderscore,
				ENUM_DESCRIPTION_CURSOR_SHAPE_UNDERSCORE,
				
				ENUM_NAME_CURSOR_SHAPE_UNDERSCOREBOLD,
				kTelnetEnumeratedClassCursorShapeUnderscoreBold,
				ENUM_DESCRIPTION_CURSOR_SHAPE_UNDERSCOREBOLD,
				
				ENUM_NAME_CURSOR_SHAPE_VERTICALBAR,
				kTelnetEnumeratedClassCursorShapeVerticalBar,
				ENUM_DESCRIPTION_CURSOR_SHAPE_VERTICALBAR,
				
				ENUM_NAME_CURSOR_SHAPE_VERTICALBARBOLD,
				kTelnetEnumeratedClassCursorShapeVerticalBarBold,
				ENUM_DESCRIPTION_CURSOR_SHAPE_VERTICALBARBOLD
			},
			
			// 5
			kTelnetEnumeratedClassFileCaptureStatus,
			{
				ENUM_NAME_CAPTURE_STATUS_NOTBEGUN,
				kTelnetEnumeratedClassFileCaptureStatusNotBegun,
				ENUM_DESCRIPTION_CAPTURE_STATUS_NOTBEGUN,
				
				ENUM_NAME_CAPTURE_STATUS_INPROGRESS,
				kTelnetEnumeratedClassFileCaptureStatusInProgress,
				ENUM_DESCRIPTION_CAPTURE_STATUS_INPROGRESS,
				
				ENUM_NAME_CAPTURE_STATUS_COMPLETE,
				kTelnetEnumeratedClassFileCaptureStatusComplete,
				ENUM_DESCRIPTION_CAPTURE_STATUS_COMPLETE
			},
			
			// 6
			kTelnetEnumeratedClassMacroSetKeyEquivalents,
			{
				ENUM_NAME_MACRO_KEY_EQUIVALENT_TYPE_COMMAND_DIGIT,
				kTelnetEnumeratedClassMacroSetKeyEquivalentsCommandDigit,
				ENUM_DESCRIPTION_MACRO_KEY_EQUIVALENT_TYPE_COMMAND_DIGIT,
				
				ENUM_NAME_MACRO_KEY_EQUIVALENT_TYPE_FUNCTION_KEYS,
				kTelnetEnumeratedClassMacroSetKeyEquivalentsFunctionKeys,
				ENUM_DESCRIPTION_MACRO_KEY_EQUIVALENT_TYPE_FUNCTION_KEYS
			},
			
			// 7
			kTelnetEnumeratedClassProxyServerAuthenticationType,
			{
				ENUM_NAME_AUTHENTICATIONTYPE_PASSWORD,
				kTelnetEnumeratedClassProxyServerAuthenticationTypePassword,
				ENUM_DESCRIPTION_CONNECTION_METHOD_PASSWORD
			},
			
			// 8
			kTelnetEnumeratedClassProxyServerMethod,
			{
				ENUM_NAME_PROXYSERVERMETHOD_SOCKS4,
				kTelnetEnumeratedClassProxyServerMethodSOCKS4,
				ENUM_DESCRIPTION_PROXYSERVERMETHOD_SOCKS4,
				
				ENUM_NAME_PROXYSERVERMETHOD_SOCKS4A,
				kTelnetEnumeratedClassProxyServerMethodSOCKS4A,
				ENUM_DESCRIPTION_PROXYSERVERMETHOD_SOCKS4A,
				
				ENUM_NAME_PROXYSERVERMETHOD_SOCKS5,
				kTelnetEnumeratedClassProxyServerMethodSOCKS5,
				ENUM_DESCRIPTION_PROXYSERVERMETHOD_SOCKS5
			},
			
			// 9
			kTelnetEnumeratedClassSpecialCharacter,
			{
				ENUM_NAME_SPECIAL_CHARACTER_AYT,
				kTelnetEnumeratedClassSpecialCharacterAreYouThere,
				ENUM_DESCRIPTION_SPECIAL_CHARACTER_AYT,
				
				ENUM_NAME_SPECIAL_CHARACTER_AO,
				kTelnetEnumeratedClassSpecialCharacterAbortOutput,
				ENUM_DESCRIPTION_SPECIAL_CHARACTER_AO,
				
				ENUM_NAME_SPECIAL_CHARACTER_BRK,
				kTelnetEnumeratedClassSpecialCharacterBreak,
				ENUM_DESCRIPTION_SPECIAL_CHARACTER_BRK,
				
				ENUM_NAME_SPECIAL_CHARACTER_CR,
				kTelnetEnumeratedClassSpecialCharacterCarriageReturn,
				ENUM_DESCRIPTION_SPECIAL_CHARACTER_CR,
				
				ENUM_NAME_SPECIAL_CHARACTER_IP,
				kTelnetEnumeratedClassSpecialCharacterInterruptProcess,
				ENUM_DESCRIPTION_SPECIAL_CHARACTER_IP,
				
				ENUM_NAME_SPECIAL_CHARACTER_EC,
				kTelnetEnumeratedClassSpecialCharacterEraseCharacter,
				ENUM_DESCRIPTION_SPECIAL_CHARACTER_EC,
				
				ENUM_NAME_SPECIAL_CHARACTER_EL,
				kTelnetEnumeratedClassSpecialCharacterEraseLine,
				ENUM_DESCRIPTION_SPECIAL_CHARACTER_EL,
				
				ENUM_NAME_SPECIAL_CHARACTER_EOF,
				kTelnetEnumeratedClassSpecialCharacterEndOfFile,
				ENUM_DESCRIPTION_SPECIAL_CHARACTER_EOF,
				
				ENUM_NAME_SPECIAL_CHARACTER_LF,
				kTelnetEnumeratedClassSpecialCharacterLineFeed,
				ENUM_DESCRIPTION_SPECIAL_CHARACTER_LF,
				
				ENUM_NAME_SPECIAL_CHARACTER_SYNC,
				kTelnetEnumeratedClassSpecialCharacterSync,
				ENUM_DESCRIPTION_SPECIAL_CHARACTER_SYNC
			}
		}
		
		#if 0
		// SUITE X ######################################################
		/*LOC*/"Type Definitions Suite", "Terms defined by "APPLICATION_SHORT,
		kASTypeDefinitionsSuite,
		1, // level
		1, // version
		{ // array Events
		},
		{ // array Classes
		},
		{ // array ComparisonOps
		},
		{ // array Enumerations
		},
		
		// SUITE Y ######################################################
		/*LOC*/"Type Names Suite", "Terms that are defined by AppleScript",
		kASTypeNamesSuite,
		1, // level
		1, // version
		{ // array Events
		},
		{ // array Classes
		},
		{ // array ComparisonOps
		},
		{ // array Enumerations
		}
		#endif
	}
};