/*
**************************************************************************
	TelnetBalloonDefinitions.r
	
	This file creates string resources for help balloon text.  Look in
	the localized file TelnetBalloonText.h for the real values of
	strings used here.  Also, be sure the indices in "TelnetBalloons.r"
	are consistent with this file.
	
	WARNING:	Rez has a nifty feature where strings appearing with
				whitespace between them are automatically concatenated.
				Unfortunately, this can make typos have interesting
				side effects!  Be sure there are commas between all
				strings, otherwise there will be fewer strings in the
				list than you expect and everything that follows will
				be wrong!
	
	MacTelnet
		 1998-2003 by Kevin Grant.
		 2001-2003 by Ian Anderson.
		 1986-1994 University of Illinois Board of Trustees
		(see About box for full list of U of I contributors).
**************************************************************************
*/

#ifndef __TELNETBALLOONDEFINITIONS_R__
#define __TELNETBALLOONDEFINITIONS_R__

#ifdef REZ

#include "MacTypes.r"

#include "TelnetBalloonText.h"
#include "TelnetBalloons.r"



/*
These are Balloon strings for the Apple menu.  The indices
preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextAppleMenu, "Apple menu Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_MENU_APPLE_ENABLED_ITEM_ABOUTTELNET,
	}
};


/*
These are Balloon strings for the Session menu.  The indices
preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextFileMenu, "File menu Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_ENABLED_MENU_FILE,
		/*2*/TEXT_BALLOON_ENABLED_MENU_FILE_SIMPLE,
		/*3*/TEXT_BALLOON_MENU_FILE_ENABLED_ITEM_OPENCONNECTION,
		/*4*/TEXT_BALLOON_MENU_FILE_ENABLED_ITEM_LOADSET,
		/*5*/TEXT_BALLOON_MENU_FILE_ENABLED_ITEM_CLOSECONNECTION,
		/*6*/TEXT_BALLOON_MENU_FILE_ENABLED_ITEM_SAVESET,
		/*7*/TEXT_BALLOON_MENU_FILE_DISABLED_ITEM_SAVESET,
		/*8*/TEXT_BALLOON_MENU_FILE_ENABLED_ITEM_IMPORTMACROSET,
		/*9*/TEXT_BALLOON_MENU_FILE_ENABLED_ITEM_EXPORTCURRENTMACROSET,
		/*10*/TEXT_BALLOON_MENU_FILE_ENABLED_ITEM_PRINT,
		/*11*/TEXT_BALLOON_MENU_FILE_DISABLED_ITEM_PRINT,
		/*12*/TEXT_BALLOON_MENU_FILE_ENABLED_ITEM_PRINTONE,
		/*13*/TEXT_BALLOON_MENU_FILE_ENABLED_ITEM_PRINTSCREEN,
		/*14*/TEXT_BALLOON_MENU_FILE_ENABLED_ITEM_PAGESETUP,
		/*15*/TEXT_BALLOON_MENU_FILE_DISABLED_ITEM_PAGESETUP
	}
};


/*
These are Balloon strings for the Edit menu.  The indices
preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextEditMenu, "Edit menu Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_ENABLED_MENU_EDIT,
		/*2*/TEXT_BALLOON_ENABLED_MENU_EDIT_SIMPLE,
		/*3*/TEXT_BALLOON_MENU_EDIT_ENABLED_ITEM_UNDO,
		/*4*/TEXT_BALLOON_MENU_EDIT_DISABLED_ITEM_UNDO,
		/*5*/TEXT_BALLOON_MENU_EDIT_ENABLED_ITEM_REDO,
		/*6*/TEXT_BALLOON_MENU_EDIT_DISABLED_ITEM_REDO,
		/*7*/TEXT_BALLOON_MENU_EDIT_ENABLED_ITEM_CUT,
		/*8*/TEXT_BALLOON_MENU_EDIT_DISABLED_ITEM_CUT,
		/*9*/TEXT_BALLOON_MENU_EDIT_ENABLED_ITEM_COPY,
		/*10*/TEXT_BALLOON_MENU_EDIT_DISABLED_ITEM_COPY,
		/*11*/TEXT_BALLOON_MENU_EDIT_ENABLED_ITEM_COPYTABLE,
		/*12*/TEXT_BALLOON_MENU_EDIT_ENABLED_ITEM_PASTE,
		/*13*/TEXT_BALLOON_MENU_EDIT_DISABLED_ITEM_PASTE,
		/*14*/TEXT_BALLOON_MENU_EDIT_ENABLED_ITEM_TYPE,
		/*15*/TEXT_BALLOON_MENU_EDIT_DISABLED_ITEM_TYPE,
		/*16*/TEXT_BALLOON_MENU_EDIT_ENABLED_ITEM_CLEAR,
		/*17*/TEXT_BALLOON_MENU_EDIT_DISABLED_ITEM_CLEAR,
		/*18*/TEXT_BALLOON_MENU_EDIT_ENABLED_ITEM_SELECTALL,
		/*19*/TEXT_BALLOON_MENU_EDIT_DISABLED_ITEM_SELECTALL,
		/*20*/TEXT_BALLOON_MENU_EDIT_ENABLED_ITEM_SHOWCLIPBOARD,
		/*21*/TEXT_BALLOON_MENU_EDIT_ENABLED_ITEM_PREFERENCES
	}
};


/*
These are Balloon strings for the View menu.  The indices
preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextViewMenu,  "View menu Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_ENABLED_MENU_VIEW,
		/*2*/TEXT_BALLOON_DISABLED_MENU_VIEW,
		/*3*/TEXT_BALLOON_MENU_VIEW_ENABLED_ITEM_LARGESCREEN,
		/*4*/TEXT_BALLOON_MENU_VIEW_DISABLED_ITEM_LARGESCREEN,
		/*5*/TEXT_BALLOON_MENU_VIEW_ENABLED_ITEM_SMALLSCREEN,
		/*6*/TEXT_BALLOON_MENU_VIEW_DISABLED_ITEM_SMALLSCREEN,
		/*7*/TEXT_BALLOON_MENU_VIEW_ENABLED_ITEM_FULLSCREEN,
		/*8*/TEXT_BALLOON_MENU_VIEW_DISABLED_ITEM_FULLSCREEN,
		/*9*/TEXT_BALLOON_MENU_VIEW_ENABLED_ITEM_SETSCREENSIZE,
		/*10*/TEXT_BALLOON_MENU_VIEW_DISABLED_ITEM_SETSCREENSIZE,
		/*11*/TEXT_BALLOON_MENU_VIEW_ENABLED_ITEM_FORMAT,
		/*12*/TEXT_BALLOON_MENU_VIEW_DISABLED_ITEM_FORMAT
	}
};


/*
These are Balloon strings for the Terminal menu.  The indices
preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextTerminalMenu, "Terminal menu Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_ENABLED_MENU_TERMINAL,
		/*2*/TEXT_BALLOON_DISABLED_MENU_TERMINAL,
		/*3*/TEXT_BALLOON_MENU_TERMINAL_ENABLED_ITEM_CAPTURETOFILE,
		/*4*/TEXT_BALLOON_MENU_TERMINAL_DISABLED_ITEM_CAPTURETOFILE,
		/*5*/TEXT_BALLOON_MENU_TERMINAL_CHECKED_ITEM_CAPTURETOFILE,
		/*6*/TEXT_BALLOON_MENU_TERMINAL_ENABLED_ITEM_ECHO,
		/*7*/TEXT_BALLOON_MENU_TERMINAL_DISABLED_ITEM_ECHO,
		/*8*/TEXT_BALLOON_MENU_TERMINAL_CHECKED_ITEM_ECHO,
		/*9*/TEXT_BALLOON_MENU_TERMINAL_ENABLED_ITEM_WRAPMODE,
		/*10*/TEXT_BALLOON_MENU_TERMINAL_DISABLED_ITEM_WRAPMODE,
		/*11*/TEXT_BALLOON_MENU_TERMINAL_CHECKED_ITEM_WRAPMODE,
		/*12*/TEXT_BALLOON_MENU_TERMINAL_ENABLED_ITEM_CLEARSCREENSAVESLINES,
		/*13*/TEXT_BALLOON_MENU_TERMINAL_DISABLED_ITEM_CLEARSCREENSAVESLINES,
		/*14*/TEXT_BALLOON_MENU_TERMINAL_CHECKED_ITEM_CLEARSCREENSAVESLINES,
		/*15*/TEXT_BALLOON_MENU_TERMINAL_ENABLED_ITEM_JUMPSCROLLING,
		/*16*/TEXT_BALLOON_MENU_TERMINAL_DISABLED_ITEM_JUMPSCROLLING,
		/*17*/TEXT_BALLOON_MENU_TERMINAL_ENABLED_ITEM_RESETTERMINAL,
		/*18*/TEXT_BALLOON_MENU_TERMINAL_DISABLED_ITEM_RESETTERMINAL,
		/*19*/TEXT_BALLOON_MENU_TERMINAL_DISABLED_ITEM_TEKTRONIX,
		/*20*/TEXT_BALLOON_MENU_TERMINAL_ENABLED_ITEM_SPEECHENABLED,
		/*21*/TEXT_BALLOON_MENU_TERMINAL_DISABLED_ITEM_SPEECHENABLED
	}
};


/*
These are Balloon strings for the Keyboard menu.  The indices
preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextKeysMenu, "Keys menu Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_ENABLED_MENU_KEYBOARD,
		/*2*/TEXT_BALLOON_DISABLED_MENU_KEYBOARD,
		/*3*/TEXT_BALLOON_MENU_KEYBOARD_ENABLED_ITEM_DELETEPRESSSENDSBACKSPACE,
		/*4*/TEXT_BALLOON_MENU_KEYBOARD_DISABLED_ITEM_DELETEPRESSSENDSBACKSPACE,
		/*5*/TEXT_BALLOON_MENU_KEYBOARD_CHECKED_ITEM_DELETEPRESSSENDSBACKSPACE,
		/*6*/TEXT_BALLOON_MENU_KEYBOARD_ENABLED_ITEM_DELETEPRESSSENDSDELETE,
		/*7*/TEXT_BALLOON_MENU_KEYBOARD_DISABLED_ITEM_DELETEPRESSSENDSDELETE,
		/*8*/TEXT_BALLOON_MENU_KEYBOARD_CHECKED_ITEM_DELETEPRESSSENDSDELETE,
		/*9*/TEXT_BALLOON_MENU_KEYBOARD_ENABLED_ITEM_SETKEYS,
		/*10*/TEXT_BALLOON_MENU_KEYBOARD_DISABLED_ITEM_SETKEYS,
		/*11*/TEXT_BALLOON_MENU_KEYBOARD_ENABLED_ITEM_EMACSARROWMAPPING,
		/*12*/TEXT_BALLOON_MENU_KEYBOARD_DISABLED_ITEM_EMACSARROWMAPPING,
		/*13*/TEXT_BALLOON_MENU_KEYBOARD_CHECKED_ITEM_EMACSARROWMAPPING,
		/*14*/TEXT_BALLOON_MENU_KEYBOARD_ENABLED_ITEM_LOCALPAGEUPDOWN,
		/*15*/TEXT_BALLOON_MENU_KEYBOARD_DISABLED_ITEM_LOCALPAGEUPDOWN,
		/*16*/TEXT_BALLOON_MENU_KEYBOARD_CHECKED_ITEM_LOCALPAGEUPDOWN,
		/*17*/TEXT_BALLOON_MENU_KEYBOARD_DISABLED_ITEM_TRANSLATIONCHOICETITLE,
		/*18*/TEXT_BALLOON_MENU_KEYBOARD_ENABLED_ITEM_TRANSLATIONCHOICE,
		/*19*/TEXT_BALLOON_MENU_KEYBOARD_DISABLED_ITEM_TRANSLATIONCHOICE
	}
};


/*
These are Balloon strings for the Network menu.  The indices
preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextNetworkMenu, "Network menu Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_ENABLED_MENU_NETWORK,
		/*2*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDFTPCOMMAND,
		/*3*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDFTPCOMMAND,
		/*4*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDINTERNETPROTOCOLNUMBER,
		/*5*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDINTERNETPROTOCOLNUMBER,
		/*6*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SHOWNETWORKNUMBERS,
		/*7*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDSYNC,
		/*8*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDSYNC,
		/*9*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDBREAK,
		/*10*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDBREAK,
		/*11*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDINTERRUPTPROCESS,
		/*12*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDINTERRUPTPROCESS,
		/*13*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDABORTOUTPUT,
		/*14*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDABORTOUTPUT,
		/*15*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDAREYOUTHERE,
		/*16*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDAREYOUTHERE,
		/*17*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDERASECHARACTER,
		/*18*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDERASECHARACTER,
		/*19*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDERASELINE,
		/*20*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDERASELINE,
		/*21*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDENDOFFILE,
		/*22*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDENDOFFILE,
		/*23*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_WATCHFORACTIVITY,
		/*24*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_WATCHFORACTIVITY,
		/*25*/TEXT_BALLOON_MENU_NETWORK_CHECKED_ITEM_WATCHFORACTIVITY,
		/*26*/TEXT_BALLOON_MENU_NETWORK_ENABLED_ITEM_SUSPENDNETWORK,
		/*27*/TEXT_BALLOON_MENU_NETWORK_DISABLED_ITEM_SUSPENDNETWORK,
		/*28*/TEXT_BALLOON_MENU_NETWORK_CHECKED_ITEM_SUSPENDNETWORK,
	}
};


/*
These are Balloon strings for the Window menu.  The indices
preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextWindowMenu, "Window menu Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_ENABLED_MENU_WINDOW,
		/*2*/TEXT_BALLOON_DISABLED_MENU_WINDOW,
		/*3*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_HIDEFRONTWINDOW,
		/*4*/TEXT_BALLOON_MENU_WINDOW_DISABLED_ITEM_HIDEFRONTWINDOW,
		/*5*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_HIDEOTHERWINDOWS,
		/*6*/TEXT_BALLOON_MENU_WINDOW_DISABLED_ITEM_HIDEOTHERWINDOWS,
		/*7*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWALLHIDDENWINDOWS,
		/*8*/TEXT_BALLOON_MENU_WINDOW_DISABLED_ITEM_SHOWALLHIDDENWINDOWS,
		/*9*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_STACKWINDOWS,
		/*10*/TEXT_BALLOON_MENU_WINDOW_DISABLED_ITEM_STACKWINDOWS,
		/*11*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_NEXTWINDOW,
		/*12*/TEXT_BALLOON_MENU_WINDOW_DISABLED_ITEM_NEXTWINDOW,
		/*13*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_CHANGEWINDOWTITLE,
		/*14*/TEXT_BALLOON_MENU_WINDOW_DISABLED_ITEM_CHANGEWINDOWTITLE,
		/*15*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWFTPLOG,
		/*16*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWCOMMANDLINE,
		/*17*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWMACROS,
		/*18*/TEXT_BALLOON_MENU_WINDOW_DISABLED_ITEM_SHOWMACROS,
		/*19*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWCONTROLKEYS,
		/*20*/TEXT_BALLOON_MENU_WINDOW_DISABLED_ITEM_SHOWCONTROLKEYS,
		/*21*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWFUNCTION,
		/*22*/TEXT_BALLOON_MENU_WINDOW_DISABLED_ITEM_SHOWFUNCTION,
		/*23*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWKEYPAD,
		/*24*/TEXT_BALLOON_MENU_WINDOW_DISABLED_ITEM_SHOWKEYPAD,
		/*25*/TEXT_BALLOON_MENU_WINDOW_ENABLED_ITEM_GENERIC_CONNECTION,
		/*26*/TEXT_BALLOON_MENU_WINDOW_CHECKED_ITEM_GENERIC_CONNECTION
	}
};


/*
These are Balloon strings for the Scripts menu.  The indices
preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextScriptsMenu, "Scripts menu Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_ENABLED_MENU_SCRIPTS,
		/*2*/TEXT_BALLOON_MENU_SCRIPTS_ENABLED_ITEM_GENERIC_SCRIPT
	}
};


/*
These are Balloon strings for the TEK submenu.  The indices
preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextTektronixMenu, "TEK submenu Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_MENU_TEKTRONIX_ENABLED_ITEM_TEKPAGECOMMAND,
		/*2*/TEXT_BALLOON_MENU_TEKTRONIX_ENABLED_ITEM_TEKPAGECLEARSSCREEN,
		/*3*/TEXT_BALLOON_MENU_TEKTRONIX_CHECKED_ITEM_TEKPAGECLEARSSCREEN
	}
};


/*
These are Balloon strings for the Internet Resources submenu.  The
indices preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextInternetResourcesMenu, "Internet Resources submenu Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_MENU_TELNETONTHEWEB_ENABLED_ITEM_TELNETHOMEPAGE,
		/*2*/TEXT_BALLOON_MENU_TELNETONTHEWEB_ENABLED_ITEM_TELNETAUTHORMAIL,
		/*3*/TEXT_BALLOON_MENU_TELNETONTHEWEB_ENABLED_ITEM_TELNETSOURCELICENSE,
		/*4*/TEXT_BALLOON_MENU_TELNETONTHEWEB_ENABLED_ITEM_TELNETLIBRARYLICENSE,
		/*5*/TEXT_BALLOON_MENU_TELNETONTHEWEB_ENABLED_ITEM_TELNETPROJECTSTATUS
	}
};



/*********************************************
		DIALOG BOX BALLOON HELP STRINGS
*********************************************/

/*
These are Balloon strings for the Edit FTP Log-In Message
dialog box.  The indices preceding the strings are clues as
to what each strings text represents.
*/

resource 'STR#' (rStringsBalloonTextEditLogInMessageDialog, "Edit FTP Log-In Message dialog box Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_DIALOG_EDITFTPLOGINMESSAGE_MAIN_FIELD
	}
};


/*
These are Balloon strings for the Format dialog box.  The indices
preceding the strings are clues as to what each strings text
represents.
*/

resource 'STR#' (rStringsBalloonTextFormatDialog, "Format dialog box Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_DIALOG_FORMAT_ENABLED_POPUPMENU_EDIT_WHAT,
		/*2*/TEXT_BALLOON_DIALOG_FORMAT_ENABLED_POPUPMENU_FONT,
		/*3*/TEXT_BALLOON_DIALOG_FORMAT_DISABLED_POPUPMENU_FONT,
		/*4*/TEXT_BALLOON_DIALOG_FORMAT_ENABLED_FIELD_FONTSIZE,
		/*5*/TEXT_BALLOON_DIALOG_FORMAT_DISABLED_FIELD_FONTSIZE,
		/*6*/TEXT_BALLOON_DIALOG_FORMAT_ENABLED_LITTLEARROWS_FONTSIZE,
		/*7*/TEXT_BALLOON_DIALOG_FORMAT_DISABLED_LITTLEARROWS_FONTSIZE,
		/*8*/TEXT_BALLOON_DIALOG_FORMAT_ENABLED_POPUPMENU_FONTSIZE,
		/*9*/TEXT_BALLOON_DIALOG_FORMAT_DISABLED_POPUPMENU_FONTSIZE,
		/*10*/TEXT_BALLOON_DIALOG_FORMAT_ENABLED_COLORBOX_FOREGROUND,
		/*11*/TEXT_BALLOON_DIALOG_FORMAT_DISABLED_COLORBOX_FOREGROUND,
		/*12*/TEXT_BALLOON_DIALOG_FORMAT_ENABLED_COLORBOX_BACKGROUND,
		/*13*/TEXT_BALLOON_DIALOG_FORMAT_DISABLED_COLORBOX_BACKGROUND
	}
};


/*
These are Balloon strings for the Macro Setup dialog box.  The
indices preceding the strings are clues as to what each strings
text represents.
*/

resource 'STR#' (rStringsBalloonTextMacroSetupDialog, "Macro Setup dialog box Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_DIALOG_MACROSETUP_ENABLED_BUTTON_IMPORT,
		/*2*/TEXT_BALLOON_DIALOG_MACROSETUP_ENABLED_BUTTON_EXPORT,
		/*3*/TEXT_BALLOON_DIALOG_MACROSETUP_UNCHECKED_RADIOBUTTON_SET,
		/*4*/TEXT_BALLOON_DIALOG_MACROSETUP_CHECKED_RADIOBUTTON_SET,
		/*5*/TEXT_BALLOON_DIALOG_MACROSETUP_FIELD_GENERIC_MACRO,
		/*6*/TEXT_BALLOON_DIALOG_MACROSETUP_LABEL_GENERIC_MACRO,
		/*7*/TEXT_BALLOON_DIALOG_MACROSETUP_ENABLED_BUTTON_MAKE_CURRENT_ACTIVE,
		/*8*/TEXT_BALLOON_DIALOG_MACROSETUP_ENABLED_BUTTON_SAVE_AS_DEFAULT_SET,
		/*9*/TEXT_BALLOON_DIALOG_MACROSETUP_DISABLED_BUTTON_SAVE_AS_DEFAULT_SET,
		/*10*/TEXT_BALLOON_DIALOG_MACROSETUP_UNCHECKED_RADIOBUTTON_COMMANDKEYS,
		/*11*/TEXT_BALLOON_DIALOG_MACROSETUP_CHECKED_RADIOBUTTON_COMMANDKEYS,
		/*12*/TEXT_BALLOON_DIALOG_MACROSETUP_UNCHECKED_RADIOBUTTON_FUNCTIONKEYS,
		/*13*/TEXT_BALLOON_DIALOG_MACROSETUP_CHECKED_RADIOBUTTON_FUNCTIONKEYS
	}
};


/*
These are Balloon strings for the New Sessions dialog box.
The indices preceding the strings are clues as to what each
strings text represents.
*/

resource 'STR#' (rStringsBalloonTextNewSessionsDialog, "New Sessions dialog box Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_DIALOG_NEWSESSIONS_ENABLED_BUTTON_CONNECT,
		/*2*/TEXT_BALLOON_DIALOG_NEWSESSIONS_ENABLED_BUTTON_ADD,
		/*3*/TEXT_BALLOON_DIALOG_NEWSESSIONS_DISABLED_BUTTON_ADD,
		/*4*/TEXT_BALLOON_DIALOG_NEWSESSIONS_ENABLED_BUTTON_REMOVE,
		/*5*/TEXT_BALLOON_DIALOG_NEWSESSIONS_DISABLED_BUTTON_REMOVE,
		/*6*/TEXT_BALLOON_DIALOG_NEWSESSIONS_ENABLED_BUTTON_FAVORITES,
		/*7*/TEXT_BALLOON_DIALOG_NEWSESSIONS_ENABLED_BUTTON_RECENT,
		/*8*/TEXT_BALLOON_DIALOG_NEWSESSIONS_DISABLED_BUTTON_RECENT,
		/*9*/TEXT_BALLOON_DIALOG_NEWSESSIONS_FIELD_WINDOW_TITLE,
		/*10*/TEXT_BALLOON_DIALOG_NEWSESSIONS_FIELD_HOST_NAME,
		/*11*/TEXT_BALLOON_DIALOG_NEWSESSIONS_UNCHECKED_CHECKBOX_VIA_PROXY,
		/*12*/TEXT_BALLOON_DIALOG_NEWSESSIONS_CHECKED_CHECKBOX_VIA_PROXY,
		/*13*/TEXT_BALLOON_DIALOG_NEWSESSIONS_LIST_CONNECTIONS_TO_OPEN,
		/*14*/TEXT_BALLOON_DIALOG_NEWSESSIONS_UNCHECKED_CHECKBOX_AUTHENTICATE,
		/*15*/TEXT_BALLOON_DIALOG_NEWSESSIONS_DISABLED_CHECKBOX_AUTHENTICATE,
		/*16*/TEXT_BALLOON_DIALOG_NEWSESSIONS_CHECKED_CHECKBOX_AUTHENTICATE,
		/*17*/TEXT_BALLOON_DIALOG_NEWSESSIONS_ENABLED_POPUPMENU_PROXIES,
		/*18*/TEXT_BALLOON_DIALOG_NEWSESSIONS_DISABLED_POPUPMENU_PROXIES,
		/*19*/TEXT_BALLOON_DIALOG_NEWSESSIONS_ENABLED_LITTLEARROWS_TERMINAL,
		/*20*/TEXT_BALLOON_DIALOG_NEWSESSIONS_ENABLED_POPUPMENU_TERMINAL,
		/*21*/TEXT_BALLOON_DIALOG_NEWSESSIONS_DISABLED_POPUPMENU_TERMINAL
	}
};


/*
These are Balloon strings for the Set Window Title dialog box.
The indices preceding the strings are clues as to what each
strings text represents.
*/

resource 'STR#' (rStringsBalloonTextSetWindowTitleDialog, "Set Window Title dialog box Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_DIALOG_SETWINDOWTITLE_ENABLED_BUTTON_SETTITLE,
		/*2*/TEXT_BALLOON_DIALOG_SETWINDOWTITLE_FIELD_WINDOW_TITLE
	}
};


/*
These are Balloon strings for the Terminal Editor dialog box.
The indices preceding the strings are clues as to what each
strings text represents.
*/

resource 'STR#' (rStringsBalloonTextTerminalFavoriteDialog, "Terminal Editor dialog box Balloon text", purgeable)
{
	{
		/*1*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_FIELD_NAME,
		/*2*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_TEXT_DEFAULT,
		/*3*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_ANSI,
		/*4*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_ANSI,
		/*5*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_XTERM,
		/*6*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_XTERM,
		/*7*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_WRAP,
		/*8*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_WRAP,
		/*9*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_EMACSARROWS,
		/*10*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_EMACSARROWS,
		/*11*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_8BIT,
		/*12*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_8BIT,
		/*13*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_SAVEONCLEAR,
		/*14*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_SAVEONCLEAR,
		/*15*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_REMAPKEYPAD,
		/*16*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_REMAPKEYPAD,
		/*17*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_LOCALPAGEKEYS,
		/*18*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_LOCALPAGEKEYS,
		/*19*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_METACTRLCMD,
		/*20*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_METACTRLCMD,
		/*21*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_METAOPTION,
		/*22*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_METAOPTION,
		/*23*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_METANONE,
		/*24*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_METANONE,
		/*25*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_EMULATEVT100,
		/*26*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_EMULATEVT100,
		/*27*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_EMULATEVT220,
		/*28*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_EMULATEVT220,
		/*29*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_EMULATENONE,
		/*30*/TEXT_BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_EMULATENONE
	}
};


/*********************************************
		GENERIC BALLOON HELP STRINGS
*********************************************/

/*
These are Balloon strings that appear, usually, in more than
one place.  No matter how the text is worded, do not assume
that the help text has only one context.  Try to localize this
text as closely as possible to the English wording given.
*/

resource 'STR#' (rStringsBalloonTextGenericSessions, "Generic strings (connection-related)", purgeable)
{
	{
		/*1*/TEXT_BALLOON_GENERIC_CONNECTIONS_DISABLED_MENU_ITEM_NONE_OPEN,
		/*2*/TEXT_BALLOON_GENERIC_CONNECTIONS_UNCHECKED_CHECKBOX_UPDATEDEFTERM
	}
};

resource 'STR#' (rStringsBalloonTextGenericDialogs, "Generic strings (dialogs)", purgeable)
{
	{
		/*1*/TEXT_BALLOON_GENERIC_DIALOG_DISABLED_MENU_ITEM,
		/*2*/TEXT_BALLOON_GENERIC_DIALOG_DISABLED_MENU,
		/*3*/TEXT_BALLOON_GENERIC_DIALOG_ENABLED_BUTTON_HELP,
		/*4*/TEXT_BALLOON_GENERIC_DIALOG_DISABLED_BUTTON_HELP,
		/*5*/TEXT_BALLOON_GENERIC_DIALOG_ENABLED_BUTTON_CANCEL
	}
};

#endif



#endif /* __TELNET_BALLOONS_R */
