/*
**************************************************************************
	TelnetBalloons.r
	
	MacTelnet 3.0
	 1998-2003 by Kevin Grant
	
	This file defines constants (such as resource IDs and string indices)
	used for balloon text string resources.  The corresponding string
	resources are in "TelnetBalloonDefinitions.r"
**************************************************************************
*/

#ifndef __TELNETBALLOONS_R__
#define __TELNETBALLOONS_R__

#ifdef REZ

#include "MacTypes.r"
#include "TelnetBalloonText.h"
#include "TelnetMiscellaneousText.h"

#endif


// basic definitions
#define BALLOON_TEXT_MENUS_BASE			1500
#define BALLOON_TEXT_DIALOGS_BASE		1600
#define BALLOON_TEXT_WINDOWS_BASE		1700
#define BALLOON_TEXT_GENERIC_BASE		1800

// Help Balloon strings for main menus
#define rStringsBalloonTextAppleMenu				BALLOON_TEXT_MENUS_BASE
#define rStringsBalloonTextFileMenu					(BALLOON_TEXT_MENUS_BASE + 2)
#define rStringsBalloonTextEditMenu					(BALLOON_TEXT_MENUS_BASE + 3)
#define rStringsBalloonTextViewMenu					(BALLOON_TEXT_MENUS_BASE + 4)
#define rStringsBalloonTextTerminalMenu				(BALLOON_TEXT_MENUS_BASE + 5)
#define rStringsBalloonTextKeysMenu					(BALLOON_TEXT_MENUS_BASE + 6)
#define rStringsBalloonTextNetworkMenu				(BALLOON_TEXT_MENUS_BASE + 7)
#define rStringsBalloonTextWindowMenu				(BALLOON_TEXT_MENUS_BASE + 8)
#define rStringsBalloonTextScriptsMenu				(BALLOON_TEXT_MENUS_BASE + 9)
#define rStringsBalloonTextTektronixMenu			(BALLOON_TEXT_MENUS_BASE + 10)
#define rStringsBalloonTextInternetResourcesMenu	(BALLOON_TEXT_MENUS_BASE + 11)

// Help Balloon strings for dialogs
#define rStringsBalloonTextMacroSetupDialog			BALLOON_TEXT_DIALOGS_BASE
#define rStringsBalloonTextNewSessionsDialog		(BALLOON_TEXT_DIALOGS_BASE + 1)
#define rStringsBalloonTextSetWindowTitleDialog		(BALLOON_TEXT_DIALOGS_BASE + 2)
#define rStringsBalloonTextEditLogInMessageDialog	(BALLOON_TEXT_DIALOGS_BASE + 3)
#define rStringsBalloonTextFormatDialog				(BALLOON_TEXT_DIALOGS_BASE + 4)
#define rStringsBalloonTextScreenSizeDialog			(BALLOON_TEXT_DIALOGS_BASE + 5)
#define rStringsBalloonTextTerminalFavoriteDialog	(BALLOON_TEXT_DIALOGS_BASE + 6)

// generic Balloons (used in more than one place, usually)
#define rStringsBalloonTextGenericSessions			BALLOON_TEXT_GENERIC_BASE
#define rStringsBalloonTextGenericDialogs			(BALLOON_TEXT_GENERIC_BASE + 1)

#ifdef REZ

/*
Apple menu
*/
#define BALLOON_MENU_APPLE_ENABLED_ITEM_ABOUTTELNET								1

/*
File menu
*/
#define BALLOON_ENABLED_MENU_FILE												1
#define BALLOON_ENABLED_MENU_FILE_SIMPLE										2
#define BALLOON_MENU_FILE_ENABLED_ITEM_OPENCONNECTION							3
#define BALLOON_MENU_FILE_ENABLED_ITEM_LOADSET									4
#define BALLOON_MENU_FILE_ENABLED_ITEM_CLOSECONNECTION							5
#define BALLOON_MENU_FILE_ENABLED_ITEM_SAVESET									6
#define BALLOON_MENU_FILE_DISABLED_ITEM_SAVESET									7
#define BALLOON_MENU_FILE_ENABLED_ITEM_IMPORTMACROSET							8
#define BALLOON_MENU_FILE_ENABLED_ITEM_EXPORTCURRENTMACROSET					9
#define BALLOON_MENU_FILE_ENABLED_ITEM_PRINT									10
#define BALLOON_MENU_FILE_DISABLED_ITEM_PRINT									11
#define BALLOON_MENU_FILE_ENABLED_ITEM_PRINTONE									12
#define BALLOON_MENU_FILE_ENABLED_ITEM_PRINTSCREEN								13
#define BALLOON_MENU_FILE_ENABLED_ITEM_PAGESETUP								14
#define BALLOON_MENU_FILE_DISABLED_ITEM_PAGESETUP								15

/*
Edit menu
*/
#define BALLOON_ENABLED_MENU_EDIT												1
#define BALLOON_ENABLED_MENU_EDIT_SIMPLE										2
#define BALLOON_MENU_EDIT_ENABLED_ITEM_UNDO										3
#define BALLOON_MENU_EDIT_DISABLED_ITEM_UNDO									4
#define BALLOON_MENU_EDIT_ENABLED_ITEM_REDO										5
#define BALLOON_MENU_EDIT_DISABLED_ITEM_REDO									6
#define BALLOON_MENU_EDIT_ENABLED_ITEM_CUT										7
#define BALLOON_MENU_EDIT_DISABLED_ITEM_CUT										8
#define BALLOON_MENU_EDIT_ENABLED_ITEM_COPY										9
#define BALLOON_MENU_EDIT_DISABLED_ITEM_COPY									10
#define BALLOON_MENU_EDIT_ENABLED_ITEM_COPYTABLE								11
#define BALLOON_MENU_EDIT_ENABLED_ITEM_PASTE									12
#define BALLOON_MENU_EDIT_DISABLED_ITEM_PASTE									13
#define BALLOON_MENU_EDIT_ENABLED_ITEM_TYPE										14
#define BALLOON_MENU_EDIT_DISABLED_ITEM_TYPE									15
#define BALLOON_MENU_EDIT_ENABLED_ITEM_CLEAR									16
#define BALLOON_MENU_EDIT_DISABLED_ITEM_CLEAR									17
#define BALLOON_MENU_EDIT_ENABLED_ITEM_SELECTALL								18
#define BALLOON_MENU_EDIT_DISABLED_ITEM_SELECTALL								19
#define BALLOON_MENU_EDIT_ENABLED_ITEM_SHOWCLIPBOARD							20
#define BALLOON_MENU_EDIT_ENABLED_ITEM_PREFERENCES								21

/*
View menu
*/
#define BALLOON_ENABLED_MENU_VIEW												1
#define BALLOON_DISABLED_MENU_VIEW												2
#define BALLOON_MENU_VIEW_ENABLED_ITEM_LARGESCREEN								3
#define BALLOON_MENU_VIEW_DISABLED_ITEM_LARGESCREEN								4
#define BALLOON_MENU_VIEW_ENABLED_ITEM_SMALLSCREEN								5
#define BALLOON_MENU_VIEW_DISABLED_ITEM_SMALLSCREEN								6
#define BALLOON_MENU_VIEW_ENABLED_ITEM_FULLSCREEN								7
#define BALLOON_MENU_VIEW_DISABLED_ITEM_FULLSCREEN								8
#define BALLOON_MENU_VIEW_ENABLED_ITEM_SETSCREENSIZE							9
#define BALLOON_MENU_VIEW_DISABLED_ITEM_SETSCREENSIZE							10
#define BALLOON_MENU_VIEW_ENABLED_ITEM_FORMAT									11
#define BALLOON_MENU_VIEW_DISABLED_ITEM_FORMAT									12

/*
Terminal menu
*/
#define BALLOON_ENABLED_MENU_TERMINAL											1
#define BALLOON_DISABLED_MENU_TERMINAL											2
#define BALLOON_MENU_TERMINAL_ENABLED_ITEM_CAPTURETOFILE						3
#define BALLOON_MENU_TERMINAL_DISABLED_ITEM_CAPTURETOFILE						4
#define BALLOON_MENU_TERMINAL_CHECKED_ITEM_CAPTURETOFILE						5
#define BALLOON_MENU_TERMINAL_ENABLED_ITEM_ECHO									6
#define BALLOON_MENU_TERMINAL_DISABLED_ITEM_ECHO								7
#define BALLOON_MENU_TERMINAL_CHECKED_ITEM_ECHO									8
#define BALLOON_MENU_TERMINAL_ENABLED_ITEM_WRAPMODE								9
#define BALLOON_MENU_TERMINAL_DISABLED_ITEM_WRAPMODE							10
#define BALLOON_MENU_TERMINAL_CHECKED_ITEM_WRAPMODE								11
#define BALLOON_MENU_TERMINAL_ENABLED_ITEM_CLEARSCREENSAVESLINES				12
#define BALLOON_MENU_TERMINAL_DISABLED_ITEM_CLEARSCREENSAVESLINES				13
#define BALLOON_MENU_TERMINAL_CHECKED_ITEM_CLEARSCREENSAVESLINES				14
#define BALLOON_MENU_TERMINAL_ENABLED_ITEM_JUMPSCROLLING						15
#define BALLOON_MENU_TERMINAL_DISABLED_ITEM_JUMPSCROLLING						16
#define BALLOON_MENU_TERMINAL_ENABLED_ITEM_RESETTERMINAL						17
#define BALLOON_MENU_TERMINAL_DISABLED_ITEM_RESETTERMINAL						18
#define BALLOON_MENU_TERMINAL_DISABLED_ITEM_TEKTRONIX							19
#define BALLOON_MENU_TERMINAL_ENABLED_ITEM_SPEECHENABLED						20
#define BALLOON_MENU_TERMINAL_DISABLED_ITEM_SPEECHENABLED						21

/*
Map menu
*/
#define BALLOON_ENABLED_MENU_KEYBOARD											1
#define BALLOON_DISABLED_MENU_KEYBOARD											2
#define BALLOON_MENU_KEYBOARD_ENABLED_ITEM_DELETEPRESSSENDSBACKSPACE			3
#define BALLOON_MENU_KEYBOARD_DISABLED_ITEM_DELETEPRESSSENDSBACKSPACE			4
#define BALLOON_MENU_KEYBOARD_CHECKED_ITEM_DELETEPRESSSENDSBACKSPACE			5
#define BALLOON_MENU_KEYBOARD_ENABLED_ITEM_DELETEPRESSSENDSDELETE				6
#define BALLOON_MENU_KEYBOARD_DISABLED_ITEM_DELETEPRESSSENDSDELETE				7
#define BALLOON_MENU_KEYBOARD_CHECKED_ITEM_DELETEPRESSSENDSDELETE				8
#define BALLOON_MENU_KEYBOARD_ENABLED_ITEM_SETKEYS								9
#define BALLOON_MENU_KEYBOARD_DISABLED_ITEM_SETKEYS								10
#define BALLOON_MENU_KEYBOARD_ENABLED_ITEM_EMACSARROWMAPPING					11
#define BALLOON_MENU_KEYBOARD_DISABLED_ITEM_EMACSARROWMAPPING					12
#define BALLOON_MENU_KEYBOARD_CHECKED_ITEM_EMACSARROWMAPPING					13
#define BALLOON_MENU_KEYBOARD_ENABLED_ITEM_LOCALPAGEUPDOWN						14
#define BALLOON_MENU_KEYBOARD_DISABLED_ITEM_LOCALPAGEUPDOWN						15
#define BALLOON_MENU_KEYBOARD_CHECKED_ITEM_LOCALPAGEUPDOWN						16
#define BALLOON_MENU_KEYBOARD_DISABLED_ITEM_TRANSLATIONCHOICETITLE				17
#define BALLOON_MENU_KEYBOARD_ENABLED_ITEM_TRANSLATIONCHOICE					18
#define BALLOON_MENU_KEYBOARD_DISABLED_ITEM_TRANSLATIONCHOICE					19

/*
Network menu
*/
#define BALLOON_ENABLED_MENU_NETWORK											1
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDFTPCOMMAND						2
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDFTPCOMMAND						3
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDINTERNETPROTOCOLNUMBER			4
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDINTERNETPROTOCOLNUMBER			5
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SHOWNETWORKNUMBERS					6
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDSYNC								7
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDSYNC								8
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDBREAK								9
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDBREAK							10
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDINTERRUPTPROCESS					11
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDINTERRUPTPROCESS					12
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDABORTOUTPUT						13
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDABORTOUTPUT						14
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDAREYOUTHERE						15
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDAREYOUTHERE						16
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDERASECHARACTER					17
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDERASECHARACTER					18
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDERASELINE							19
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDERASELINE						20
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SENDENDOFFILE							21
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_SENDENDOFFILE						22
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_WATCHFORACTIVITY						23
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_WATCHFORACTIVITY						24
#define BALLOON_MENU_NETWORK_CHECKED_ITEM_WATCHFORACTIVITY						25
#define BALLOON_MENU_NETWORK_ENABLED_ITEM_SUSPENDNETWORK						26
#define BALLOON_MENU_NETWORK_DISABLED_ITEM_SUSPENDNETWORK						27
#define BALLOON_MENU_NETWORK_CHECKED_ITEM_SUSPENDNETWORK						28

/*
Window menu
*/
#define BALLOON_ENABLED_MENU_WINDOW												1
#define BALLOON_DISABLED_MENU_WINDOW											2
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_HIDEFRONTWINDOW						3
#define BALLOON_MENU_WINDOW_DISABLED_ITEM_HIDEFRONTWINDOW						4
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_HIDEOTHERWINDOWS						5
#define BALLOON_MENU_WINDOW_DISABLED_ITEM_HIDEOTHERWINDOWS						6
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWALLHIDDENWINDOWS					7
#define BALLOON_MENU_WINDOW_DISABLED_ITEM_SHOWALLHIDDENWINDOWS					8
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_STACKWINDOWS							9
#define BALLOON_MENU_WINDOW_DISABLED_ITEM_STACKWINDOWS							10
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_NEXTWINDOW								11
#define BALLOON_MENU_WINDOW_DISABLED_ITEM_NEXTWINDOW							12
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_CHANGEWINDOWTITLE						13
#define BALLOON_MENU_WINDOW_DISABLED_ITEM_CHANGEWINDOWTITLE						14
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWFTPLOG								15
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWCOMMANDLINE						16
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWMACROS								17
#define BALLOON_MENU_WINDOW_DISABLED_ITEM_SHOWMACROS							18
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWCONTROLKEYS						19
#define BALLOON_MENU_WINDOW_DISABLED_ITEM_SHOWCONTROLKEYS						20
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWFUNCTION							21
#define BALLOON_MENU_WINDOW_DISABLED_ITEM_SHOWFUNCTION							22
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_SHOWKEYPAD								23
#define BALLOON_MENU_WINDOW_DISABLED_ITEM_SHOWKEYPAD							24
#define BALLOON_MENU_WINDOW_ENABLED_ITEM_GENERIC_CONNECTION						25
#define BALLOON_MENU_WINDOW_CHECKED_ITEM_GENERIC_CONNECTION						26

/*
Scripts menu
*/
#define BALLOON_ENABLED_MENU_SCRIPTS											1
#define BALLOON_MENU_SCRIPTS_ENABLED_ITEM_GENERIC_SCRIPT						2

/*
TEK submenu
*/
#define BALLOON_MENU_TEKTRONIX_ENABLED_ITEM_TEKPAGECOMMAND						1
#define BALLOON_MENU_TEKTRONIX_ENABLED_ITEM_TEKPAGECLEARSSCREEN					2
#define BALLOON_MENU_TEKTRONIX_CHECKED_ITEM_TEKPAGECLEARSSCREEN					3

/*
Internet Resources submenu
*/
#define BALLOON_MENU_TELNETONTHEWEB_ENABLED_ITEM_TELNETHOMEPAGE					1
#define BALLOON_MENU_TELNETONTHEWEB_ENABLED_ITEM_TELNETAUTHORMAIL				2
#define BALLOON_MENU_TELNETONTHEWEB_ENABLED_ITEM_TELNETSOURCELICENSE			3
#define BALLOON_MENU_TELNETONTHEWEB_ENABLED_ITEM_TELNETLIBRARYLICENSE			4
#define BALLOON_MENU_TELNETONTHEWEB_ENABLED_ITEM_TELNETPROJECTSTATUS			5



/*********************************************
		DIALOG BOX BALLOON HELP STRINGS
*********************************************/

/*
Edit FTP Log-In Message dialog box
*/
#define BALLOON_DIALOG_EDITFTPLOGINMESSAGE_MAIN_FIELD							1

/*
Format  dialog box
*/
#define BALLOON_DIALOG_FORMAT_ENABLED_POPUPMENU_EDIT_WHAT						1
#define BALLOON_DIALOG_FORMAT_ENABLED_POPUPMENU_FONT							2
#define BALLOON_DIALOG_FORMAT_DISABLED_POPUPMENU_FONT							3
#define BALLOON_DIALOG_FORMAT_ENABLED_FIELD_FONTSIZE							4
#define BALLOON_DIALOG_FORMAT_DISABLED_FIELD_FONTSIZE							5
#define BALLOON_DIALOG_FORMAT_ENABLED_LITTLEARROWS_FONTSIZE						6
#define BALLOON_DIALOG_FORMAT_DISABLED_LITTLEARROWS_FONTSIZE					7
#define BALLOON_DIALOG_FORMAT_ENABLED_POPUPMENU_FONTSIZE						8
#define BALLOON_DIALOG_FORMAT_DISABLED_POPUPMENU_FONTSIZE						9
#define BALLOON_DIALOG_FORMAT_ENABLED_COLORBOX_FOREGROUND						10
#define BALLOON_DIALOG_FORMAT_DISABLED_COLORBOX_FOREGROUND						11
#define BALLOON_DIALOG_FORMAT_ENABLED_COLORBOX_BACKGROUND						12
#define BALLOON_DIALOG_FORMAT_DISABLED_COLORBOX_BACKGROUND						13

/*
Macro Setup dialog box
*/
#define BALLOON_DIALOG_MACROSETUP_ENABLED_BUTTON_IMPORT							1
#define BALLOON_DIALOG_MACROSETUP_ENABLED_BUTTON_EXPORT							2
#define BALLOON_DIALOG_MACROSETUP_UNCHECKED_RADIOBUTTON_SET						3
#define BALLOON_DIALOG_MACROSETUP_CHECKED_RADIOBUTTON_SET						4
#define BALLOON_DIALOG_MACROSETUP_FIELD_GENERIC_MACRO							5
#define BALLOON_DIALOG_MACROSETUP_LABEL_GENERIC_MACRO							6
#define BALLOON_DIALOG_MACROSETUP_ENABLED_BUTTON_MAKE_CURRENT_ACTIVE			7
#define BALLOON_DIALOG_MACROSETUP_ENABLED_BUTTON_SAVE_AS_DEFAULT_SET			8
#define BALLOON_DIALOG_MACROSETUP_DISABLED_BUTTON_SAVE_AS_DEFAULT_SET			9
#define BALLOON_DIALOG_MACROSETUP_UNCHECKED_RADIOBUTTON_COMMANDKEYS				10
#define BALLOON_DIALOG_MACROSETUP_CHECKED_RADIOBUTTON_COMMANDKEYS				11
#define BALLOON_DIALOG_MACROSETUP_UNCHECKED_RADIOBUTTON_FUNCTIONKEYS			12
#define BALLOON_DIALOG_MACROSETUP_CHECKED_RADIOBUTTON_FUNCTIONKEYS				13

/*
New Sessions dialog box
*/
#define BALLOON_DIALOG_NEWSESSIONS_ENABLED_BUTTON_CONNECT						1
#define BALLOON_DIALOG_NEWSESSIONS_ENABLED_BUTTON_ADD							2
#define BALLOON_DIALOG_NEWSESSIONS_DISABLED_BUTTON_ADD							3
#define BALLOON_DIALOG_NEWSESSIONS_ENABLED_BUTTON_REMOVE						4
#define BALLOON_DIALOG_NEWSESSIONS_DISABLED_BUTTON_REMOVE						5
#define BALLOON_DIALOG_NEWSESSIONS_ENABLED_BUTTON_FAVORITES						6
#define BALLOON_DIALOG_NEWSESSIONS_ENABLED_BUTTON_RECENT						7
#define BALLOON_DIALOG_NEWSESSIONS_DISABLED_BUTTON_RECENT						8
#define BALLOON_DIALOG_NEWSESSIONS_FIELD_WINDOW_TITLE							9
#define BALLOON_DIALOG_NEWSESSIONS_FIELD_HOST_NAME								10
#define BALLOON_DIALOG_NEWSESSIONS_UNCHECKED_CHECKBOX_VIA_PROXY					11
#define BALLOON_DIALOG_NEWSESSIONS_CHECKED_CHECKBOX_VIA_PROXY					12
#define BALLOON_DIALOG_NEWSESSIONS_LIST_CONNECTIONS_TO_OPEN						13
#define BALLOON_DIALOG_NEWSESSIONS_UNCHECKED_CHECKBOX_AUTHENTICATE				14
#define BALLOON_DIALOG_NEWSESSIONS_DISABLED_CHECKBOX_AUTHENTICATE				15
#define BALLOON_DIALOG_NEWSESSIONS_CHECKED_CHECKBOX_AUTHENTICATE				16
#define BALLOON_DIALOG_NEWSESSIONS_ENABLED_POPUPMENU_PROXIES					17
#define BALLOON_DIALOG_NEWSESSIONS_DISABLED_POPUPMENU_PROXIES					18
#define BALLOON_DIALOG_NEWSESSIONS_ENABLED_LITTLEARROWS_TERMINAL				19
#define BALLOON_DIALOG_NEWSESSIONS_ENABLED_POPUPMENU_TERMINAL					20
#define BALLOON_DIALOG_NEWSESSIONS_DISABLED_POPUPMENU_TERMINAL					21

/*
Terminal Editor dialog box
*/
#define BALLOON_DIALOG_TERMINALEDITOR_FIELD_NAME								1
#define BALLOON_DIALOG_TERMINALEDITOR_TEXT_DEFAULT								2
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_ANSI					3
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_ANSI						4
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_XTERM					5
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_XTERM					6
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_WRAP					7
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_WRAP						8
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_EMACSARROWS			9
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_EMACSARROWS				10
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_8BIT					11
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_8BIT						12
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_SAVEONCLEAR			13
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_SAVEONCLEAR				14
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_REMAPKEYPAD			15
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_REMAPKEYPAD				16
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_CHECKBOX_LOCALPAGEKEYS			17
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_CHECKBOX_LOCALPAGEKEYS			18
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_METACTRLCMD			19
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_METACTRLCMD			20
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_METAOPTION			21
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_METAOPTION			22
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_METANONE			23
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_METANONE				24
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_EMULATEVT100		25
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_EMULATEVT100			26
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_EMULATEVT220		27
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_EMULATEVT220			28
#define BALLOON_DIALOG_TERMINALEDITOR_UNCHECKED_RADIOBUTTON_EMULATENONE			29
#define BALLOON_DIALOG_TERMINALEDITOR_CHECKED_RADIOBUTTON_EMULATENONE			30

/*
Set Window Title dialog box
*/
#define BALLOON_DIALOG_SETWINDOWTITLE_ENABLED_BUTTON_SETTITLE					1
#define BALLOON_DIALOG_SETWINDOWTITLE_FIELD_WINDOW_TITLE						2



/*********************************************
		GENERIC BALLOON HELP STRINGS
*********************************************/

#define BALLOON_GENERIC_CONNECTIONS_DISABLED_MENU_ITEM_NONE_OPEN				1
#define BALLOON_GENERIC_CONNECTIONS_UNCHECKED_CHECKBOX_UPDATEDEFTERM			2

#define BALLOON_GENERIC_DIALOG_DISABLED_MENU_ITEM								1
#define BALLOON_GENERIC_DIALOG_DISABLED_MENU									2
#define BALLOON_GENERIC_DIALOG_ENABLED_BUTTON_HELP								3
#define BALLOON_GENERIC_DIALOG_DISABLED_BUTTON_HELP								4
#define BALLOON_GENERIC_DIALOG_ENABLED_BUTTON_CANCEL							5

#endif



#endif /* __TELNET_BALLOONS_R */
