/*
**************************************************************************
	TelnetProxyServerDialog.r
	
	MacTelnet 3.0
	 1998-2000 by Kevin Grant
	
	This file defines the Proxy Server dialog box.
**************************************************************************
*/
#ifdef REZ

#include "Appearance.r"
#include "Balloons.r"
#include "Controls.r"
#include "ControlDefinitions.r"
#include "Dialogs.r"
#include "MacTypes.r"
#include "Windows.r"
#include "ControlResources.h"
#include "DialogResources.h"
#include "MenuResources.h"
#include "InterfaceLib.h"

#endif

#include "SpacingConstants.r"
#ifndef __TELNETBALLOONS_R__
#	include "TelnetBalloons.r"
#endif
#include "TelnetButtonNames.h"


/*
*******************************************
	"PROXY SERVER" DIALOG BOX
*******************************************
*/

/* the entire dialog box area */
#define	PROXYSERVER_DIALOG_WD		450
#define	PROXYSERVER_DIALOG_HT		350

#ifdef REZ

#define	DIALOG_WD		PROXYSERVER_DIALOG_WD
#define	DIALOG_HT		PROXYSERVER_DIALOG_HT

/* miscellaneous settings for controls' width, height, and location */
#define NAMELABEL_T						(VSP_TEXT_AND_DIALOG + SPACE_EXTRA_TEXTEDIT)
#define NAMELABEL_L						HSP_TEXT_AND_DIALOG
#define NAMELABEL_WD					58
#define NAMEFIELD_T						NAMELABEL_T
#define NAMEFIELD_L						(NAMELABEL_L + NAMELABEL_WD + HSP_CONTROLS + SPACE_EXTRA_TEXTEDIT)
#define NAMEFIELD_WD					(DIALOG_WD - 2 * HSP_TEXT_AND_DIALOG - NAMELABEL_WD - HSP_CONTROLS)

#define TABCONTROL_T					(NAMELABEL_T + TEXT_HT_BIG + SPACE_EXTRA_TEXTEDIT + VSP_TABS_AND_CONTROL)
#define TABCONTROL_L					HSP_TAB_AND_DIALOG
#define TABCONTROL_WD					(DIALOG_WD - 2 * HSP_TAB_AND_DIALOG)
#define TABCONTROL_HT					(DIALOG_HT - TABCONTROL_T - VSP_TABS_AND_CONTROL - BUTTON_HT - VSP_BUTTON_AND_DIALOG)
#define TABPANE_T						(TABCONTROL_T + TAB_HT_BIG + VSP_TABPANE_AND_TAB)
#define TABPANE_L						(TABCONTROL_L + HSP_TABPANE_AND_TAB)
#define TABPANE_WD						(TABCONTROL_WD - 2 * HSP_TABPANE_AND_TAB)
#define TABPANE_HT						(TABCONTROL_HT - TAB_HT_BIG - 2 * VSP_TABPANE_AND_TAB)

#define SERVERINFOLABELS_L				TABPANE_L
#define SERVERINFOLABELS_WD				140
#define SERVERHOSTFIELDLABEL_T			(TABPANE_T + SPACE_EXTRA_TEXTEDIT)
#define SERVERHOSTFIELDLABEL_L			SERVERINFOLABELS_L
#define SERVERPORTFIELDLABEL_T			(SERVERHOSTFIELDLABEL_T + TEXT_HT_BIG + VSP_EDITABLETEXTAREAS)
#define SERVERPORTFIELDLABEL_L			SERVERINFOLABELS_L
#define POPUPPROTOCOLMENULABEL_T		(SERVERPORTFIELDLABEL_T + TEXT_HT_BIG + VSP_EDITABLETEXTAREAS)
#define POPUPPROTOCOLMENULABEL_L		SERVERINFOLABELS_L
#define SERVERINFOITEMS_L				(SERVERINFOLABELS_L + SERVERINFOLABELS_WD + HSP_CONTROLS)
#define SERVERHOSTFIELD_T				SERVERHOSTFIELDLABEL_T
#define SERVERHOSTFIELD_L				(SERVERINFOITEMS_L + SPACE_EXTRA_TEXTEDIT)
#define SERVERHOSTFIELD_WD				(TABPANE_WD - SERVERINFOLABELS_WD - HSP_CONTROLS - 2 * SPACE_EXTRA_TEXTEDIT)
#define SERVERPORTFIELD_T				SERVERPORTFIELDLABEL_T
#define SERVERPORTFIELD_L				(SERVERINFOITEMS_L + SPACE_EXTRA_TEXTEDIT)
#define SERVERPORTFIELD_WD				48
#define POPUPPROTOCOLMENU_T				(POPUPPROTOCOLMENULABEL_T + ((TEXT_HT_BIG - POPUPMENUBUTTON_HT) / 2) - 1)
#define POPUPPROTOCOLMENU_L				SERVERINFOITEMS_L
#define POPUPPROTOCOLMENU_WD			95
#define SERVERINFOTIPGROUPBOX_T			(POPUPPROTOCOLMENU_T + POPUPMENUBUTTON_HT + SPACE_EXTRA_TEXTEDIT + VSP_CONTROLS)
#define SERVERINFOTIPGROUPBOX_L			TABPANE_L
#define SERVERINFOTIPGROUPBOX_WD		TABPANE_WD
#define SERVERINFOTIPGROUPBOX_HT		((3 * TEXT_HT_SMALL) + 2 * VSP_GROUPBOX_AND_HELPTEXT)
#define SERVERINFOTIPICON_T				(SERVERINFOTIPGROUPBOX_T + VSP_GROUPBOX_AND_HELPTEXT)
#define SERVERINFOTIPICON_L				(SERVERINFOTIPGROUPBOX_L + VSP_GROUPBOX_AND_HELPTEXT)
#define SERVERINFOTIPTEXT_T				(SERVERINFOTIPGROUPBOX_T + VSP_GROUPBOX_AND_HELPTEXT)
#define SERVERINFOTIPTEXT_L				(SERVERINFOTIPGROUPBOX_L + HSP_GROUPBOX_AND_HELPTEXT + ICON_WD_SMALL + HSP_CONTROLS)
#define SERVERINFOTIPTEXT_WD			(TABPANE_WD - SERVERINFOTIPTEXT_L)
#define SERVERINFOTIPTEXT_HT			(SERVERINFOTIPGROUPBOX_HT - 2 * VSP_GROUPBOX_AND_HELPTEXT)

#define AUTHENTICATIONLABELS_L			TABPANE_L
#define AUTHENTICATIONLABELS_WD			140
#define AUTHENTICATIONNAMELABEL_T		(TABPANE_T + SPACE_EXTRA_TEXTEDIT)
#define AUTHENTICATIONNAMELABEL_L		AUTHENTICATIONLABELS_L
#define AUTHENTICATIONPASSWORDLABEL_T	(AUTHENTICATIONNAMELABEL_T + TEXT_HT_BIG + VSP_EDITABLETEXTAREAS)
#define AUTHENTICATIONPASSWORDLABEL_L	AUTHENTICATIONLABELS_L
#define AUTHENTICATIONITEMS_L			SERVERINFOITEMS_L
#define AUTHENTICATIONNAMEFIELD_T		AUTHENTICATIONNAMELABEL_T
#define AUTHENTICATIONNAMEFIELD_L		(AUTHENTICATIONITEMS_L + SPACE_EXTRA_TEXTEDIT)
#define AUTHENTICATIONNAMEFIELD_WD		(TABPANE_WD - AUTHENTICATIONLABELS_WD - HSP_CONTROLS - 2 * SPACE_EXTRA_TEXTEDIT)
#define AUTHENTICATIONSECURITYICON_T	(AUTHENTICATIONPASSWORDLABEL_T + ((TEXT_HT_BIG - ICON_HT_SMALL) / 2))
#define AUTHENTICATIONSECURITYICON_L	(AUTHENTICATIONITEMS_L - ICON_WD_SMALL - HSP_CONTROLS)
#define AUTHENTICATIONPASSWORDSET_T		(AUTHENTICATIONPASSWORDLABEL_T + ((TEXT_HT_BIG - BUTTON_HT) / 2))
#define AUTHENTICATIONPASSWORDSET_L		AUTHENTICATIONITEMS_L

#define DIRECTDOMAINBUTTONS_WD			108
#define DIRECTDOMAINHELPTEXT_T			TABPANE_T
#define DIRECTDOMAINHELPTEXT_L			TABPANE_L
#define DIRECTDOMAINHELPTEXT_WD			TABPANE_WD
#define DIRECTDOMAINHELPTEXT_HT			(3 * TEXT_HT_SMALL)
#define DIRECTDOMAINLIST_T				(DIRECTDOMAINHELPTEXT_T + DIRECTDOMAINHELPTEXT_HT + VSP_CONTROLS)
#define DIRECTDOMAINLIST_L				DIRECTDOMAINHELPTEXT_L
#define DIRECTDOMAINLIST_WD				(TABPANE_WD - DIRECTDOMAINBUTTONS_WD - HSP_CONTROLS)
#define DIRECTDOMAINLIST_HT				74
#define DIRECTDOMAINLABEL_T				(DIRECTDOMAINLIST_T + DIRECTDOMAINLIST_HT + VSP_CONTROLS + SPACE_EXTRA_TEXTEDIT)
#define DIRECTDOMAINLABEL_L				(TABPANE_L + SPACE_EXTRA_TEXTEDIT)
#define DIRECTDOMAINLABEL_WD			(DIRECTDOMAINLIST_WD - 2 * SPACE_EXTRA_TEXTEDIT)
#define DIRECTDOMAINFIELD_T				(DIRECTDOMAINLABEL_T + TEXT_HT_BIG + VSP_CONTROLS + SPACE_EXTRA_TEXTEDIT)
#define DIRECTDOMAINFIELD_L				DIRECTDOMAINLABEL_L
#define DIRECTDOMAINFIELD_WD			DIRECTDOMAINLABEL_WD
#define DIRECTDOMAINBUTTONS_L			(DIRECTDOMAINLIST_L + DIRECTDOMAINLIST_WD + HSP_CONTROLS)
#define DIRECTDOMAINREMOVEBUTTON_T		DIRECTDOMAINLIST_T
#define DIRECTDOMAINNEWBUTTON_T			(DIRECTDOMAINFIELD_T + ((TEXT_HT_BIG - BUTTON_HT) / 2))



resource 'DLOG' (kDialogIDProxyServerSetup, PROXYSERVER_WINDOWNAME, purgeable)
{
	{ 0, 0, DIALOG_HT, DIALOG_WD },
	kWindowMovableModalDialogProc,
	invisible,
	0, // close box
	0,
	kDialogIDProxyServerSetup,
	PROXYSERVER_WINDOWNAME,
	alertPositionMainScreen
};

resource 'dlgx' (kDialogIDProxyServerSetup)
{
	versionZero
	{
		kDialogFlagsUseThemeBackground |
		kDialogFlagsUseControlHierarchy |
		kDialogFlagsHandleMovableModal |
		kDialogFlagsUseThemeControls
	}
};

resource 'DITL' (kDialogIDProxyServerSetup, PROXYSERVER_WINDOWNAME, purgeable)
{
	{
		// 1
		{ 0, 0/* autosized and auto-positioned button */, -1, -1 },
		Control { enabled, kIDOKButton },
		
		// 2
		{ 0, 0/* autosized and auto-positioned button */, -1, -1 },
		Control { enabled, kIDCancelButton },
		
		// 3
		{ 0, 0/* autosized and auto-positioned button */, -1, -1 },
		Control { enabled, kIDAppleGuideButton },
		
		// 4
		{ NAMELABEL_T, NAMELABEL_L, (NAMELABEL_T + TEXT_HT_BIG), (NAMELABEL_L + NAMELABEL_WD) },
		StaticText { disabled, DIALOGTEXT_PROXYSERVER_NAME_LABEL },
		
		// 5
		{ NAMEFIELD_T, NAMEFIELD_L, -1, -1 },
		Control { enabled, kIDProxyServerNameField },
		
		// 6
		{ TABCONTROL_T, TABCONTROL_L, -1, -1 },
		Control { enabled, kIDProxyServerTabs },
		
		// SERVER INFO TABS CONTROLS
		// 7
		{ TABPANE_T - SPACE_EXTRA_CONTAINER, TABPANE_L - SPACE_EXTRA_CONTAINER, -1, -1 },
		Control { enabled, kIDProxyServerInfoTabPane },
		
		// 8
		{	SERVERHOSTFIELDLABEL_T,
			SERVERHOSTFIELDLABEL_L,
			(SERVERHOSTFIELDLABEL_T + TEXT_HT_BIG),
			(SERVERHOSTFIELDLABEL_L + SERVERINFOLABELS_WD) },
		StaticText { disabled, DIALOGTEXT_PROXYSERVER_SERVERHOST_LABEL },
		
		// 9
		{ SERVERHOSTFIELD_T, SERVERHOSTFIELD_L, -1, -1 },
		Control { enabled, kIDProxyServerInfoHostField },
		
		// 10
		{	SERVERPORTFIELDLABEL_T,
			SERVERPORTFIELDLABEL_L,
			(SERVERPORTFIELDLABEL_T + TEXT_HT_BIG),
			(SERVERPORTFIELDLABEL_L + SERVERINFOLABELS_WD) },
		StaticText { disabled, DIALOGTEXT_PROXYSERVER_PORTNUMBER_LABEL },
		
		// 11
		{ SERVERPORTFIELD_T, SERVERPORTFIELD_L, -1, -1 },
		Control { enabled, kIDProxyServerInfoPortField },
		
		// 12
		{	POPUPPROTOCOLMENULABEL_T,
			POPUPPROTOCOLMENULABEL_L,
			(POPUPPROTOCOLMENULABEL_T + TEXT_HT_BIG),
			(POPUPPROTOCOLMENULABEL_L + SERVERINFOLABELS_WD) },
		StaticText { disabled, DIALOGTEXT_PROXYSERVER_PROTOCOL_LABEL },
		
		// 13
		{ POPUPPROTOCOLMENU_T, POPUPPROTOCOLMENU_L, -1, -1 },
		Control { enabled, kIDProxyServerInfoProtocolMenu },
		
		// 14
		{ SERVERINFOTIPGROUPBOX_T, SERVERINFOTIPGROUPBOX_L, -1, -1 },
		Control { enabled, kIDProxyServerInfoTipSecondaryGroupBox },
		
		// 15
		{ SERVERINFOTIPICON_T, SERVERINFOTIPICON_L, -1, -1 },
		Control { enabled, kIDProxyServerInfoTipNoteIcon },
		
		// 16
		{	SERVERINFOTIPTEXT_T,
			SERVERINFOTIPTEXT_L,
			(SERVERINFOTIPTEXT_T + SERVERINFOTIPTEXT_HT),
			(SERVERINFOTIPTEXT_L + SERVERINFOTIPTEXT_WD) },
		StaticText { disabled, HELPTEXT_PROXYSETUP_SERVERINFO_TIP },
		
		// AUTHENTICATION TABS CONTROLS
		// 17
		{ TABPANE_T - SPACE_EXTRA_CONTAINER, TABPANE_L - SPACE_EXTRA_CONTAINER, -1, -1 },
		Control { enabled, kIDProxyServerAuthenticationTabPane },
		
		// 18
		{	AUTHENTICATIONNAMELABEL_T,
			AUTHENTICATIONNAMELABEL_L,
			(AUTHENTICATIONNAMELABEL_T + TEXT_HT_BIG),
			(AUTHENTICATIONLABELS_L + AUTHENTICATIONLABELS_WD) },
		StaticText { disabled, DIALOGTEXT_PROXYSERVER_AUTHENTICATIONNAME_LABEL },
		
		// 19
		{ AUTHENTICATIONNAMEFIELD_T, AUTHENTICATIONNAMEFIELD_L, -1, -1 },
		Control { enabled, kIDProxyServerAuthenticationNameField },
		
		// 20
		{	AUTHENTICATIONPASSWORDLABEL_T,
			AUTHENTICATIONPASSWORDLABEL_L,
			(AUTHENTICATIONPASSWORDLABEL_T + TEXT_HT_BIG),
			(AUTHENTICATIONPASSWORDLABEL_L + AUTHENTICATIONLABELS_WD) },
		StaticText { disabled, DIALOGTEXT_PROXYSERVER_AUTHENTICATIONPASSWORD_LABEL },
		
		// 21
		{ AUTHENTICATIONSECURITYICON_T, AUTHENTICATIONSECURITYICON_L, -1, -1 },
		Control { enabled, kIDProxyServerAuthenticationSecurityIcon },
		
		// 22
		{ AUTHENTICATIONPASSWORDSET_T, AUTHENTICATIONPASSWORDSET_L, -1, -1 },
		Control { enabled, kIDProxyServerAuthenticationPasswordSetButton },
		
		// DIRECT DOMAINS TABS CONTROLS
		// 23
		{ TABPANE_T - SPACE_EXTRA_CONTAINER, TABPANE_L - SPACE_EXTRA_CONTAINER, -1, -1 },
		Control { enabled, kIDProxyServerDirectDomainsTabPane },
		
		// 24
		{ DIRECTDOMAINLIST_T + 1, DIRECTDOMAINLIST_L + 1, -1, -1 },
		Control { enabled, kIDProxyServerDirectDomainsList },
		
		// 25
		{	DIRECTDOMAINLABEL_T,
			DIRECTDOMAINLABEL_L,
			(DIRECTDOMAINLABEL_T + TEXT_HT_BIG),
			(DIRECTDOMAINLABEL_L + DIRECTDOMAINLABEL_WD) },
		StaticText { disabled, DIALOGTEXT_PROXYSERVER_DIRECTDOMAIN_LABEL },
		
		// 26
		{ DIRECTDOMAINFIELD_T, DIRECTDOMAINFIELD_L, -1, -1 },
		Control { enabled, kIDProxyServerDirectDomainsHostField },
		
		// 27
		{ DIRECTDOMAINNEWBUTTON_T, DIRECTDOMAINBUTTONS_L, -1, -1 },
		Control { enabled, kIDProxyServerDirectDomainsNewDomainButton },
		
		// 28
		{ DIRECTDOMAINREMOVEBUTTON_T, DIRECTDOMAINBUTTONS_L, -1, -1 },
		Control { enabled, kIDProxyServerDirectDomainsRemoveButton },
		
		// 29
		{	DIRECTDOMAINHELPTEXT_T,
			DIRECTDOMAINHELPTEXT_L,
			(DIRECTDOMAINHELPTEXT_T + DIRECTDOMAINHELPTEXT_HT),
			(DIRECTDOMAINHELPTEXT_L + DIRECTDOMAINHELPTEXT_WD) },
		StaticText { disabled, HELPTEXT_PROXYSETUP_DIRECTDOMAINS_DESCRIPTION },
	}
};

resource 'hdlg' (kDialogBalloonsIDProxyServerSetup, purgeable)
{
	HelpMgrVersion,
	0, // zero-based dialog item number of first item that has a help balloon
	0,
	0,
	0,
	HMSkipItem {}, // no missing item string
	{
		HMSkipItem {/* INCOMPLETE HELP */}, // 1
		HMStringResItem // 2
		{
			{ BUTTON_BALLOON_TIP_V, BUTTON_BALLOON_TIP_H }, // tip point (v, h), relative to the location of the dialog item
			{ 0, 0, 0, 0 }, // hot rectangle, relative to the location of the dialog item - only needed in special cases
			rStringsBalloonTextGenericDialogs, BALLOON_GENERIC_DIALOG_ENABLED_BUTTON_CANCEL,
			0, 0,
			0, 0,
			0, 0
		},
		HMStringResItem // 3
		{
			{ HELPBUTTON_BALLOON_TIP_V, HELPBUTTON_BALLOON_TIP_H }, // tip point (v, h), relative to the location of the dialog item
			{ 0, 0, 0, 0 }, // hot rectangle, relative to the location of the dialog item - only needed in special cases
			rStringsBalloonTextGenericDialogs, BALLOON_GENERIC_DIALOG_ENABLED_BUTTON_HELP,
			rStringsBalloonTextGenericDialogs, BALLOON_GENERIC_DIALOG_DISABLED_BUTTON_HELP,
			0, 0,
			0, 0
		}
	}
};

resource 'dftb' (kDialogIDProxyServerSetup, PROXYSERVER_WINDOWNAME": Font Auxiliary Info")
{
	versionZero
	{
		{
			skipItem { }, // 1
			skipItem { }, // 2
			skipItem { }, // 3
			skipItem { }, // 4
			skipItem { }, // 5
			skipItem { }, // 6
			skipItem { }, // 7
			skipItem { }, // 8
			skipItem { }, // 9
			skipItem { }, // 10
			skipItem { }, // 11
			skipItem { }, // 12
			skipItem { }, // 13
			skipItem { }, // 14
			skipItem { }, // 15
			dataItem // 16
			{
				kDialogFontUseFontMask | kDialogFontUseSizeMask, // flags determine what data isn't ignored
				kThemeSmallSystemFont, // font
				10, // font size
				0, // font style
				0, // text mode
				0, // justification
				0, 0, 0, // RGB forecolor
				0, 0, 0, // RGB backcolor
				"" // font name
			},
			skipItem { }, // 17
			skipItem { }, // 18
			skipItem { }, // 19
			skipItem { }, // 20
			skipItem { }, // 21
			skipItem { }, // 22
			skipItem { }, // 23
			skipItem { }, // 24
			skipItem { }, // 25
			skipItem { }, // 26
			skipItem { }, // 27
			skipItem { }, // 28
			dataItem // 29
			{
				kDialogFontUseFontMask | kDialogFontUseSizeMask, // flags determine what data isn't ignored
				kThemeSmallSystemFont, // font
				10, // font size
				0, // font style
				0, // text mode
				0, // justification
				0, 0, 0, // RGB forecolor
				0, 0, 0, // RGB backcolor
				"" // font name
			}
		}
	};
};

/* tab info */

resource kControlTabListResType (kIDProxyServerTabs, PROXYSERVER_WINDOWNAME": Tab Auxiliary Info")
{
	versionZero
	{
		{
			0, PROXYSETUP_TABNAME_SERVERINFO;
			0, PROXYSETUP_TABNAME_AUTHENTICATION/*;
			0, PROXYSETUP_TABNAME_DIRECTDOMAINS*/
		}
	};
};

resource 'CNTL' (kIDProxyServerTabs, PROXYSERVER_WINDOWNAME": Tab Control", purgeable)
{
	{ 0, 0, TABCONTROL_HT, TABCONTROL_WD },
	kIDProxyServerTabs, // resource ID of "kControlTabListResType" resource
	visible,
	0,
	0,
	kControlTabLargeNorthProc,
	0,
	""
};

resource 'CNTL' (kIDProxyServerInfoTabPane, PROXYSERVER_WINDOWNAME": Server Info Tab Pane", purgeable)
{
	{ 0, 0, TABPANE_HT + 2 * SPACE_EXTRA_CONTAINER, TABPANE_WD + 2 * SPACE_EXTRA_CONTAINER },
	kControlSupportsEmbedding, // control feature bits
	visible,
	0,
	0,
	kControlUserPaneProc,
	0,
	""
};

resource 'CNTL' (kIDProxyServerAuthenticationTabPane, PROXYSERVER_WINDOWNAME": Authentication Tab Pane", purgeable)
{
	{ 0, 0, TABPANE_HT + 2 * SPACE_EXTRA_CONTAINER, TABPANE_WD + 2 * SPACE_EXTRA_CONTAINER },
	kControlSupportsEmbedding, // control feature bits
	visible,
	0,
	0,
	kControlUserPaneProc,
	0,
	""
};

resource 'CNTL' (kIDProxyServerDirectDomainsTabPane, PROXYSERVER_WINDOWNAME": Direct Domains Tab Pane", purgeable)
{
	{ 0, 0, TABPANE_HT + 2 * SPACE_EXTRA_CONTAINER, TABPANE_WD + 2 * SPACE_EXTRA_CONTAINER },
	kControlSupportsEmbedding, // control feature bits
	visible,
	0,
	0,
	kControlUserPaneProc,
	0,
	""
};

/* group boxes */

resource 'CNTL' (kIDProxyServerInfoTipSecondaryGroupBox, PROXYSERVER_WINDOWNAME": Tip Group Box", purgeable)
{
	{ 0, 0, SERVERINFOTIPGROUPBOX_HT, SERVERINFOTIPGROUPBOX_WD },
	0,
	visible,
	0,
	0,
	kControlGroupBoxSecondaryTextTitleProc,
	0,
	""
};

/* icons */

resource 'CNTL' (kIDProxyServerInfoTipNoteIcon, PROXYSERVER_WINDOWNAME": Note Icon", purgeable)
{
	{ 0, 0, ICON_HT_SMALL, ICON_WD_SMALL },
	1, // icon ID
	visible,
	0,
	0,
	kControlIconNoTrackProc,
	0,
	""
};

resource 'CNTL' (kIDProxyServerAuthenticationSecurityIcon, PROXYSERVER_WINDOWNAME": Security Icon", purgeable)
{
	{ 0, 0, ICON_HT_SMALL, ICON_WD_SMALL },
	kColorIconSecurity, // icon ID
	visible,
	0,
	0,
	kControlIconNoTrackProc,
	0,
	""
};

/* text fields */

resource 'CNTL' (kIDProxyServerNameField, PROXYSERVER_WINDOWNAME": Name Field", purgeable)
{
	{ 0, 0, TEXT_HT_BIG, NAMEFIELD_WD },
	0,
	visible,
	0,
	0,
	kControlEditTextProc,
	0,
	""
};

resource 'CNTL' (kIDProxyServerInfoHostField, PROXYSERVER_WINDOWNAME": Server Host Field", purgeable)
{
	{ 0, 0, TEXT_HT_BIG, SERVERHOSTFIELD_WD },
	0,
	visible,
	0,
	0,
	kControlEditTextProc,
	0,
	""
};

resource 'CNTL' (kIDProxyServerInfoPortField, PROXYSERVER_WINDOWNAME": Server Port Number Field", purgeable)
{
	{ 0, 0, TEXT_HT_BIG, SERVERPORTFIELD_WD },
	0,
	visible,
	0,
	0,
	kControlEditTextProc,
	0,
	""
};

resource 'CNTL' (kIDProxyServerAuthenticationNameField, PROXYSERVER_WINDOWNAME": Authentication User Name Field", purgeable)
{
	{ 0, 0, TEXT_HT_BIG, AUTHENTICATIONNAMEFIELD_WD },
	0,
	visible,
	0,
	0,
	kControlEditTextProc,
	0,
	""
};

resource 'CNTL' (kIDProxyServerDirectDomainsHostField, PROXYSERVER_WINDOWNAME": Direct Domains Host Field", purgeable)
{
	{ 0, 0, TEXT_HT_BIG, DIRECTDOMAINFIELD_WD },
	0,
	visible,
	0,
	0,
	kControlEditTextProc,
	0,
	""
};

/* buttons */

resource 'CNTL' (kIDProxyServerAuthenticationPasswordSetButton, PROXYSERVER_WINDOWNAME": "PROXYSETUP_BTNNAME_PASSWORDSET" Button", purgeable)
{
	{ 0, 0, 0/* auto-sized button */, 0 },
	0,
	visible,
	0,
	0,
	kControlPushButtonProc,
	0,
	PROXYSETUP_BTNNAME_PASSWORDSET
};

resource 'CNTL' (kIDProxyServerDirectDomainsNewDomainButton, PROXYSERVER_WINDOWNAME": "PROXYSETUP_BTNNAME_NEWDOMAIN" Button", purgeable)
{
	{ 0, 0, BUTTON_HT, DIRECTDOMAINBUTTONS_WD },
	0,
	visible,
	0,
	0,
	kControlPushButtonProc,
	0,
	PROXYSETUP_BTNNAME_NEWDOMAIN
};

resource 'CNTL' (kIDProxyServerDirectDomainsRemoveButton, PROXYSERVER_WINDOWNAME": "PROXYSETUP_BTNNAME_REMOVE" Button", purgeable)
{
	{ 0, 0, BUTTON_HT, DIRECTDOMAINBUTTONS_WD },
	0,
	visible,
	0,
	0,
	kControlPushButtonProc,
	0,
	PROXYSETUP_BTNNAME_REMOVE
};

/* list */

resource kControlListDescResType (kIDProxyServerDirectDomainsList)
{
	versionZero
	{
		0, // rows
		1, // columns
		18, // cell height
		0, // cell width
		hasVertScroll,
		noHorizScroll,
		0, // LDEF
		noGrowSpace
	}
};

resource 'CNTL' (kIDProxyServerDirectDomainsList, PROXYSERVER_WINDOWNAME": "PROXYSETUP_TABNAME_DIRECTDOMAINS": Domains List", purgeable)
{
	{ 0, 0, DIRECTDOMAINLIST_HT - 2, DIRECTDOMAINLIST_WD - 2 },
	kIDProxyServerDirectDomainsList, // resource ID of "kControlListDescResType" resource
	visible,
	0,
	0,
	kControlListBoxProc,
	0,
	""
};

/* pop-up menu controls */

resource 'CNTL' (kIDProxyServerInfoProtocolMenu, PROXYSERVER_WINDOWNAME": Server Info: Protocol Pop-up Menu", purgeable)
{
	{ 0, 0, BUTTON_HT, POPUPPROTOCOLMENU_WD },
	popupTitleLeftJust, // see page 5-119 of IM:MTE for valid values
	visible,
	0, // title width in pixels
	kPopUpMenuIDProxyProtocol, // menu resource ID
	kControlPopupButtonProc | kControlPopupFixedWidthVariant,
	0,
	""
};

#endif
