/*
**************************************************************************
	TelnetStrings.r
	
	MacTelnet 3.0
	 1998-2001 by Kevin Grant
	
	This file describes resource data consisting of strings of text used
	for everything from dialog box messages to button titles.
	
	Please try to view this file in the font Monaco 10.
**************************************************************************
*/

#ifndef __TELNETSTRINGS_R__
#define __TELNETSTRINGS_R__

#include "MacTypes.r"

#include "PreferenceResources.h"
#include "TelnetAlertMessageText.h"
#include "TelnetButtonNames.h"
#include "TelnetFTPText.h"
#include "TelnetHelpKeyNames.h"
#include "TelnetMenuItemNames.h"
#include "TelnetMiscellaneousText.h"
#include "TelnetVersion.h"


resource 'STR ' (PREFERENCES_FILE_INFO_STR_ID, "Preferences File Info", purgeable)
{
	PREFERENCES_FILE_CANNOT_OPEN_MESSAGE
};	


resource 'STR#' (2000, "General messages", purgeable)
{
	{
		/*1*/ALERTTEXT_TOO_MANY_OPEN_CONNECTIONS,
		/*2*/ALERTTEXT_TOO_MANY_OPEN_CONNECTIONS_HELP_TEXT,
		/*3*/ALERTTEXT_DOMAIN_NAMES_WONT_WORK_HELP_TEXT,
		/*4*/ALERTTEXT_DOMAIN_NAME_RESOLVER_OPEN_FAILED_BECAUSE,
		/*5*/ALERTTEXT_WILL_NOT_BE_ABLE_TO_OPEN_THAT_MANY_CONNECTIONS,
		/*6*/ALERTTEXT_PRINTING_FAILED,
		/*7*/ALERTTEXT_PRINTING_FAILED_HELP_TEXT,
		/*8*/ALERTTEXT_CONNECTION_OPENING_FAILED,
		/*9*/ALERTTEXT_OSERR_AND_INTERNALERR_HELP_TEXT,
		/*10*/ALERTTEXT_CANT_REMOVE_DEFAULT_LIST_ITEM,
		/*11*/ALERTTEXT_DUPLICATE_CONFIGURATION,
		/*12*/ALERTTEXT_DUPLICATE_CONFIGURATION_HELP_TEXT,
		/*13*/ALERTTEXT_COMMAND_CANNOT_CONTINUE,
		/*14*/ALERTTEXT_IP_ADDRESS_NOT_ATTAINABLE
	}
};


resource 'STR#' (2001, "Operation Failed Messages", purgeable)
{
	{
		/*1*/ALERTTEXT_OPFAILED_CANT_CREATE_FILE,
		/*2*/ALERTTEXT_OPFAILED_CANT_OPEN_FILE,
		/*3*/ALERTTEXT_OPFAILED_OUT_OF_MEMORY,
		/*4*/ALERTTEXT_OPFAILED_BAD_SET,
		/*5*/ALERTTEXT_OPFAILED_NO_PRINTER
	}
};


resource 'STR#' (2002, "Miscellaneous Strings", purgeable)
{
	{
		/*1*/"",
		/*2*/MISC_NEW_SESSION_DEFAULT_NAME,
		/*3*/MISC_NEW_TERMINAL_DEFAULT_NAME,
		/*4*/MISC_WINDOW_TITLE_ADVISED_USER_NAME,
		/*5*/MISC_WINDOW_TITLE_ADVISED_PASSWORD,
		/*6*/MISC_MAC_OS_8_5_FIND_FILE_NAME,
		/*7*/MISC_PRE_MAC_OS_8_5_FIND_FILE_NAME,
		/*8*/MISC_PICK_NEW_COLOR_PROMPT,
		/*9*/MISC_TRANSLATION_TABLE_TYPE_NONE,
		/*10*/MISC_FTP_LOG_NAME,
		/*11*/NEWSESSIONS_GROUPBOXNAME_NEWSESSION,
		/*12*/NEWSESSIONS_GROUPBOXNAME_SELECTEDSESSION,
		/*13*/DIALOGTEXT_NEWSESSIONS_SHOWDETAILS,
		/*14*/ALERTTEXT_AWAITING_DISMISSAL,
		/*15*/ALERTTEXT_BEING_OPENED,
		/*16*/ALERTTEXT_BEING_LOOKED_UP,
		/*17*/MISC_PRINTOUT_SESSION_NAME_STRING,
		/*18*/DIALOGTEXT_NEWSESSIONS_HIDEDETAILS,
		/*19*/MISC_WINDOID_NAME_KEYPAD,
		/*20*/MISC_WINDOID_NAME_FUNCTION,
		/*21*/MISC_WINDOID_NAME_SESSION_INSPECTOR,
		/*22*/MISC_WINDOID_NAME_CONTROL_KEYS,
		/*23*/"", // unused
		/*24*/INTERRUPT_PROCESS_TERMINAL_FEEDBACK
	}
};


resource 'STR#' (2003, "Status Strings", purgeable)
{
	{
		/*1*/ALERTTEXT_STATUS_THE_CONNECTION,
		/*2*/ALERTTEXT_STATUS_HELP_TEXT,
		/*3*/ALERTTEXT_STATUS_PRINTING_IN_PROGRESS,
		/*4*/ALERTTEXT_STATUS_BUILDING_FONT_LIST,
		/*5*/ALERTTEXT_STATUS_FTP_SERVER_STARTING,
		/*6*/ALERTTEXT_STATUS_FTP_SERVER_SHUTTING_DOWN,
		/*7*/ALERTTEXT_STATUS_BUILDING_SCRIPTS_MENU,
		/*8*/"",
		/*9*/ALERTTEXT_STATUS_NOT_CONNECTED,
		/*10*/ALERTTEXT_STATUS_CONNECTED_SINCE,
		/*11*/ALERTTEXT_STATUS_TIME_TODAY,
		/*12*/ALERTTEXT_STATUS_TIME_YESTERDAY
	}
};


resource 'STR#' (2004, "DNR Error Messages", purgeable)
{
	{
		/*1*/ALERTTEXT_DNR_GENERAL_ERROR,
		/*2*/ALERTTEXT_DNR_INTERRUPTED_ERROR,
		/*3*/ALERTTEXT_DNR_OUT_OF_MEMORY,
		/*4*/ALERTTEXT_DNR_NETWORK_UNREACHABLE,
		/*5*/ALERTTEXT_DNR_TIMED_OUT,
		/*6*/ALERTTEXT_DNR_CONFIGURATION_ERROR,
		/*7*/ALERTTEXT_DNR_NAME_DOES_NOT_EXIST
	}
};


resource 'STR#' (2005, "Alert Titles", purgeable)
{
	{
		/*1*/ALERTTITLE_EXPORT_NOT_POSSIBLE,
		/*2*/ALERTTITLE_CONNECTION_OPENING_FAILED,
		/*3*/ALERTTITLE_STARTUP_ERROR,
		/*4*/ALERTTITLE_FATAL_ERROR_OS_PROTECTION_MECHANISM,
		/*5*/ALERTTITLE_CLOSE,
		/*6*/ALERTTITLE_SCRIPT_ERROR,
		/*7*/"",
		/*8*/""
	}
};


/*
The first half of these strings are titles for Navigation Services
(file-choosing) dialog boxes, and the last half are the messages
displayed when the corresponding dialogs appear.
*/
resource 'STR#' (2006, "Navigation Services Dialog Strings", purgeable)
{
	{
		/*1*/NAVIGATION_SERVICES_DIALOG_TITLE_EXAMPLE_BINARY_FILE,
		/*2*/NAVIGATION_SERVICES_DIALOG_TITLE_TEXT_EDITING_APPLICATION,
		/*3*/NAVIGATION_SERVICES_DIALOG_TITLE_SELECT_DEFAULT_DIRECTORY,
		/*4*/NAVIGATION_SERVICES_DIALOG_TITLE_EXPORT_MACROS,
		/*5*/NAVIGATION_SERVICES_DIALOG_TITLE_IMPORT_MACROS,
		/*6*/NAVIGATION_SERVICES_DIALOG_TITLE_SAVE_SESSION_DESCRIPTION,
		/*7*/NAVIGATION_SERVICES_DIALOG_TITLE_LOAD_SESSION_DESCRIPTION,
		/*8*/NAVIGATION_SERVICES_DIALOG_TITLE_SAVE_CAPTURED_TEXT,
		/*9*/NAVIGATION_SERVICES_DIALOG_TITLE_LOCATE_APPLICATION, 
		/*10*/NAVIGATION_SERVICES_DIALOG_PROMPT_EXAMPLE_BINARY_FILE,
		/*11*/NAVIGATION_SERVICES_DIALOG_PROMPT_TEXT_EDITING_APPLICATION,
		/*12*/NAVIGATION_SERVICES_DIALOG_PROMPT_SELECT_DEFAULT_DIRECTORY,
		/*13*/NAVIGATION_SERVICES_DIALOG_PROMPT_EXPORT_MACROS,
		/*14*/NAVIGATION_SERVICES_DIALOG_PROMPT_IMPORT_MACROS,
		/*15*/NAVIGATION_SERVICES_DIALOG_PROMPT_SAVE_SESSION_DESCRIPTION,
		/*16*/NAVIGATION_SERVICES_DIALOG_PROMPT_LOAD_SESSION_DESCRIPTION,
		/*17*/NAVIGATION_SERVICES_DIALOG_PROMPT_SAVE_CAPTURED_TEXT,
		/*18*/NAVIGATION_SERVICES_DIALOG_PROMPT_LOCATE_APPLICATION
	}
};


/*
See the file  TelnetHelpLookup.r for definitions
of resources that use these strings.
*/
resource 'STR#' (2007, "Apple Guide Lookup Strings", purgeable)
{
	{
		/*1*/HELPKEY_SESSIONS,
		/*2*/HELPKEY_MACROS,
		/*3*/HELPKEY_PREFERENCES,
		/*4*/HELPKEY_FORMATTING,
		/*5*/HELPKEY_COMMANDLINE,
		/*6*/HELPKEY_SCREENSIZE,
		/*7*/HELPKEY_FAVORITES
	}
};


resource 'STR#' (2008, "Help Text Strings", purgeable)
{
	{
		/*1*/HELPTEXT_PREFERENCES_FTP_SERVER_ANONYMOUS_MODE_SECURITY_RISK,
		/*2*/HELPTEXT_PREFERENCES_GENERAL_NOTIFICATION_TELNET_MAY_NEED_YOUR_ATTENTION,
		/*3*/HELPTEXT_COMMAND_LINE_DEFAULT,
		/*4*/HELPTEXT_MAPKEYBOARD,
		/*5*/HELPTEXT_FORMAT_DIALOG_FRONTMOST_WINDOW,
		/*6*/HELPTEXT_EDITFTPLOGINMESSAGE_DIALOG,
		/*7*/HELPTEXT_PREFERENCES_FTP_SERVER_HOW_TO_DEFINE_USERS
	}
};


resource 'STR#' (2009, "Clipboard Strings", purgeable)
{
	{
		/*1*/CLIPBOARD_CONTENTS_SUBSTITUTION_STRING,
		/*2*/CLIPBOARD_CONTENTS_DATA_TYPE_TEXT,
		/*3*/CLIPBOARD_CONTENTS_DATA_TYPE_PICTURE,
		/*4*/CLIPBOARD_CONTENTS_DATA_TYPE_UNSUPPORTED,
		/*5*/CLIPBOARD_CONTENTS_EMPTY_STRING,
		/*6*/CLIPBOARD_CONTENTS_SCALING_AMOUNT_SUBSTITUTION_STRING,
		/*7*/CLIPBOARD_CONTENTS_APPROXIMATION_STATEMENT_WITH_TRAILING_SPACE,
		/*8*/CLIPBOARD_SIZE_UNIT_BYTES_PLURAL,
		/*9*/CLIPBOARD_SIZE_UNIT_BYTES_SINGULAR,
		/*10*/CLIPBOARD_SIZE_UNIT_KILOBYTES,
		/*11*/CLIPBOARD_SIZE_UNIT_MEGABYTES
	}
};


resource 'STR#' (2010 ,"Show/Hide Strings", purgeable)
{
	{
		/*1*/SHOWNAME_SHOWCLIPBOARD,
		/*2*/HIDENAME_SHOWCLIPBOARD,
		/*3*/SHOWNAME_SHOWFTPLOG,
		/*4*/HIDENAME_SHOWFTPLOG,
		/*5*/SHOWNAME_SHOWCOMMANDLINE,
		/*6*/HIDENAME_SHOWCOMMANDLINE,
		/*7*/"",
		/*8*/"",
		/*9*/SHOWNAME_SHOWKEYPAD,
		/*10*/HIDENAME_SHOWKEYPAD,
		/*11*/SHOWNAME_SHOWFUNCTION,
		/*12*/HIDENAME_SHOWFUNCTION,
		/*13*/SHOWNAME_SHOWCONTROLKEYS,
		/*14*/HIDENAME_SHOWCONTROLKEYS,
		/*15*/SHOWNAME_MINIMIZEFRONTWINDOW,
		/*16*/HIDENAME_MINIMIZEFRONTWINDOW,
		/*17*/SHOWNAME_SHOWSESSIONINSPECTOR,
		/*18*/HIDENAME_SHOWSESSIONINSPECTOR
	}
};


resource 'STR#' (2011, "Splash Screen Bilines", purgeable)
{
	{
		/*1*/SPLASH_SCREEN_FONT_FAMILY_NAME,
		/*2*/"8", // the number of strings below
		/*3*/SPLASH_SCREEN_RANDOM_STRING_1,
		/*4*/SPLASH_SCREEN_RANDOM_STRING_2,
		/*5*/SPLASH_SCREEN_RANDOM_STRING_3,
		/*6*/SPLASH_SCREEN_RANDOM_STRING_4,
		/*7*/SPLASH_SCREEN_RANDOM_STRING_5,
		/*8*/SPLASH_SCREEN_RANDOM_STRING_6,
		/*9*/SPLASH_SCREEN_RANDOM_STRING_7,
		/*10*/SPLASH_SCREEN_RANDOM_STRING_8
	}
};


resource 'STR#' (2012, "Menu Item Text Substitutions", purgeable)
{
	{
		/*1*/NORMAL_CLOSECONNECTION,
		/*2*/OPTION_CLOSECONNECTION,
		/*3*/NORMAL_DISCONNECT,
		/*4*/OPTION_DISCONNECT,
		/*5*/NORMAL_NEXTWINDOW,
		/*6*/SHIFT_NEXTWINDOW,
		/*7*/OPTION_NEXTWINDOW,
		/*8*/NORMAL_CAPTURETOFILE,
		/*9*/CHECKED_CAPTURETOFILE,
		/*10*/INAME_UNDO,
		/*11*/INAME_REDO,
		/*12*/INAME_UNDO_DIMENSIONCHANGES,
		/*13*/INAME_REDO_DIMENSIONCHANGES,
		/*14*/INAME_UNDO_FORMATCHANGES,
		/*15*/INAME_REDO_FORMATCHANGES,
		/*16*/INAME_ABOUT,
		/*17*/"Quad Damage",
		/*18*/"",
		/*19*/""
	}
};


resource 'STR#' (2013, "Note Alerts and Help Texts", purgeable)
{
	{
		/*1*/ALERTTEXT_ACTIVITY_WATCH_BEGUN,
		/*2*/ALERTTEXT_ACTIVITY_WATCH_BEGUN_HELP_TEXT,
		/*3*/ALERTTEXT_EXPORT_NOT_POSSIBLE,
		/*4*/ALERTTEXT_EXPORT_NOT_POSSIBLE_HELP_TEXT,
		/*5*/ALERTTEXT_PRERELEASE_WARNING,
		/*6*/ALERTTEXT_PRERELEASE_WARNING_HELP_TEXT,
		/*7*/ALERTTEXT_MACRO_IMPORT_SUCCESSFUL,
		/*8*/ALERTTEXT_SHOW_IP_ADDRESS,
		/*9*/ALERTTEXT_ACTIVITY_DETECTED,
		/*10*/ALERTTEXT_NOTIFICATION_ALERT,
		/*11*/ALERTTEXT_SCRIPT_OSERR_HELP_TEXT
	}
};


resource 'STR#' (2014, "Caution Alerts and Help Texts", purgeable)
{
	{
		/*1*/ALERTTEXT_CONNECTIONS_ARE_OPEN_QUIT_ANYWAY,
		/*2*/ALERTTEXT_CONNECTIONS_ARE_OPEN_CLOSE_ALL_ANYWAY,
		/*3*/ALERTTEXT_CONFIRM_CONNECTION_CLOSE,
		/*4*/ALERTTEXT_CONFIRM_CONNECTION_CLOSE_HELP_TEXT,
		/*5*/ALERTTEXT_THIS_WILL_REQUIRE_CONNECTION,
		/*6*/ALERTTEXT_THIS_WILL_REQUIRE_CONNECTION_HELP_TEXT,
		/*7*/ALERTTEXT_LOCATING_MENTIONED_COMMAND_HELP_TEXT,
		/*8*/ALERTTEXT_IMPORT_OVERWRITE_WARNING,
		/*9*/ALERTTEXT_PROCEDURE_NOT_UNDOABLE_HELP_TEXT,
		/*10*/ALERTTEXT_PREFERENCES_SAVED_ARE_NEWER,
		/*11*/ALERTTEXT_CONFIRM_REMOVE_LIST_ITEM,
		/*12*/ALERTTEXT_CONFIRM_REMOVE_MANY_LIST_ITEMS,
		/*13*/"",
		/*14*/"",
		/*15*/"",
		/*16*/""
	}
};


resource 'STR#' (2015, "Startup Errors", purgeable)
{
	{
		/*1*/ALERTTEXT_PREFERENCES_CORRUPTED_ATTEMPT_FIX,
		/*2*/ALERTTEXT_PREFERENCES_REPAIR_FAILED,
		/*3*/ALERTTEXT_VITAL_RESOURCE_MISSING,
		/*4*/ALERTTEXT_UNABLE_TO_OPEN_MACTCP,
		/*5*/ALERTTEXT_UNABLE_TO_CREATE_PREFERENCES_FILE,
		/*6*/ALERTTEXT_WRONG_SYSENVIRONS_VERSION,
		/*7*/ALERTTEXT_MAC_OS_VERSION_TOO_OLD,
		/*8*/ALERTTEXT_MAC_ROM_TOO_OLD,
		/*9*/ALERTTEXT_UNABLE_TO_INSTALL_APPLE_EVENT_HANDLERS,
		/*10*/ALERTTEXT_UNABLE_TO_INIT_OPEN_TRANSPORT
	}
};


resource 'STR#' (2016, "Configuration Data", purgeable)
{
	{
		/*1*/A_SESSION,
		/*2*/SESSION_PLURAL,
		/*3*/A_TERMINAL,
		/*4*/TERMINAL_PLURAL,
		/*5*/"", // unused
		/*6*/PREFERENCES_SCRIPTS_BTNNAME,
		/*7*/PREFERENCES_GENERAL_BTNNAME,
		/*8*/PREFERENCES_MACROS_BTNNAME,
		/*9*/PREFERENCES_CONFIGURATIONS_BTNNAME,
		/*10*/PREFERENCES_FTP_BTNNAME,
		/*11*/SESSION_FAVORITES_AS_TITLE, // label of section of Preferences dialog box panel
		/*12*/SESSION_FAVORITE_DUPLICATE_AS_TITLE,
		/*13*/HELPTEXT_PREFERENCES_CONFIGURATIONS_SESSIONS,
		/*14*/TERMINAL_PLURAL_AS_TITLE, // label of section of Preferences dialog box panel
		/*15*/TERMINAL_DUPLICATE_AS_TITLE,
		/*16*/HELPTEXT_PREFERENCES_CONFIGURATIONS_TERMINALS,
		/*17*/PROXY_PLURAL_AS_TITLE, // label of section of Preferences dialog box panel
		/*18*/PROXY_DUPLICATE_AS_TITLE,
		/*19*/HELPTEXT_PREFERENCES_CONFIGURATIONS_PROXIES,
		/*20*/FTP_USER_PLURAL_AS_TITLE, // label of section of Preferences dialog box panel
		/*21*/FTP_USER_DUPLICATE_AS_TITLE,
		/*22*/HELPTEXT_PREFERENCES_CONFIGURATIONS_FTP_USERS
	}
};


/*
If you are aware of any standard set of FTP messages for
a particular language, please use them here.  The English
ones are fairly standard, from UNIX implementations of FTP.

Prompt strings (with a colon at the end) are printed to
terminal screens with a space following them, so you dont
need to add any spaces here.
*/
resource 'STR#' (2017, "FTP Client Messages", purgeable)
{
	{
		/*1*/"? Invalid command", // the command entered is invalid
		/*2*/"? Ambiguous command", // the abbreviated command entered is not specific enough
		/*3*/"? Invalid help command", // the help command entered is invalid
		/*4*/"? Ambiguous help command", // the abbreviated help command entered is ambiguous
		/*5*/"Commands may be abbreviated:", // title string for list of all recognized commands
		/*6*/"Interactive mode on.", // message that interactive mode is on
		/*7*/"Unable to change directory", // cannot change the current directory
		/*8*/"No files found", // no files were found
		/*9*/"Could not open file", // could not open file
		/*10*/"Could not open file to receive", // could not open file to receive
		/*11*/"File:", // enter name of file to get (binary mode)
		/*12*/"File:", // enter name of file to send (binary mode)
		/*13*/"File:", // enter name of file to delete
		/*14*/"File:", // enter name of file to get
		/*15*/"File:", // enter name of file to send
		/*16*/"From:", // enter name of file that will be renamed
		/*17*/"To:", // enter new name for file
		/*18*/"Files:", // enter names of files to get
		/*19*/"Files:", // enter names of files to send
		/*20*/"Files:", // enter names of files to delete
		/*21*/"Directory:", // enter name of directory to change to
		/*22*/"Directory:", // enter name for new directory
		/*23*/"Directory:", // enter name of directory to delete
		/*24*/"Directories:", // enter names of directories to list contents of
		/*25*/"Command:", // enter command name (for quote)
		/*26*/"User Name:", // enter user name
		/*27*/"Password:", // enter password
		/*28*/"Account:" // enter account name
	}
};


resource 'STR#' (2018, "Contextual Menu Items", purgeable)
{
	{
		/*1*/CINAME_HELP,
		/*2*/CINAME_SHOWBALLOONS,
		/*3*/CINAME_HIDEBALLOONS,
		/*4*/CINAME_CLOSECONNECTION,
		/*5*/CINAME_DISCONNECT,
		/*6*/CINAME_PRINTONE,
		/*7*/CINAME_COPY,
		/*8*/CINAME_COPYTABLE,
		/*9*/CINAME_PASTE,
		/*10*/CINAME_SETSCREENSIZE,
		/*11*/CINAME_FORMAT,
		/*12*/CINAME_SETKEYS,
		/*13*/CINAME_HIDEFRONTWINDOW,
		/*14*/CINAME_STACKWINDOWS,
		/*15*/CINAME_CHANGEWINDOWTITLE
	}
};


resource 'STR#' (2019, "Network-Related Errors", purgeable)
{
	{
		/*1*/ALERTTEXT_NETERROR_UNABLE_TO_GET_TCP_STATUS,
		/*2*/ALERTTEXT_NETERROR_UNABLE_TO_GET_IP_ADDRESS,
		/*3*/ALERTTEXT_NETERROR_CANT_OPEN_SOCKET_OPEN_FAILED,
		/*4*/ALERTTEXT_NETERROR_CANT_ABORT_CONNECTION,
		/*5*/ALERTTEXT_NETERROR_HOST_OR_GATEWAY_HAS_STILL_NOT_RESPONDED,
		/*6*/ALERTTEXT_NETERROR_HOST_OR_GATEWAY_HAS_STILL_NOT_RESPONDED_HELP_TEXT,
		/*7*/ALERTTEXT_NETERROR_FATAL_CANNOT_ALLOCATE_TCP_BUFFER
	}
};


resource 'STR#' (2020, "Disk-Related Errors", purgeable)
{
	{
		/*1*/ALERTTEXT_RESERROR_DISK_IS_FULL
	}
};


resource 'STR#' (2021, "Memory-Related Errors", purgeable)
{
	{
		/*1*/ALERTTEXT_MEMERROR_CANNOT_LOAD_SET,
		/*2*/ALERTTEXT_MEMERROR_CANNOT_CREATE_RASTER_GRAPHICS_WINDOW,
		/*3*/ALERTTEXT_MEMERROR_FATAL_OUT_OF_MEMORY
	}
};


/*
Please localize these new strings only if you know how they
are localized on a UNIX distribution in another language.  Your
average UNIX user will expect to find the standard form of
these commands.

WARNING:	Do not make any of these strings longer than 32
			characters.
*/
resource 'STR#' (2022, "Supported UNIX Commands (WARNING: 32-character limit per string)", purgeable)
{
	{
		/*1*/COMMAND_LINE_COMMAND_NAME_help,
		/*2*/COMMAND_LINE_COMMAND_NAME_lynx,
		/*3*/COMMAND_LINE_COMMAND_NAME_telnet,
		/*4*/COMMAND_LINE_COMMAND_NAME_ftp,
		/*5*/COMMAND_LINE_COMMAND_ALIAS_1_telnet,
		/*6*/COMMAND_LINE_COMMAND_ALIAS_2_telnet
	}
};


/*
These strings appear below the command line as soon as the
user types a valid command as defined in the string set above.

The first string is a generic string that appears only if the user
has typed a command that does not correspond to any of the
recognized MacTelnet command line commands.
*/
resource 'STR#' (2023, "Descriptions of valid command line commands (WARNING: 200-character limit per string)", purgeable)
{
	{
		/*1*/COMMAND_NAME_AND_DESCRIPTION_DISPLAY_TEMPLATE,
		/*2*/COMMAND_DESCRIPTION_UNKNOWN,
		/*3*/COMMAND_ARGUMENT_UNKNOWN,
		/*4*/COMMAND_DESCRIPTION_help,
		/*5*/COMMAND_DESCRIPTION_lynx,
		/*6*/COMMAND_DESCRIPTION_telnet,
		/*7*/COMMAND_DESCRIPTION_ftp,
		/*8*/COMMAND_DESCRIPTION_telnet,
		/*9*/COMMAND_DESCRIPTION_telnet
	}
};


/*
You can enter up to 4 help arguments, but you should provide
at least one.  If the second word that the user enters on the
command line is equal to any of these, MacTelnet Help is invoked
to search for the commands name (which is the first word on
the command line).
*/
resource 'STR#' (2024, "List of Acceptable UNIX-Like Help Arguments (WARNING: 32-character limit per string)", purgeable)
{
	{
		/*1*/COMMAND_LINE_ARGUMENT_NAME_HELP_1,
		/*2*/COMMAND_LINE_ARGUMENT_NAME_HELP_2,
		/*3*/COMMAND_LINE_ARGUMENT_NAME_HELP_3,
		/*4*/COMMAND_LINE_ARGUMENT_NAME_HELP_4
	}
};


resource 'STR#' (2025, "OS Protection Mechanism: Messages", purgeable)
{
	{
		/*1*/ALERTTEXT_OS_PROTECTION_GENERIC_MESSAGE_TEXT,
		/*2*/ALERTTEXT_OS_PROTECTION_HELP_TEXT,
		/*3*/ALERTTEXT_OS_PROTECTION_ERROR_NAME_ILLEGAL_ARRAY_ACCESS,
		/*4*/ALERTTEXT_OS_PROTECTION_ERROR_DESCRIPTION_ILLEGAL_ARRAY_ACCESS
	}
};


resource 'STR#' (2026, "Miscellaneous Control Titles", purgeable)
{
	{
		/*1*/PREFERENCES_GENERAL_CBNAME_SIMPLETELNET,
		/*2*/PREFERENCES_GENERAL_CBNAME_DONTAUTOCLOSE,
		/*3*/PREFERENCES_GENERAL_CBNAME_DYNAMICRESIZING,
		/*4*/PREFERENCES_GENERAL_CBNAME_HEADERSCOLLAPSED,
		/*5*/PREFERENCES_GENERAL_CBNAME_DONTDIMBACKGROUNDSCREENS,
		/*6*/PREFERENCES_GENERAL_CBNAME_PUREINVERSE,
		/*7*/PREFERENCES_GENERAL_CBNAME_COPYSELECTEDTEXT,
		/*8*/PREFERENCES_GENERAL_CBNAME_AUTOMOVECURSORONDROP,
		/*9*/PREFERENCES_GENERAL_CBNAME_MENUITEMKEYS,
		/*10*/PREFERENCES_GENERAL_CBNAME_MAPBACKQUOTE,
		/*11*/PREFERENCES_GENERAL_RBNAME_METHODNONE,
		/*12*/PREFERENCES_GENERAL_RBNAME_METHODDIAMOND,
		/*13*/PREFERENCES_GENERAL_RBNAME_METHODFLASHICON,
		/*14*/PREFERENCES_GENERAL_RBNAME_METHODDISPLAYALERT,
		/*15*/PREFERENCES_FTP_CBNAME_SHOWLOGATSTARTUP,
		/*16*/PREFERENCES_FTP_CBNAME_USEMACBINARYII,
		/*17*/PREFERENCES_FTP_CBNAME_RESETMACBINARY,
		/*18*/PREFERENCES_FTP_CBNAME_USEISOTRANSLATION,
		/*19*/PREFERENCES_FTP_RBNAME_MODEOFF,
		/*20*/PREFERENCES_FTP_RBNAME_MODEONANONYMOUS,
		/*21*/PREFERENCES_FTP_RBNAME_MODEONWITHUSERLOGIN,
		/*22*/PREFERENCES_GENERAL_CBNAME_CURSORFLASHING,
		/*23*/GENERIC_CBNAME_UPDATEDEFAULTTERMINAL
	}
};


resource 'STR#' (2027, "Miscellaneous Static Text", purgeable)
{
	{
		/*1*/DIALOGTEXT_PREFERENCES_GENERAL_NOTIFICATION_IF_TELNET_NEEDS_YOUR_ATTENTION,
		/*2*/DIALOGTEXT_PREFERENCES_GENERAL_CURSOR_SHAPE,
		/*3*/DIALOGTEXT_PREFERENCES_GENERAL_TIMEOUT_OPEN,
		/*4*/DIALOGTEXT_PREFERENCES_GENERAL_TIMEOUT_SEND,
		/*5*/DIALOGTEXT_PREFERENCES_GENERAL_COPY_TABLE_THRESHOLD,
		/*6*/DIALOGTEXT_PREFERENCES_GENERAL_COPY_TABLE_THRESHOLD_UNITS,
		/*7*/DIALOGTEXT_FORMAT_SIZE_LABEL,
		/*8*/DIALOGTEXT_FORMAT_COLOR_LABEL_FOREGROUND,
		/*9*/DIALOGTEXT_FORMAT_COLOR_LABEL_BACKGROUND,
		/*10*/DIALOGTEXT_SCREENSIZE_WIDTH_LABEL,
		/*11*/DIALOGTEXT_SCREENSIZE_HEIGHT_LABEL,
		/*12*/DIALOGTEXT_SCREENSIZE_WIDTH_UNITS,
		/*13*/DIALOGTEXT_SCREENSIZE_HEIGHT_UNITS,
		/*14*/DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_BLACK,
		/*15*/DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_RED,
		/*16*/DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_GREEN,
		/*17*/DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_YELLOW,
		/*18*/DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_BLUE,
		/*19*/DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_MAGENTA,
		/*20*/DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_CYAN,
		/*21*/DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_WHITE,
		/*22*/DIALOGTEXT_PREFERENCES_GENERAL_ANSI_HEADER,
		/*23*/DIALOGTEXT_PREFERENCES_GENERAL_ANSI_NORMAL_HEADER,
		/*24*/DIALOGTEXT_PREFERENCES_GENERAL_ANSI_EMPHASIZED_HEADER
	}
};


/*
URLs which are looked up internally by MacTelnet commands
and the command line.  Dont change these unless they get
out of date.
*/
resource 'STR#' (2028, "Internet Resources", purgeable)
{
	{
		/*1*/"http://www.mactelnet.com/",
		/*2*/"mailto:kevin@ieee.org?Subject=MacTelnet",
		/*3*/"http://www.gnu.org/copyleft/gpl.html",
		/*4*/"http://www.gnu.org/copyleft/lesser.html",
		/*5*/"http://sourceforge.net/projects/mactelnet/"
	}
};


/*
Names of files, in various directories, that MacTelnet uses.
MacTelnet often looks up files exactly by name, so it is
important (for localization and version control purposes) to
keep these names external in a string list resource.

A future version of MacTelnet will use aliases everywhere,
to avoid this limiting approach to file management.
*/
resource 'STR#' (2029, "Important File Names", purgeable)
{
	{
		/*1*/PREFERENCES_FILE_NAME,
		/*2*/PREFERENCES_FONT_LIST_FILE_NAME,
		/*3*/PREFERENCES_FTP_LOG_IN_MESSAGE_FILE_NAME,
		/*4*/MISC_ABOUT_BOX_MOVIE_FILE_NAME,
		/*5*/MISC_ABOUT_BOX_TITLE_MOVIE_FILE_NAME,
		/*6*/MISC_BELL_SOUND_FILE_NAME,
		/*7*/MISC_CAPTURE_FILE_NAME,
		/*8*/MISC_SESSION_FILE_DEFAULT_NAME,
		/*9*/MISC_MACRO_FILE_DEFAULT_NAME,
		/*10*/MISC_MACRO_SET_1_FILE_NAME,
		/*11*/MISC_MACRO_SET_2_FILE_NAME,
		/*12*/MISC_MACRO_SET_3_FILE_NAME,
		/*13*/MISC_MACRO_SET_4_FILE_NAME,
		/*14*/MISC_MACRO_SET_5_FILE_NAME
	}
};


/*
Names of folders, in various places, that MacTelnet uses.
MacTelnet often looks up folders exactly by name, so it is
important (for localization and version control purposes)
to keep these names external in a string list resource.

A future version of MacTelnet will use aliases everywhere,
to avoid this limiting approach to folder management.
*/
resource 'STR#' (2030, "Important Folder Names", purgeable)
{
	{
		/*1*/CONFIGURATION_DATA_FAVORITES_FOLDER_NAME,
		/*2*/HELP_SYSTEM_NAME,
		/*3*/CONFIGURATION_DATA_APPLICATION_PREFERENCES_FOLDER_NAME,
		/*4*/CONFIGURATION_DATA_SCRIPTS_FOLDER_NAME,
		/*5*/CONFIGURATION_DATA_STARTUP_ITEMS_FOLDER_NAME,
		/*6*/CONFIGURATION_DATA_FAVORITES_FTP_USERS_FOLDER_NAME,
		/*7*/CONFIGURATION_DATA_FAVORITES_PROXIES_FOLDER_NAME,
		/*8*/CONFIGURATION_DATA_FAVORITES_SESSIONS_FOLDER_NAME,
		/*9*/CONFIGURATION_DATA_FAVORITES_TERMINALS_FOLDER_NAME,
		/*10*/CONFIGURATION_DATA_RECENT_SESSIONS_FOLDER_NAME
	}
};


resource 'STR#' (6000, "Special Button Strings", purgeable)
{
	{
		/*1*/SPECIAL_BTNNAME_ABORT,
		/*2*/SPECIAL_BTNNAME_COPY,
		/*3*/SPECIAL_BTNNAME_CONTINUE,
		/*4*/SPECIAL_BTNNAME_REPAIR,
		/*5*/SPECIAL_BTNNAME_CLOSE,
		/*6*/SPECIAL_BTNNAME_QUIT
	}
};


resource 'STR#' (23240, "Affirmatives", purgeable)
{
	{
		/*1*/FTP_AFFIRMATIVE_STRING_1,
		/*2*/FTP_AFFIRMATIVE_STRING_2,
		/*3*/FTP_AFFIRMATIVE_STRING_3,
		/*4*/FTP_AFFIRMATIVE_STRING_4,
		/*5*/FTP_AFFIRMATIVE_STRING_5,
		/*6*/FTP_AFFIRMATIVE_STRING_6,
		/*7*/FTP_AFFIRMATIVE_STRING_7,
		/*8*/FTP_AFFIRMATIVE_STRING_8,
		/*9*/FTP_AFFIRMATIVE_STRING_9,
		/*10*/FTP_AFFIRMATIVE_STRING_10,
		/*11*/FTP_AFFIRMATIVE_STRING_11,
		/*12*/FTP_AFFIRMATIVE_STRING_12,
		/*13*/FTP_AFFIRMATIVE_STRING_13
	}
};


/*
WARNING:	These messages are in a critical order.
			Do not rearrange them.
*/
resource 'STR#' (23227, "FTP Server Messages", purgeable)
{
	{
		/*1*/FTP_SERVER_MESSAGE_LOGIN,
		/*2*/FTP_SERVER_MESSAGE_ERROR_PROCESSING_LIST_COMMAND,
		/*3*/FTP_SERVER_MESSAGE_LOGOUT,
		/*4*/FTP_SERVER_MESSAGE_PROGRESS,
		/*5*/FTP_SERVER_MESSAGE_OPENING_CONNECTION,
		/*6*/FTP_SERVER_MESSAGE_TRANSFER_COMPLETE,
		/*7*/FTP_SERVER_MESSAGE_NEW_MODE_ASCII,
		/*8*/FTP_SERVER_MESSAGE_NEW_MODE_BINARY_I,
		/*9*/FTP_SERVER_MESSAGE_COMMAND_NOT_UNDERSTOOD,
		/*10*/FTP_SERVER_MESSAGE_OK,
		/*11*/FTP_SERVER_MESSAGE_LOGIN_SUCCESSFUL,
		/*12*/FTP_SERVER_MESSAGE_FNF_550,
		/*13*/FTP_SERVER_MESSAGE_CD_ERROR,
		/*14*/FTP_SERVER_MESSAGE_CD_SUCCESS,
		/*15*/FTP_SERVER_MESSAGE_CURRENT_DIRECTORY_OPEN_DOUBLE_QUOTE,
		/*16*/FTP_SERVER_MESSAGE_CURRENT_DIRECTORY_CLOSE_DOUBLE_QUOTE,
		/*17*/FTP_SERVER_MESSAGE_FNF_501,
		/*18*/FTP_SERVER_MESSAGE_UNIMPLEMENTED_PARAMETER_ERROR,
		/*19*/FTP_SERVER_MESSAGE_STRUCTURE_FILE,
		/*20*/FTP_SERVER_MESSAGE_MODE_STREAM,
		/*21*/FTP_SERVER_MESSAGE_NO_ALLOC_OR_ACCOUNT_REQUIRED,
		/*22*/FTP_SERVER_MESSAGE_CANNOT_WRITEOPEN_FILE_ERROR,
		/*23*/FTP_SERVER_MESSAGE_AUTHENTICATION_REQUIRED,
		/*24*/FTP_SERVER_MESSAGE_PASSWORD_REQUIRED,
		/*25*/FTP_SERVER_MESSAGE_LOGIN_UNSUCCESSFUL,
		/*26*/FTP_SERVER_MESSAGE_MACB_E,
		/*27*/FTP_SERVER_MESSAGE_MACB_D,
		/*28*/FTP_SERVER_MESSAGE_DISK_WRITE_ERROR,
		/*29*/FTP_SERVER_MESSAGE_HELP_LINE_1,
		/*30*/FTP_SERVER_MESSAGE_HELP_LINE_2,
		/*31*/FTP_SERVER_MESSAGE_HELP_LINE_3,
		/*32*/FTP_SERVER_MESSAGE_HELP_LINE_4,
		/*33*/FTP_SERVER_MESSAGE_BUGS,
		/*34*/FTP_SERVER_MESSAGE_NEW_MODE_BINARY_I_MACB_E,
		/*35*/FTP_SERVER_MESSAGE_NEW_MODE_BINARY_I_MACB_D,
		/*36*/FTP_SERVER_MESSAGE_APPEND_ERROR
	}
};


/*
I believe it is safe to localize these commands 
however, I do not know what happens to the FTP
client if you do.  If anything stops working because
you change these commands, then I guess they
cant be localized (yet).
*/
resource 'STR#' (23228, "ftp cmds", purgeable)
{
	{
		/*1*/"?",
		/*2*/"!",
		/*3*/"acct", // account
		/*4*/"ascii", // set ASCII text-file-transfer mode
		/*5*/"bell", // visual or audible bell toggle
		/*6*/"bget", // download a file in binary-file-transfer mode
		/*7*/"binary", // set binary-file-transfer mode
		/*8*/"bput", // upload a file in binary-file-transfer mode
		/*9*/"bye", // logout
		/*10*/"cd", // change directory (change folder)
		/*11*/"close",
		/*12*/"delete",
		/*13*/"debug",
		/*14*/"dir", // display files in current directory on server hard drive
		/*15*/"get", // download a file
		/*16*/"glob",
		/*17*/"hash",
		/*18*/"help",
		/*19*/"interactive",
		/*20*/"lcd", // change directory on users hard drive, not on FTP client drive
		/*21*/"ldir", // display files on users hard drive in local current directory
		/*22*/"lls", // display files on users hard drive in local current directory
		/*23*/"ls", // display files in current directory on server hard drive
		/*24*/"macb", // set MacBinary enabled (macb e) or disabled (macb d)
		/*25*/"mdelete", // multiple file delete
		/*26*/"mdir", // display files of multiple directories
		/*27*/"mget", // multiple file download
		/*28*/"mkdir", // new folder
		/*29*/"mls", // display files of multiple directories
		/*30*/"mode",
		/*31*/"mput", // multiple file upload
		/*32*/"noninteractive",
		/*33*/"open",
		/*34*/"prompt", // toggle whether the server asks user for confirmations
		/*35*/"put", // upload file
		/*36*/"pwd", // display pathname of current working directory (current folder)
		/*37*/"quit", // logout
		/*38*/"quote",
		/*39*/"recv",
		/*40*/"remotehelp",
		/*41*/"rename",
		/*42*/"rm", // delete file
		/*43*/"rmdir", // delete directory (delete folder)
		/*44*/"send", // upload file
		/*45*/"sendport",
		/*46*/"slashflip", // toggle between UNIX pathname separator (/) and DOS separator (\)
		/*47*/"status",
		/*48*/"struct",
		/*49*/"type",
		/*50*/"user", // issue user login name
		/*51*/"verbose" // toggle display of more details than usual
	}
};


/*
I will try to rebuild this data as readable resources.
In the mean time, you cant localize these strings.
PLEASE LEAVE THIS DATA HERE, HOWEVER.
*/
data 'STR#' (23229, "Help", purgeable) {
	$"0033 1F3F 0909 7072 696E 7420 6C6F 6361"            /* .3.?print loca */
	$"6C20 6865 6C70 2069 6E66 6F72 6D61 7469"            /* l help informati */
	$"6F6E 1621 0909 6573 6361 7065 2074 6F20"            /* on.!escape to  */
	$"7468 6520 7368 656C 6C1A 6163 6374 2020"            /* the shell.acct   */
	$"2020 2020 2073 7065 6369 6679 2061 6363"            /*      specify acc */
	$"6F75 6E74 2261 7363 6969 2020 2020 2009"            /* ount"ascii      */
	$"7365 7420 6173 6369 6920 7472 616E 7366"            /* set ascii transf */
	$"6572 2074 7970 652F 6265 6C6C 2020 2020"            /* er type/bell     */
	$"2020 0962 6565 7020 7768 656E 2063 6F6D"            /*   beep when com */
	$"6D61 6E64 2063 6F6D 706C 6574 6564 202D"            /* mand completed - */
	$"2074 6F67 676C 651F 6267 6574 0909 6765"            /*  toggle.bgetge */
	$"7420 6120 6669 6C65 2069 6E20 6269 6E61"            /* t a file in bina */
	$"7279 206D 6F64 6523 6269 6E61 7279 2020"            /* ry mode#binary   */
	$"2020 0973 6574 2062 696E 6172 7920 7472"            /*   set binary tr */
	$"616E 7366 6572 2074 7970 651F 6270 7574"            /* ansfer type.bput */
	$"0909 7075 7420 6120 6669 6C65 2069 6E20"            /* put a file in  */
	$"6269 6E61 7279 206D 6F64 6529 6279 6520"            /* binary mode)bye  */
	$"2020 2020 2020 0974 6572 6D69 6E61 7465"            /*       terminate */
	$"2066 7470 2073 6573 7369 6F6E 2061 6E64"            /*  ftp session and */
	$"2065 7869 742A 6364 2020 2020 2020 2020"            /*  exit*cd         */
	$"0963 6861 6E67 6520 7265 6D6F 7465 2077"            /* change remote w */
	$"6F72 6B69 6E67 2064 6972 6563 746F 7279"            /* orking directory */
	$"2063 6C6F 7365 2020 2020 2009 7465 726D"            /*  close     term */
	$"696E 6174 6520 6674 7020 7365 7373 696F"            /* inate ftp sessio */
	$"6E3B 6465 6C65 7465 2020 2020 0964 656C"            /* n;delete    del */
	$"6574 6520 7265 6D6F 7465 2066 696C 6520"            /* ete remote file  */
	$"2D20 696E 7175 6972 6573 2069 6620 7072"            /* - inquires if pr */
	$"6F6D 7074 696E 6720 6973 206F 6E24 6465"            /* ompting is on$de */
	$"6275 6720 2020 2020 0974 6F67 676C 652F"            /* bug     toggle/ */
	$"7365 7420 6465 6275 6767 696E 6720 6D6F"            /* set debugging mo */
	$"6465 2C64 6972 2020 2020 2020 2009 6C69"            /* de,dir       li */
	$"7374 2063 6F6E 7465 6E74 7320 6F66 2072"            /* st contents of r */
	$"656D 6F74 6520 6469 7265 6374 6F72 7917"            /* emote directory. */
	$"6765 7420 2020 2020 2020 0972 6563 6569"            /* get       recei */
	$"7665 2066 696C 653D 676C 6F62 2020 2020"            /* ve file=glob     */
	$"2020 0974 6F67 676C 6520 6D65 7461 6368"            /*   toggle metach */
	$"6172 6163 7465 7220 6578 7061 6E73 696F"            /* aracter expansio */
	$"6E20 6F66 206C 6F63 616C 2066 696C 6520"            /* n of local file  */
	$"6E61 6D65 733A 6861 7368 2020 2020 2020"            /* names:hash       */
	$"0974 6F67 676C 6520 7072 696E 7469 6E67"            /* toggle printing */
	$"2060 2327 2066 6F72 2065 6163 6820 6275"            /*  `#' for each bu */
	$"6666 6572 2074 7261 6E73 6665 7272 6564"            /* ffer transferred */
	$"2768 656C 7020 2020 2020 2009 7072 696E"            /* 'help      prin */
	$"7420 6C6F 6361 6C20 6865 6C70 2069 6E66"            /* t local help inf */
	$"6F72 6D61 7469 6F6E 3669 6E74 6572 6163"            /* ormation6interac */
	$"7469 7665 2020 2020 7475 726E 206F 6E20"            /* tive    turn on  */
	$"7072 6F6D 7074 696E 6720 666F 7220 6D75"            /* prompting for mu */
	$"6C74 6970 6C65 2063 6F6D 6D61 6E64 7329"            /* ltiple commands) */
	$"6C63 6420 2020 2020 2020 0963 6861 6E67"            /* lcd       chang */
	$"6520 6C6F 6361 6C20 776F 726B 696E 6720"            /* e local working  */
	$"6469 7265 6374 6F72 7926 6C64 6972 0909"            /* directory&ldir */
	$"6C69 7374 2063 6F6E 7465 6E74 7320 6F66"            /* list contents of */
	$"206C 6F63 616C 2064 6972 6563 746F 7279"            /*  local directory */
	$"256C 6C73 0909 6C69 7374 2063 6F6E 7465"            /* %llslist conte */
	$"6E74 7320 6F66 206C 6F63 616C 2064 6972"            /* nts of local dir */
	$"6563 746F 7279 2D6C 7320 2020 2020 2020"            /* ectory-ls        */
	$"2009 6E6C 6973 7420 636F 6E74 656E 7473"            /*  nlist contents */
	$"206F 6620 7265 6D6F 7465 2064 6972 6563"            /*  of remote direc */
	$"746F 7279 236D 6163 6209 0965 6E61 626C"            /* tory#macbenabl */
	$"652F 6469 7361 626C 6520 6D61 6362 696E"            /* e/disable macbin */
	$"6172 7920 6D6F 6465 206D 6465 6C65 7465"            /* ary mode mdelete */
	$"2020 2009 6465 6C65 7465 206D 756C 7469"            /*    delete multi */
	$"706C 6520 6669 6C65 7337 6D64 6972 2020"            /* ple files7mdir   */
	$"2020 2020 096C 6973 7420 636F 6E74 656E"            /*     list conten */
	$"7473 206F 6620 6D75 6C74 6970 6C65 2072"            /* ts of multiple r */
	$"656D 6F74 6520 6469 7265 6374 6F72 6965"            /* emote directorie */
	$"731D 6D67 6574 2020 2020 2020 0967 6574"            /* s.mget      get */
	$"206D 756C 7469 706C 6520 6669 6C65 732F"            /*  multiple files/ */
	$"6D6B 6469 7220 2020 2020 096D 616B 6520"            /* mkdir     make  */
	$"6469 7265 6374 6F72 7920 6F6E 2074 6865"            /* directory on the */
	$"2072 656D 6F74 6520 6D61 6368 696E 6538"            /*  remote machine8 */
	$"6D6C 7320 2020 2020 2020 096E 6C69 7374"            /* mls       nlist */
	$"2063 6F6E 7465 6E74 7320 6F66 206D 756C"            /*  contents of mul */
	$"7469 706C 6520 7265 6D6F 7465 2064 6972"            /* tiple remote dir */
	$"6563 746F 7269 6573 216D 6F64 6520 2020"            /* ectories!mode    */
	$"2020 2009 7365 7420 6669 6C65 2074 7261"            /*    set file tra */
	$"6E73 6665 7220 6D6F 6465 1E6D 7075 7420"            /* nsfer mode.mput  */
	$"2020 2020 2009 7365 6E64 206D 756C 7469"            /*      send multi */
	$"706C 6520 6669 6C65 7336 6E6F 6E69 6E74"            /* ple files6nonint */
	$"6572 6163 7469 7665 2074 7572 6E20 6F66"            /* eractive turn of */
	$"6620 7072 6F6D 7074 696E 6720 6F6E 206D"            /* f prompting on m */
	$"756C 7469 706C 6520 636F 6D6D 616E 6473"            /* ultiple commands */
	$"216F 7065 6E20 2020 2020 2009 636F 6E6E"            /* !open      conn */
	$"6563 7420 746F 2072 656D 6F74 6520 7466"            /* ect to remote tf */
	$"7470 3C70 726F 6D70 7420 2020 2009 746F"            /* tp<prompt    to */
	$"6767 6C65 2069 6E74 6572 6163 7469 7665"            /* ggle interactive */
	$"2070 726F 6D70 7469 6E67 206F 6E20 6D75"            /*  prompting on mu */
	$"6C74 6970 6C65 2063 6F6D 6D61 6E64 7318"            /* ltiple commands. */
	$"7075 7420 2020 2020 2020 0973 656E 6420"            /* put       send  */
	$"6F6E 6520 6669 6C65 3470 7764 2020 2020"            /* one file4pwd     */
	$"2020 2009 7072 696E 7420 776F 726B 696E"            /*    print workin */
	$"6720 6469 7265 6374 6F72 7920 6F6E 2072"            /* g directory on r */
	$"656D 6F74 6520 6D61 6368 696E 6529 7175"            /* emote machine)qu */
	$"6974 2020 2020 2020 0974 6572 6D69 6E61"            /* it      termina */
	$"7465 2066 7470 2073 6573 7369 6F6E 2061"            /* te ftp session a */
	$"6E64 2065 7869 7425 7175 6F74 6520 2020"            /* nd exit%quote    */
	$"2020 0973 656E 6420 6172 6269 7472 6172"            /*   send arbitrar */
	$"7920 6674 7020 636F 6D6D 616E 6417 7265"            /* y ftp command.re */
	$"6376 2020 2020 2020 0972 6563 6569 7665"            /* cv      receive */
	$"2066 696C 6526 7265 6D6F 7465 6865 6C70"            /*  file&remotehelp */
	$"0967 6574 2068 656C 7020 6672 6F6D 2072"            /* get help from r */
	$"656D 6F74 6520 7365 7276 6572 1672 656E"            /* emote server.ren */
	$"616D 6520 2020 2009 7265 6E61 6D65 2066"            /* ame    rename f */
	$"696C 650F 726D 0909 7265 6D6F 7665 2066"            /* ile.rmremove f */
	$"696C 6531 726D 6469 7220 2020 2020 0972"            /* ile1rmdir     r */
	$"656D 6F76 6520 6469 7265 6374 6F72 7920"            /* emove directory  */
	$"6F6E 2074 6865 2072 656D 6F74 6520 6D61"            /* on the remote ma */
	$"6368 696E 6518 7365 6E64 2020 2020 2020"            /* chine.send       */
	$"0973 656E 6420 6F6E 6520 6669 6C65 3A73"            /* send one file:s */
	$"656E 6470 6F72 7420 2009 746F 6767 6C65"            /* endport  toggle */
	$"2075 7365 206F 6620 504F 5254 2063 6D64"            /*  use of PORT cmd */
	$"2066 6F72 2065 6163 6820 6461 7461 2063"            /*  for each data c */
	$"6F6E 6E65 6374 696F 6E35 736C 6173 6866"            /* onnection5slashf */
	$"6C69 7009 746F 6767 6C65 2063 6861 6E67"            /* liptoggle chang */
	$"696E 6720 2F20 746F 205C 206F 6E20 6F75"            /* ing / to \ on ou */
	$"7467 6F69 6E67 2063 6F6D 6D61 6E64 731E"            /* tgoing commands. */
	$"7374 6174 7573 2020 2020 0973 686F 7720"            /* status    show  */
	$"6375 7272 656E 7420 7374 6174 7573 2673"            /* current status&s */
	$"7472 7563 7420 2020 2009 7365 7420 6669"            /* truct    set fi */
	$"6C65 2074 7261 6E73 6665 7220 7374 7275"            /* le transfer stru */
	$"6374 7572 6521 7479 7065 2020 2020 2020"            /* cture!type       */
	$"0973 6574 2066 696C 6520 7472 616E 7366"            /* set file transf */
	$"6572 2074 7970 6524 7573 6572 2020 2020"            /* er type$user     */
	$"2020 0973 656E 6420 6E65 7720 7573 6572"            /*   send new user */
	$"2069 6E66 6F72 6D61 7469 6F6E 1E76 6572"            /*  information.ver */
	$"626F 7365 2020 2009 746F 6767 6C65 2076"            /* bose   toggle v */
	$"6572 626F 7365 206D 6F64 65"                        /* erbose mode */
};


/*
Please do not localize these strings.
*/
resource 'STR#' (23239, "Session Description Strings: THEIR NAMES AND ORDER ARE IMPORTANT!!!", purgeable)
{
	{
		/*1*/"name",
		/*2*/"host",
		/*3*/"size",
		/*4*/"scrollback",
		/*5*/"backspace",
		/*6*/"delete",
		/*7*/"key0",
		/*8*/"key1",
		/*9*/"key2",
		/*10*/"key3",
		/*11*/"key4",
		/*12*/"key5",
		/*13*/"key6",
		/*14*/"key7",
		/*15*/"key8",
		/*16*/"key9",
		/*17*/"commandkeys",
		/*18*/"erase",
		/*19*/"width",
		/*20*/"tekclear",
		/*21*/"vtwidth",
		/*22*/"rgb0",
		/*23*/"rgb1",
		/*24*/"rgb2",
		/*25*/"rgb3",
		/*26*/"font",
		/*27*/"fsize",
		/*28*/"nlines",
		/*29*/"keystop",
		/*30*/"keygo",
		/*31*/"keyip",
		/*32*/"crmap",
		/*33*/"linemode",
		/*34*/"eightbit",
		/*35*/"ftp",
		/*36*/"serial",
		/*37*/"port",
		/*38*/"translation",
		/*39*/"tekem",
		/*40*/"answerback",
		/*41*/"authenticate",
		/*42*/"encrypt",
		/*43*/"pageup",
		/*44*/"keypad",
		/*45*/"rgb4",
		/*46*/"rgb5"
	}
};

#endif