/*###############################################################

	SizeDialog.h
	
	This module implements the Terminal Screen Size dialog box,
	which allows the user to change the dimensions of a session
	window (and optionally update the default terminal
	configuration to match).
	
	MacTelnet 3.0,  1998-2000 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __SIZEDIALOG__
#define __SIZEDIALOG__

// Mac includes
#include <MacTypes.h>

// MacTelnet includes
#include "ScreenManager.h"



//
// public methods
//

void
	SizeDialog_Init									(TelnetScreenID const			inScreenID);

void
	SizeDialog_Done									(void);

Boolean
	SizeDialog_Display								(void);


void
	SizeDialog_InstallUndoDimensionChanges			(TelnetScreenID const			inScreenID);


void
	SizeDialog_SendRecordableDimensionChangeEvents	(SInt16 const					inNewColumns,
													 SInt16 const					inNewRows);

#endif