/*###############################################################

	TektronixVirtualGraphics.h
	
	Takes Tektronix codes as input, and sends the output to
	real graphics devices.  Developed by Aaron Contorer, with
	bug fixes by Tim Krauskopf.  TEK 4105 additions by
	Dave Whittington.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#include "ScreenManager.h"

/* vgtek.c */
TelnetScreenID FindByVG(short vg);
short donothing(void);
short drawc(short vw, short c);
void TektronixVirtualGraphics_Init(void);
short VGdevice(short vw, short dev);
short VGnewwin(short device, short theVS);
void VGclrstor(short vw);
void VGdumpstore(short vw, short (*func )(short));
void VGdraw(short vw, char c);
void VGpage(short vw);
short VGpred(short vw, short dest);
void VGstopred(short vw);
void VGredraw(short vw, short dest);
void VGgiveinfo(short vw);
void VGzoom(short vw, short x0, short y0, short x1, short y1);
void VGwhatzoom(short vw, short *px0, short *py0, short *px1, short *py1);
void VGzcpy(short src, short dest);
void VGclose(short vw);
short VGwrite(short vw, char *data, short count);
char *VGrgname(short rgdev);
void VGtmode(short rgdev);
void VGgindata(short vw, unsigned short x, unsigned short y, char c, char *a);
short VGgetVS(short theVGnum);
