/*###############################################################

	TelnetDrag.h
	
	Drag-and-drop management.  Significant enhancements have
	been made in MacTelnet 3.0 to allow more drag capabilities
	(such as dropping text in movable, modal dialogs) and more
	supported drag flavors.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __TELNETDRAG__
#define __TELNETDRAG__

// MacTelnet includes
#include "ScreenManager.h"



// constants
#define	kTelnetDragFlavorStandardText		'TEXT'



// CALL THIS ROUTINE ONCE, BEFORE ANY OTHER DRAG ROUTINE
void
	Drag_Init					(void);

/*###############################################################
	DETERMINING IF THE DRAG MANAGER IS AVAILABLE
###############################################################*/

Boolean
	Drag_Available				(void);

/*###############################################################
	DRAGGING A TEXT SELECTION FROM A SESSION WINDOW
###############################################################*/

OSErr
	Drag_TrackScreenSelection	(EventRecord*		inoutEventPtr,
								 Point				inLocalMousePosition,
								 TelnetScreenID		inScreenID,
								 Boolean*			outDragWasDropped);

#endif
