/*###############################################################

	UNIXCommandInterpreters.h
	
	Lists functions, in CommandLineInterpreterProcPtr form,
	that interact with the command line and implement (at least
	partially) UNIX commands.
	
	MacTelnet 3.0,  1998-2000 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1992 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __UNIXCOMMANDINTERPRETERS__
#define __UNIXCOMMANDINTERPRETERS__

// MacTelnet includes
#ifndef __COMMANDLINE__
#	include "CommandLine.h"
#endif



//
// public methods
//

Boolean
	UNIXCommandInterpreters_help		(const UInt32					argc,
										 TokenSetRef					argv,
										 void*							outDataPtr,
										 CommandLineInterpreterMessage	inMessage);

Boolean
	UNIXCommandInterpreters_telnet		(const UInt32					argc,
										 TokenSetRef					argv,
										 void*							outDataPtr,
										 CommandLineInterpreterMessage	inMessage);

#endif