/*###############################################################

	URL.h
	
	This file contains methods related to Uniform Resource
	Locators.  Using URL_HandleForDataIsDataValid(), you can
	basically handle any URL, automatically launching any
	helper application when necessary.
	
	MacTelnet 3.0,  1998-2000 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __URL__
#define __URL__

// MacTelnet includes
#include "InternetConfig.h"
#include "ScreenManager.h"



//
// public methods
//

void
	URL_CleanUp						(Handle							inURLDataHandle);

UniformResourceLocatorType
	URL_GetTypeFromDataHandle		(Handle							inURLDataHandle);

void
	URL_HandleForScreenID			(const TelnetScreenID			inScreenID);

Boolean
	URL_IsTypeTelnetCanHandle		(UniformResourceLocatorType		inType);

OSErr
	URL_OpenHelperForURLString		(OSType							inApplicationSignature,
									 char*							inURLStringBuffer,
									 Size							inStringBufferSize);

Boolean
	URL_ParseDataHandle				(Handle							inURLDataHandle);

Boolean
	URL_SendGetURLEventToSelf		(void const*					inDataPtr,
									 Size const						inDataSize);

Boolean
	URL_SetSelectionToProximalURL	(Point							inCommandClick,
									 const TelnetScreenID			inScreenID);

#endif