/*###############################################################

	VirtualScreenInternal.h
	
	This module contains the private (internal) calls for the
	NCSA Virtual Screen Kernel.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __VIRTUALSCREENINTERNAL__
#define __VIRTUALSCREENINTERNAL__

// MacTelnet includes
#include "vsdata.h"

short VSIclip(short *x1, short *y1, short *x2, short *y2, short *n, short *offset);
void
	VSIcliperase	(SInt16*	inoutStartingColumnPtr,
					 SInt16*	inoutStartingLinePtr,
					 SInt16*	outEndingColumnPtr,
					 SInt16*	outEndingLinePtr,
					 SInt16*	inoutTextLengthPtr,
					 SInt16*	outTextOffsetPtr);
short VSIcdellines(short w, short top, short bottom, short n, short scrolled);
short VSIcinslines(short w, short top, short bottom, short n, short scrolled);
void VSIcurson(short w, short x, short y, short ForceMove);
void VSIcuroff(short w);
short VSIcursorvisible(void);
VSlineArray VSInewlinearray(short nrlines);
VSlinePtr VSInewlines(short nlines,short elementSize);
void VSIlistndx(register VSlinePtr ts, register VSattrlinePtr as);
void VSIscroff(void);
void VSIelo(short s);
void VSIes(void);
void VSItabclear(void);
void VSItabinit(void);
void VSIreset(void);
void VSIlistmove(VSlinePtr TD, VSlinePtr BD, VSlinePtr TI, VSlinePtr BI);
void VSIdellines(short n, short s);
void VSIinslines(short n, short s);
void VSIscroll(void);
void VSIindex(void);
void VSIwrapnow(short *xp, short *yp);
void VSIeeol(void);
void VSIdelchars(short x);
void VSIfreelinelist(VSlinePtr listhead);
void VSIfreelines(void);
void VSIrindex(void);
void VSIebol(void);
void VSIel(short s);
void VSIeeos(void);
void VSIebos(void);
void VSIrange(void);
void VTsendpos(void);
void VTsendstat(void);
void VTsendident(void);
void VTalign(void);
void VSIapclear(void);
void VSIsetoption(short toggle);
void VSItab(void);
void VSIinschar(short x);
void VSIinsstring(short len, char *start);
void VSIsave(void);
void VSIrestore(void);
void VSIdraw(short VSIwn, short x, short y, short a, short len, char *c);
VSattrlineArray VSInewattrlinearray(short nrlines);

#endif