/*###############################################################

	configure.proto.h
	
	Manages generic configuration editing, such as displaying
	a list of configurations.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __CONFIGUREPROTO__
#define __CONFIGUREPROTO__

// MacTelnet includes
#include "TelnetHeader.h"



//
// public methods
//

Boolean
	Configure_NameNewConfigurationDialogDisplay		(StringPtr		inWindowTitle,
													 Str255			outNamePtr);


Boolean GetApplicationSpec(ConstStr255Param inPrompt, ConstStr255Param inTitle, FSSpec *outSpec);
Boolean GetApplicationType(OSType *type);
void	BoundsCheck(long *value, long high, long low);
Boolean EditTerminal(StringPtr inPreferencesResourceName);
Boolean EditFTPUser(StringPtr inPreferencesResourceName);

Boolean AnsiPrompt(void);

#endif