/*###############################################################

	vskeys.h
	
	This file contains constants representing special keyboard
	characters.  For some reason, this file also defines virtual
	screen emulation attributes.
	
	MacTelnet 3.0,  1998-2001 by Kevin Grant.
	Based on "NCSA Telnet",  1986-1994 UofI Board of Trustees.
	
	This program is free software; you can redistribute it or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version
	2 of the License, or (at your option) any later version.
	
    This program is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	PURPOSE.  See the GNU General Public License for more
	details.

    You should have received a copy of the GNU General Public
	License along with this program; if not, write to:
	
		Free Software Foundation, Inc.
		59 Temple Place, Suite 330
		Boston, MA  02111-1307
		USA

###############################################################*/

#ifndef __VSKEYS__
#define __VSKEYS__

/* internal codes for identifying special keys */

#define VSF10	 96		/* Function key 10 */		/* Mac Key F5 */
#define VSF11	 97		/* Function key 11 */		/* Mac Key F6 */
#define VSF12	 98		/* Function key 12 */		/* Mac Key F7 */
#define VSF8	 99		/* Function key  8 */		/* Mac Key F3 */
#define VSF13	100		/* Function key 13 */		/* Mac Key F8 */
#define VSF14	101		/* Function key 14 */		/* Mac Key F9 */
#define VSF16	103		/* Function key 16 */		/* Mac Key F11 */
#define VSF18	105		/* Function key 18 */		/* Mac Key F13 */
#define VSF19	107		/* Function key 19 */		/* Mac Key F14 */
#define VSF15	109		/* Function key 15 */		/* Mac Key F10 */
#define VSF17	111		/* Function key 17 */		/* Mac Key F12 */
#define VSF20	113		/* Function key 20 */		/* Mac Key F15 */
#define VSHELP	114		/* Help */
#define VSHOME	115		/* Home */
#define VSPGUP	116		/* Page up */
#define VSDEL	117		/* Del */
#define VSF9	118		/* Function key  9 */		/* Mac Key F4 */
#define VSEND	119		/* End */
#define VSF7	120		/* Function key  7 */		/* Mac Key F2 */
#define VSPGDN	121		/* Page down */
#define VSF6	122		/* Function key  6 */		/* Mac Key F1 */

/* Following group is the "Cursor Control" keys */
#define VSUP    129     /* Up Arrow */
#define VSDN    130     /* Down Arrow */
#define VSRT    131     /* Right Arrow */
#define VSLT    132     /* Left Arrow */

/* Following group is the "Auxiliary Keypad" keys */
#define VSK0    133     /* Keypad 0 */
#define VSK1    134     /* Keypad 1 */
#define VSK2    135     /* Keypad 2 */
#define VSK3    136     /* Keypad 3 */
#define VSK4    137     /* Keypad 4 */
#define VSK5    138     /* Keypad 5 */	
#define VSK6    139     /* Keypad 6 */	
#define VSK7    140     /* Keypad 7 */	
#define VSK8    141     /* Keypad 8 */	
#define VSK9    142     /* Keypad 9 */
#define VSKC    143     /* Keypad , */
#define VSKM    144     /* Keypad - */
#define VSKP    145     /* Keypad . */
#define VSKE    146     /* Keypad Enter */

#define VSF1    147     /* Function 1 (PF1) */			/* Mac Keypad Clear */	
#define VSF2    148     /* Function 2 (PF2) */			/* Mac Keypad = */	
#define VSF3    149     /* Function 3 (PF3) */			/* Mac Keypad / */	
#define VSF4    150     /* Function 4 (PF4) */			/* Mac Keypad * */	




#ifdef VSMASTER
char VSIkpxlate[2][23] =
	{	"ABCD0123456789,-.\15PQRS",
		"ABCDpqrstuvwxylmnMPQRS"
	};
char VSIkpxlate2[] = "222122?2?3?3?2?3?3123425161";
char VSIkpxlate3[] = "134956?9?2?3?8?1?4~~~~0~8~7";
unsigned char VSIkplen[] =
	{ 5,5,5,5,5,5,5,5,5,5,
	  5,5,5,5,5,5,5,5,4,4,
	  4,4,5,4,5,4,5 };
#else
extern char *VSIkpxlate,*VSIkpxlate2,*VSIkpxlate2;
extern unsigned char *VSIkplen;
#endif

#endif
